commit 4c9881c0e77d973146f5992961147dab6af87fa9
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:   2013-03-04

    Update NEWS for 1.15.4 release

M	NEWS

commit de82adbfd61ae77a52b9e74903912c9dcad8c1cd
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2013-03-03

    Updated Russian translation

M	po/ru.po

commit ab0e8cf84081c85bacb9283e98315506b62440b0
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2013-03-03

    Added German translation

M	po/de.po

commit a080b00d2f779ed6248d355f4811c09da5e3c4dc
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-03-02

    Updated Lithuanian translation

M	po/lt.po

commit bfcd300e40455ceea2dd6eddfd0007a5dc73be8b
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2013-03-02

    Updated Vietnamese translation

M	po/vi.po

commit 07033e7ee0c07aa81e5287c7b666e10d9bff67f3
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2013-03-02

    po/vi: import from Damned Lies

M	po/vi.po

commit 22bb8e6b65ed4c6024edff713e484cf631019fd1
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2013-03-01

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 54ab696750eff646cfc93ddc1c3cd630f31a7c26
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2013-02-28

    Updated Basque language

M	po/eu.po

commit 26f0ceb9c69b6ee31adaff24b5de351bd90a9e49
Author: Wylmer Wang <wantinghard@gmail.com>
Date:	2013-02-28

    Update Simplified Chinese translation

M	po/zh_CN.po

commit d839289cc0795c2a26fefcfbd5797091db50013b
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2013-02-26

    Updated Greek translation

M	po/el.po

commit 17d65f4c96866477de43928f1c353ebf1e1cca99
Author: Philip Langdale <philipl@overt.org>
Date:	2013-02-12

    MTP: Respect remove_source in do_push.

    I still think it's odd that it's the backend's responsibility to
    delete the source file, as opposed to the client.

M	daemon/gvfsbackendmtp.c

commit e1a413a367902b9b670af6843599282b631b1470
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-02-25

    Updated Norwegian bokmål translation

M	po/nb.po

commit e98257498dafafd0e96f0b6d92a01acb84d2775a
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-02-25

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit b063f6b659d09a37bbc5631f89b2038992cdff8f
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2013-02-23

    Updated Hebrew translation.

M	po/he.po

commit ee962a123b58b88014bed278914c74b773cd0246
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-02-22

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 99a7847c6238d65582f1783874a849a9f84d85f8
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-02-20

    Updated Galician translations

M	po/gl.po

commit 0dafb0c79b5f1d3029981d46c2defe9bf50f6eff
Author: A S Alam <aalam@users.sf.net>
Date:	2013-02-20

    Punjabi: Translation updated (aalam)

M	po/pa.po

commit aef8cb24acc65bf4237f66a923932fcd7df031b7
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:	2011-09-15

    gdu,udisks2: Make use of new udev property

    New udev/blkid expose more ISO9660 properties, including 'Boot System
    ID'. Existance of this property implies that media is bootable. The
    libosinfo udev rules that provided the 'OSINFO_BOOTABLE' property will
    soon be ditched as a result but we better keep the check for backward
    compatibility.

    https://bugzilla.gnome.org/show_bug.cgi?id=694007

M	monitor/gdu/ggdumount.c
M	monitor/udisks2/gvfsudisks2mount.c

commit b278176379c32800f629b64e6b1f2cad2d8881a4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-02-17

    Updated Polish translation

M	po/pl.po

commit 04b021b8e3e7c9d5e9a1efb8f440965c43be557e
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-02-17

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 30cab1eb561b1f2a7bdeb46f490b1905a0cfe4fe
Author: Anish A <aneesh.nl@gmail.com>
Date:	2013-02-15

    Updated Malayalam Localization

M	po/ml.po

commit 8d485f4dee1ed3eace5920984a36a5d3e75b8ab2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-02-14

    Updated Spanish translation

M	po/es.po

commit 7b331d0c8331f577311a3d94a4651e8fdfa7a19f
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2013-01-08

    Add gvfs-testbed to enable tests which need root

    The Drive test requires root privileges as it uses the scsi_debug
    kernel module
    and running some commands as root, such as injecting a temporary
    udev rule for
    working around some scsi_debug limitations and running udisksd under
    a mock
    polkit daemon.

    Add a "gvfs-testbed" script which sets up some unshared tmpdir
    overlays as a
    sandbox (to ensure that the tests don't destroy anything in the
    real system),
    set up a temporary user etc.

    This also enables the Sftp.test_unknown_host, as this depends on
    a particular
    client-side configuration and ssh does not allow using a temporary
    $HOME.

    Integrate this into "make installcheck", so that this uses
    gvfs-testbed when
    being called as root.

    https://bugzilla.gnome.org/show_bug.cgi?id=691336

M	test/Makefile.am
A	test/gvfs-testbed
A	test/test_polkitd.py

commit 26d731dccfa4732b8b4b94027cbd65929e1e1a03
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-02-11

    [l10n] Updated Italian translation.

M	po/it.po

commit fb0ec5da9be74a5d246ec122b3a12333de0b484b
Author: Philip Langdale <philipl@overt.org>
Date:	2013-02-11

    MTP: Respect remove_source when pulling a file.

    This was just an oversight.

M	daemon/gvfsbackendmtp.c

commit 828a5cd1db7a352820f4979095389fb4a24e728f
Author: Philip Langdale <philipl@overt.org>
Date:	2013-02-11

    MTP: Fix crash when libmtp operations fails without error message.

M	daemon/gvfsbackendmtp.c

commit f6066a4dbe35372959bae360615b3c36edd84186
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-02-11

    Updated Spanish translation

M	po/es.po

commit 35c5ae9062609467bc18ba5a200e398ccd5232bd
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-02-10

    Updated Galician translations

M	po/gl.po

commit efc54a8c7096b788de21fab4f519bb092331d287
Author: Wouter Bolsterlee <uws@xs4all.nl>
Date:	2013-02-09

    Updated Dutch translation

M	po/nl.po

commit 5cece72b43fdf6286b944fca144d907c82e27a85
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-02-09

    Updated Uygur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit a27fc080c1c6c09720c31bc8f323913ad8a772cb
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-02-08

    gvfs-test: Check for URI string presence on CLI unmount

    Turned out we can't easily check for 'Mount(0)' in `gvfs-mount -l`
    output since that string can be present from a system mount,
    either fstab or native volume monitor. Think of a mounted CD-ROM
    drive.

    We can't disable volume monitors either since there are tests that
    require it. The best solution would be to check for the particular
    URI but then we need to ensure the strings match (i.e. escaping
    issues),
    bringing more stress to properly formatted URIs.

    This fixes false unmount error reports when there was something else
    mounted as 'Mount(0)'.

    https://bugzilla.gnome.org/show_bug.cgi?id=691336

M	test/gvfs-test

commit 5ca4ebdac6bc5c6d87802ae527bb7880d81e823c
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-02-08

    smb: More verbosity for easier debugging

    This adds more debugging output for both smb and smb-browse backends
    and also brings more verbosity for user-visible error messages.

    Changes made to be able to debug weird samba issues remotely:
    https://bugzilla.gnome.org/show_bug.cgi?id=691863

M	daemon/gvfsbackendsmb.c
M	daemon/gvfsbackendsmbbrowse.c

commit d587089433c326adc4947346b79b82929e514bf9
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-02-07

    Updated Slovenian translation

M	po/sl.po

commit af2df5b697d12a01c64188e6484bc4267b48453b
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-02-06

    Updated Galician translations

M	po/gl.po

commit 82743210b9c75a8de768136bfdd00ea357ea2238
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-02-06

    Fix some compiler warnings

M	daemon/gvfsbackendafc.c
M	daemon/mount.c
M	monitor/afc/afcvolumemonitor.c

commit 657330aa51ec65b9e5c247365bf5eb067ef62915
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-02-06

    fuse: Install systemd tmpfiles.d exclusion file

    We need to tell systemd to stay out of our fuse mounts before
    any data are destroyed.

    This patch reuses libsystemd-login detection as long as there is no
    general header or pkg-config file in systemd.

    https://bugzilla.redhat.com/show_bug.cgi?id=902743
    https://bugs.archlinux.org/task/32715
    https://bugzilla.gnome.org/show_bug.cgi?id=560658

M	client/Makefile.am
A	client/gvfsd-fuse-tmpfiles.conf

commit 4c37c7263682e99ed57e22b001ca5dd71c21e240
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-02-05

    [l10n] Updated Italian translation.

M	po/it.po

commit 9d7233f3a4ed596fd30c6f2b854e80beb8b87892
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-02-05

    Post release version bump

M	configure.ac

commit 4f5b9cd4d2f27f380f9cf6fd42c86ce7455f0e0d
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-02-05

    Update NEWS for 1.15.3 release

M	NEWS

commit 116e9e740d8e2d05e5643d8119530d4561f7e38b
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-02-05

    Updated POTFILES.in

M	po/POTFILES.in

commit b9c3d2c11c854ca9c3b173fe8cebab21bfaa46d4
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-02-05

    gvfs-test: Don't wait for GVolumeMonitor "mount-removed" signal

    With implementing proper unmount method in the last commit the mount
    should be gone when GVfsJobUnmount returns. It's not guaranteed when
    the "mount-removed" signal is received to the application.

    Let's not wait for the "mount-removed" signal, a return value from
    g_file_unmount_mountable_with_operation_finish() should be enough to
    indicate success or error.

    https://bugzilla.gnome.org/show_bug.cgi?id=691568

M	test/gvfs-test

commit 62ba3def657a053c0a8aa805e7e3fe3a25d3759d
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-02-05

    daemon: Implement proper org.gtk.vfs.MountTracker.UnregisterMount()

    A proper unmount method was missing from the daemon interface as
    it was
    basically not needed. The mount tracker was watching mounts on the bus
    and if child disappeared, that event was treated as unmount.

    With recent introduction of gvfs test suite we started using
    man-in-the-middle program for connecting to private SMB
    server. However,
    certain libsmbclient versions are forking gvfs backends (gvfsd-smb in
    this case) which makes d-bus confused and name owner tracking doesn't
    work as expected.

    Moreover the forked process got stuck due to internal samba
    LIBSMB_PROG
    handling after the original process did its job and unmount was
    triggered
    from user side. The original process exited just fine but the
    forked one
    was blocking the name on the bus probably and gvfs mount tracker
    was fooled.
    Eventually the stuck libsmbclient call times out and exits gracefully.
    This happens with samba-3.6.9

    This patch adds proper unmount call to indicate the backend is
    going away
    so even if there are leftovers, user is indicated a proper unmount.

    https://bugzilla.gnome.org/show_bug.cgi?id=691568

M	daemon/mount.c

commit 267bb33e0e3586f078a0d38ee2ccc5bd1ccab911
Author: Debarshi Ray <debarshir@gnome.org>
Date:	2012-10-23

    Add GVfsGoaVolumeMonitor

    https://bugzilla.gnome.org/show_bug.cgi?id=686526

M	configure.ac
M	monitor/Makefile.am
A	monitor/goa/Makefile.am
A	monitor/goa/goa.monitor
A	monitor/goa/goavolume.c
A	monitor/goa/goavolume.h
A	monitor/goa/goavolumemonitor.c
A	monitor/goa/goavolumemonitor.h
A	monitor/goa/goavolumemonitordaemon.c
A	monitor/goa/org.gtk.Private.GoaVolumeMonitor.service.in

commit 1cffe26596fbc35c0dd63fa3cd26702973e0f08a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-02-03

    Updated Polish translation

M	po/pl.po

commit e2e5456b73786c3a0a21e4810994a3535bcc6afd
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2013-02-02

    Updated Hebrew translation.

M	po/he.po

commit 889e8958ba05c0e3d2deb4d175564889f3c463b2
Author: Wouter Bolsterlee <uws@xs4all.nl>
Date:	2013-02-01

    Updated Dutch translation

M	po/nl.po

commit 5b96cf7d00194fa99dedf504c7e36e2e2ee80a28
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2013-02-01

    tests: Fix race condition in Drive tests

    In load_image(), process all pending main loop events to get an up
    to date
    volume monitor. Not doing that can cause tests to still see the
    temporarily
    added and removed device that was created for loading the image.

M	test/gvfs-test

commit c71f53ace39950fff3a424ba52c97dc557296cfa
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2013-01-30

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 00f1210f4b8d8fee48e6bbc57384ad5fbb7bbb9a
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-01-28

    computer: Set BACKEND_USES_GVFS=1 define

    The computer backend needs to use gvfs GVolumeMonitor in order
    to track gvfs mounts and local and remote volume monitor changes.

    A fallout from commit 79a53dc1b86b35dfbeb377e13f760d6817f7597b

M	daemon/Makefile.am

commit 63e758d2ddb540944ee0232201e3c76a12694230
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-01-27

    Updated Lithuanian translation

M	po/lt.po

commit 38d592466613fe90297347f04050d0c2a38d27cd
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-01-27

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit fe763d3d90a7d6801dc8faf625ab84d4f978adb3
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-01-25

    GVfsJobUnmount: Fix debug messages line endings

    g_debug() needs explicit line endings ("\n")

M	daemon/gvfsjobunmount.c

commit 5b85ace7fd29d7eae6f2cce6390304bf6015c900
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-01-25

    smb: Implement proper unmount method

    While this won't make any significant difference to end user, Samba
    is often unpredictable and it's always better to do proper shutdown.

M	daemon/gvfsbackendsmb.c

commit 3e0e4d0d9b47d27562e450d45762aa5135320c1f
Author: Philip Langdale <philipl@overt.org>
Date:	2013-01-23

    MTP: Fix leaked weak reference on monitors.

    We use a weak reference to automatically clean up the monitor
    hash table when monitors are finalized. However, we still need
    to remember to remove the weak references when the backend is
    itself finalized - otherwise the reference might be fired later
    if a monitor happens to get finalized before the backend exits
    completely.

M	daemon/gvfsbackendmtp.c

commit cbf8ab9b09c6d29850ebee97ad8a38b3bf5dd784
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-01-24

    gvfs-test: More verbosity for SMB and HTTP backends

M	test/gvfs-test

commit 54914bbc688d108c95f3d7a51bfe29d2a917a287
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-01-24

    gvfs-test: Fix private dir in generated smb.conf

    Testing on Samba 3.6.9, "private directory" directive is not
    recognized
    and smbd fails on secrets.tdb paths. This comes with Samba 4.0,
    however
    it's still a synonym for "private dir" so let's use that.

    https://bugzilla.gnome.org/show_bug.cgi?id=691568

M	test/gvfs-test

commit d4c9c43daf7abd3831862ea8f794188ac978f14b
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-01-24

    gvfs-test: Count error numbers properly

    https://bugzilla.gnome.org/show_bug.cgi?id=691568

M	test/gvfs-test

commit 91b33572407ccb7d808e1df775c89d1612355f80
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-01-24

    gvfs-test: Add more sftp-server search paths

    Gentoo puts sftp-server binary in /usr/lib64/misc/, let's add it
    in the list of paths to search.

    https://bugzilla.gnome.org/show_bug.cgi?id=691568

M	test/gvfs-test

commit ac21cc783db009113e730debbad43b13c2a90b9a
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-01-24

    gvfs-test: Use apache2 binary directly

    Historically apachectl has been a combination of passthrough
    to the master apache binary and a system service helper.
    The former is slowly getting deprecated in distributions though.

    Let's try to find the master binary and use it directly.

    https://bugzilla.gnome.org/show_bug.cgi?id=691568

M	test/gvfs-test

commit 500951b5d8671d35739ed28ffcb28be53be1cd24
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-01-24

    gvfs-test: Handle missing ~/.ssh/id_rsa gracefully

    The 'sshd' attribute may not be set if we hit the non-existing
    ~/.ssh/id_rsa' test.

    https://bugzilla.gnome.org/show_bug.cgi?id=691568

M	test/gvfs-test

commit c79426bf1f5745b7e3427958a0e6fb6e0bdefa93
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-01-24

    cdda: Adapt to new paranoia.h location

    With the 0.90+ release libcdio-paranoia has been split out and
    headers have moved.

    Adapt to this change by finding actual header location and ifdef-ing
    includes in our sources.

    https://bugzilla.gnome.org/show_bug.cgi?id=691841

M	configure.ac
M	daemon/gvfsbackendcdda.c

commit 2ad82f2751b4a13dbcf8e7373a386019982bb43b
Author: Philip Langdale <philipl@overt.org>
Date:	2013-01-23

    MTP: Fix race between on_uevent and do_unmount.

    I've never seen this happen personally, but an Ubuntu bug reported
    that on_uevent fired after the gudev client had been finalized, so
    it must be possible to race between an explicit unmount and
    physically unplugging a device. I made a brief attempt to reproduce
    this but couldn't.

    In any case, it's easy enough to protect against by taking a few
    measures:

    1) Explicitly disconnect the signal handler before unref'ing the
       gudev client.
    2) Use g_signal_connect_object to keep the backend alive enough
       for on_uevent to complete.
    3) NULL out the dev_path so that if we end up in on_uevent after
       do_unmount has cleared the dev_path, the compare will fail
       gracefully.

M	daemon/gvfsbackendmtp.c
M	daemon/gvfsbackendmtp.h

commit 1d752664a9ac6c6535c66ed26dcd01ee2d7c49c3
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-01-22

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 38afbbe615054df2e9eb7903bd0b0a39136dcee4
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-01-21

    Updated Norwegian bokmål translation

M	po/nb.po

commit c13857bc88e066390097e1521c3d6fe79f4ab6f0
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-01-20

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 7ca99459448570d45ce466cd05308f96bbc5fc29
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2013-01-19

    Updated Belarusian translation.

M	po/be.po

commit f36d31481193f1c63abd19b6176bca790621fff1
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2013-01-18

    tests: Fix tar/zip ArchiveMounter tests

    These got accidentally broken when moving the Joliet/RockRidge test
    to the
    static images in test/files/ and updating the expected contents.

M	test/gvfs-test

commit fd135fe90ce9b9a568468c4ddb21e6d13135e80d
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-01-17

    Use g_list_free_full() where applicable

M	client/gdaemonfileenumerator.c
M	client/gdaemonvfs.c
M	client/gdaemonvolumemonitor.c
M	client/gvfsfusedaemon.c
M	common/gmounttracker.c
M	common/gvfsmountinfo.c
M	daemon/gvfsbackendarchive.c
M	daemon/gvfsbackendcdda.c
M	daemon/gvfsbackendcomputer.c
M	daemon/gvfsbackenddnssd.c
M	daemon/gvfsbackendftp.c
M	daemon/gvfsbackendgphoto2.c
M	daemon/gvfsbackendobexftp-cap-parser.c
M	daemon/gvfsbackendobexftp-fl-parser.c
M	daemon/gvfsbackendobexftp.c
M	daemon/gvfsbackendsmb.c
M	daemon/gvfsbackendsmbbrowse.c
M	daemon/mount.c
M	metadata/metabuilder.c
M	monitor/afc/afcvolumemonitor.c
M	monitor/gphoto2/ggphoto2volumemonitor.c
M	monitor/proxy/gproxyvolume.c
M	monitor/proxy/gvfsproxyvolumemonitordaemon.c
M	monitor/udisks2/gvfsudisks2volumemonitor.c
M	programs/gvfs-mount.c

commit 85e2ef5741bc0e165e6e74a70917bd7f0390444f
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2013-01-16

    Assamese translation updated

M	po/as.po

commit c8077969f03cac06c63953f2fb0b2040e3564a7b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-01-15

    Updated Spanish translation

M	po/es.po

commit fdbe5dd3fc723b303970e6b4e72de3a20c41d223
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-01-15

    build: Replace deprecated autoconf macros

    Contains parts from https://live.gnome.org/GnomeGoals/ModernAutotools

M	Makefile.am
M	configure.ac

commit ad545f07a92fb6556c1ee5462f23dbaec624db81
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-01-15

    Post release version bump

M	configure.ac

commit d6c8e3a4910ee2c5968886328ebe9456b445796b
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-01-15

    Update NEWS for 1.15.2 release

M	NEWS

commit de3023888932176df348252b350a8651cc12520f
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-01-15

    gvfs-test: Include */sbin in PATH

    sbin directories may contain commands we use yet may not be included
    in $PATH.

    https://bugzilla.gnome.org/show_bug.cgi?id=691568

M	test/run-in-tree.sh

commit a8b54466cf39c601039f0cac38446c83c768a42f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-01-13

    Updated Galician translations

M	po/gl.po

commit d27e7694bcd8fe47944434171b9eac49eabbe077
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-01-13

    Updated Slovenian translation

M	po/sl.po

commit a49ae50c7a99b395e8e0c3db641a29ba8bdf9146
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-01-12

    Updated POTFILES.in

M	po/POTFILES.in

commit 44f9a55da370969578899390ff00ba2bd34fb95f
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2013-01-12

    gvfs-test: Drop genisoimage dependency

    Some distros use the original cdrtools where it is called differently
    (mkisofs), and argument compatibility between the two is not
    guaranteed. Also,
    the Drive tests already use pre-generated images in test/files/, so
    pre-generate the remaining missing image (ISO9660 with Joliet
    extensions)
    instead of building them at test time.

    Part of https://bugzilla.gnome.org/show_bug.cgi?id=691568

A	test/files/joliet.iso.bz2
M	test/gvfs-test

commit a2c5d87c70e501aa3e0ebb148c62bb2bdaeb281b
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2013-01-12

    Updated Bulgarian translation

M	po/bg.po

commit 55ef4a2a84731f6e87f9d5983ef8473269df4f65
Merge: 4cd213d 66015d2
Author: Philip Langdale <philipl@overt.org>
Date:	2013-01-11

    Merge branch 'mtp-backend'

    This merge brings in the libmtp based backend for MTP devices.
    Previously, MTP devices were handled, with limited success by the
    GPhoto2 backend as MTP is nominally backwards compatible with PTP.

    The most serious limitation was that the GPhoto2 backend operated
    in a way that doesn't work reliably with Android 4.x based devices.
    This problem is rectified by the new MTP backend.

commit 66015d2669f4f393ab9fb0fbf734c6f137a56cb4
Author: Philip Langdale <philipl@overt.org>
Date:	2013-01-07

    MTP: Fix C++ comment.

M	daemon/gvfsbackendmtp.c

commit 31bf79d68f8d29f299ae0110cc05058043da0186
Author: Philip Langdale <philipl@overt.org>
Date:	2013-01-07

    MTP: Make recursive push work.

    This introduces a path normalization helper that turns filenames
    into entity IDs where needed to allow the push of a directory
    to the device to work.

M	daemon/gvfsbackendmtp.c

commit f842c1581f4dc7ef85d737c7745516d6187fe930
Author: Philip Langdale <philipl@overt.org>
Date:	2013-01-04

    MTP: Fix segfault if client queries for non-existent file by name.

    If the client, usually Nautilus, ends up trying to find a file
    by name instead of ID, there might not be a match. We should
    return NOT_FOUND explicitly, as there is no libmtp error generated
    in this case.

    This situation arises after:
    * A file is renamed
    * A directory is created
    * A file is created (which actually fails)

    Refreshing the Nautilus view will get Nautilus back in sync.

M	daemon/gvfsbackendmtp.c

commit ec52ff827e67952ee10b54c5217d775ccb6a5f59
Author: Philip Langdale <philipl@cloudera.com>
Date:	2013-01-04

    MTP: Fix regression in thumbnail icon handling.

    The preview icon and the main icon shouldn't get mixed up...

M	daemon/gvfsbackendmtp.c

commit 53863b515e3748354d45d204b5fcca878222342a
Author: Philip Langdale <philipl@overt.org>
Date:	2013-01-03

    MTP: Review Feedback: Fix memory leaks and improve memory management.

M	daemon/gvfsbackendmtp.c
M	monitor/mtp/gmtpvolume.c
M	monitor/mtp/gmtpvolumemonitor.c

commit 05b63ae0c6544559e74d088bf25682f0cfac1206
Author: Philip Langdale <philipl@overt.org>
Date:	2013-01-03

    MTP: Review Feedback: Unconditional chain up finalize and dispose.

M	daemon/gvfsbackendmtp.c
M	monitor/mtp/gmtpvolume.c
M	monitor/mtp/gmtpvolumemonitor.c

commit e7b8ce42c5ed6b7957f6287865f2c350e1dcecd2
Author: Philip Langdale <philipl@overt.org>
Date:	2013-01-03

    MTP: Review Feedback: use GHashTable more efficiently.

M	daemon/gvfsbackendmtp.c

commit 41db12ddb9c4186d5d36e0e6dc1f280d27d1c7c3
Author: Philip Langdale <philipl@overt.org>
Date:	2013-01-03

    MTP: Review Feedback: Fix warnings.

M	monitor/mtp/gmtpvolumemonitor.c

commit 5ae18e30fab90ceabe051c6789791dae13014c3d
Author: Philip Langdale <philipl@overt.org>
Date:	2013-01-03

    MTP: Review Feedback: Remove use of static buffer.

    Use a dynamically allocated buffer instead to avoid any
    multi-threading dangers.

M	monitor/mtp/gmtpvolume.c

commit c63b132a2eee21233dc7a02bfeed09438f1daa4f
Author: Philip Langdale <philipl@overt.org>
Date:	2013-01-03

    MTP: Review Feedback: Small cleanups.

    * Use g_clear_object()
    * Remove unnecessary code.

M	daemon/gvfsbackendmtp.c

commit fdc8f9cc6e2bcc41bb110f111d8c6705354fde67
Author: Philip Langdale <philipl@overt.org>
Date:	2013-01-03

    MTP: Review Feedback: Use g_strv_length()

M	daemon/gvfsbackendmtp.c

commit 6f66c0d3b12a9fddf5f845f809dde35427f3c238
Author: Philip Langdale <philipl@overt.org>
Date:	2013-01-03

    MTP: Review Feedback: Add comment to all functions where mutex must
    be held.

M	daemon/gvfsbackendmtp.c

commit 5d51919183e5633184be6bff22e6a83cea7f5933
Author: Philip Langdale <philipl@overt.org>
Date:	2013-01-03

    MTP: Review Feedback: AC_SUBST LIBMT_LIBS and LIBMTP_CFLAGS.

    Whoops

M	configure.ac

commit b50c0f05ba8c6a3c0eebc732ebf1ae0d2c926625
Author: Philip Langdale <philipl@overt.org>
Date:	2013-01-02

    MTP: Review Feedback: Correctly handle push/pull requests for
    directories.

    Tomas explained the correct way to tell Nautilus to recurse
    directories
    and issue individual copy operations for the contents, and it works!

    Note that in the case of push, the contents don't copy correctly as
    the push path is incorrect (uses filename instead of file id). I
    can compensate for this, but that will be a separate change.

M	daemon/gvfsbackendmtp.c

commit e2c2480d2a86ed06985132f05f00bf2b9758479e
Author: Philip Langdale <philipl@overt.org>
Date:	2013-01-02

    MTP: Review feedback: Remove redundant lines.

M	daemon/gvfsbackendmtp.c

commit ec249975fa7befb2b1e53e8d074999ea3f5c2e45
Author: Philip Langdale <philipl@overt.org>
Date:	2013-01-02

    MTP: Review feedback: Minimise event check thread race during
    shutdown.

    Theoretically, the event check could fire during unmount, resulting
    in access to invalid backend state. We can try and minimise the
    chance of this happening but can't elimiate it completely as the
    LIBMTP_Read_Event call cannot occur with a lock or ref held as it
    blocks and cannot be interrupted as part of the shutdown process.
    If a lock was held, it would lead to a deadlock, and if a ref was
    held, the backend would never finalize.

    As it is, the race is now narrowed so that it's only applicable if
    the unmount occurs at the point between where the MTP device is
    looked up and when Read_Event is called.

    And even before this change the race was incredibly rare as you'd
    have to induce an MTP event in the middle of unmounting.

    Finally, crashing while trying to terminate isn't the end of the
    world.

M	daemon/gvfsbackendmtp.c
M	daemon/gvfsbackendmtp.h

commit 6e8ef64c303131b258715868f5ba92702edb7b3c
Author: Philip Langdale <philipl@overt.org>
Date:	2013-01-01

    MTP: Review feedback: Refactor device path derivation.

    And fix reference leaks.

M	daemon/gvfsbackendmtp.c

commit 4daec4f9d7b9e7d1715758590466c337ddff001f
Author: Philip Langdale <philipl@overt.org>
Date:	2012-12-31

    MTP: Review feedback: Use g_vfs_job_failed_literal.

    Used in all appropriate locations.

M	daemon/gvfsbackendmtp.c

commit ec7a65a6a6fcb22fa306cdf46cd9cde3fe33f1a3
Author: Philip Langdale <philipl@overt.org>
Date:	2012-11-12

    MTP: do_query_info: Handle filename starting with digits.

    Make sure that a file isn't named starting with valid digits before
    deciding whether a name based lookup is necessary.

M	daemon/gvfsbackendmtp.c

commit bbc8ad11b924cf0dd67038044c3bff30c986e591
Author: Philip Langdale <philipl@cloudera.com>
Date:	2012-10-12

    MTP: Heartbeat callback to avoid connection timing out.

M	daemon/gvfsbackendmtp.c
M	daemon/gvfsbackendmtp.h

commit 7857a3c79d130a950160fca628cfad62dc74732d
Author: Philip Langdale <philipl@overt.org>
Date:	2012-10-13

    MTP: Fix parentheses spacing.

M	daemon/gvfsbackendmtp.c

commit f1dea7bef4e45f9fc6f77ec4d135d4b86433df6c
Author: Philip Langdale <philipl@overt.org>
Date:	2012-10-13

    MTP: Fix parentheses spacing.

M	monitor/mtp/gmtpvolume.c

commit c4405cb73e5767ce3eed77f4ba9c8b53dd146546
Author: Philip Langdale <philipl@overt.org>
Date:	2012-10-13

    MTP: More review feedback.

M	daemon/gvfsbackendmtp.c

commit e491a5df9c3956f5d597d6e7d5650d3bd033253e
Author: Philip Langdale <philipl@overt.org>
Date:	2012-10-13

    MTP: Copy Storage type constants from ptp.h

M	daemon/gvfsbackendmtp.c

commit 2815863b6cf2facb825ed61deb60a0e6311ce933
Author: Philip Langdale <philipl@overt.org>
Date:	2012-10-13

    MTP: Improve error messages.

M	daemon/gvfsbackendmtp.c

commit 72fe42f0781c29f5c426896bd37e9d2e7b7b9bce
Author: Philip Langdale <philipl@overt.org>
Date:	2012-10-13

    MTP: Use do_make_directory to handle an attempt to upload a directory.

    It's better than nothing.

M	daemon/gvfsbackendmtp.c

commit 1751084b681cc6294b250880ef33d89d11ac50e3
Author: Philip Langdale <philipl@overt.org>
Date:	2012-10-13

    MTP: Fix review comments.

M	monitor/mtp/gmtpvolumemonitor.c

commit b6d12e3de44849aaa0dd5f25b8e06318a113cf7c
Author: Philip Langdale <philipl@overt.org>
Date:	2012-10-11

    MTP: Initial review feedback.

    Added error translation
    Fixed some formatting
    Removed use of C++ comment

M	daemon/gvfsbackendmtp.c

commit 191688fd5528b5c8a3f2b23af7a2ab1c23f93074
Author: Philip Langdale <philipl@overt.org>
Date:	2012-10-10

    MTP: "Fix" pulling of directories.

    No, this doesn't make recursive pull magically work, but it allows
    a pull on a directory to make that directory, or silently succeed
    if the directory exists already.

    This does have the beneficial effect that file-roller can now
    compress a directory from an mtp mount - if you ignore the fact
    that it doesn't use display names.

M	daemon/gvfsbackendmtp.c

commit f3bf0261425fba0325b29f553d5ef1b088e87f5d
Author: Philip Langdale <philipl@overt.org>
Date:	2012-10-06

    MTP: Use fail_job everywhere its needed.

M	daemon/gvfsbackendmtp.c

commit 9fbb305bd162b2d758feeac043826c8bf3c4357f
Author: Philip Langdale <philipl@overt.org>
Date:	2012-09-22

    MTP: Finish cleaning up debug output.

M	daemon/gvfsbackendmtp.c

commit b3bb26f66fa9d4dcb9f5cded2d49b3d498c1b4dc
Author: Philip Langdale <philipl@overt.org>
Date:	2012-09-15

    MTP: More clean up.

    Starting to switch over to a DEBUG macro, and removed unnecessary
    try_mount method.

M	daemon/gvfsbackendmtp.c

commit 8f22af792ccee72e9b556e1b6242ca9700a7e741
Author: Philip Langdale <philipl@overt.org>
Date:	2012-09-05

    MTP: Remove unix permissions/ownership info.

    Semantically, these shouldn't be set if they're not really
    there. It's better to let gvfs come up with the values.

M	daemon/gvfsbackendmtp.c

commit 8efa557679ef5c2f6fc671fded7c51abd5b4cae9
Author: Philip Langdale <philipl@overt.org>
Date:	2012-09-01

    MTP: Generic failed job error handling.

M	daemon/gvfsbackendmtp.c

commit 50a35ca5e3a2207cd552a9fb932c16b57ca8c56e
Author: Philip Langdale <philipl@overt.org>
Date:	2012-09-01

    MTP: Event handling.

    This change adds an event listener to receive libmtp events. The
    primary use for this is detecting when stores appear after a phone
    is unlocked. That way you can plug it in, then unlock it, and then
    you'll see the stores appear automatically.

M	configure.ac
M	daemon/gvfsbackendmtp.c

commit 7c9e64ac4874fa291be53a3d3d93aa3e476c5e5b
Author: Philip Langdale <philipl@overt.org>
Date:	2012-08-27

    MTP: Don't leak LIBMTP_file_t objects everywhere.

    The documentation isn't clear that you have to clean these up, but
    it's pretty obvious that you do.

M	daemon/gvfsbackendmtp.c

commit e25233b35bbf27a6f42267bcd7831b2f5412e5c7
Author: Philip Langdale <philipl@overt.org>
Date:	2012-09-01

    MTP: Small Thumbnail clean up.

    Removing the debug spew for each file with a thumbnail, and turned
    off LOCAL previews. The preview process is so costly that it should
    only be done if the user requests ALWAYS.

M	daemon/gvfsbackendmtp.c

commit 2c53413cec2c58419f330206867fdcf019ffba0c
Author: Philip Langdale <philipl@overt.org>
Date:	2012-08-26

    MTP: Add missing \n to some debug messages.

M	daemon/gvfsbackendmtp.c

commit 4bbd0f44aac482bca5ce836e51a88f9ed7bb5be2
Author: Philip Langdale <philipl@cloudera.com>
Date:	2012-08-23

    MTP: Fix warnings.

M	daemon/gvfsbackendmtp.c

commit f0e6adb2341608ed2363f88dcde58e474f7c5622
Author: Philip Langdale <philipl@cloudera.com>
Date:	2012-08-23

    MTP: Add configure check for LIBMTP_GetThumbnail.

M	configure.ac
M	daemon/gvfsbackendmtp.c

commit 634086fe0ce6336440f2b4ca60b3c523eb477d4b
Author: Philip Langdale <philipl@overt.org>
Date:	2012-08-19

    MTP: Add support for using Representative Sample of Thumbnail fails.

    I have no idea if this really works, as I don't have a device
    that uses it.

M	daemon/gvfsbackendmtp.c

commit 10504d057757943b4cf487d46bf3e191fe911039
Author: Philip Langdale <philipl@overt.org>
Date:	2012-08-19

    MTP: Clean up formatting and style for MTP Volume Monitor.

    We can consider the volume monitor done at this point.

M	monitor/mtp/gmtpvolume.c
M	monitor/mtp/gmtpvolume.h
M	monitor/mtp/gmtpvolumemonitor.c

commit 15b21bca544bfd384d2650cafef75b2474d9e721
Author: Philip Langdale <philipl@overt.org>
Date:	2012-08-11

    MTP: Add support for downloading thumbnails.

    This uses the GetThumbnail method from MTP, but it requires a
    change to libmtp to expose it.

M	daemon/gvfsbackendmtp.c

commit 09e9f1234983066c91aa4cfd14d7c51efa9a803c
Author: Philip Langdale <philipl@overt.org>
Date:	2012-08-15

    MTP: Put conditional test in gphoto2 monitor for libmtp.

M	monitor/gphoto2/ggphoto2volumemonitor.c

commit 4adb051f8b715845dc8a4e6cbd8d9f20ecc01671
Author: Philip Langdale <philipl@overt.org>
Date:	2012-08-12

    MTP: Add monitoring.

M	daemon/gvfsbackendmtp.c
M	daemon/gvfsbackendmtp.h

commit 4beb0297bb5a7173643d0186c06e290483bb1750
Author: Philip Langdale <philipl@overt.org>
Date:	2012-08-12

    MTP: cleanup

M	daemon/gvfsbackendmtp.c

commit 18696cfef55329dcb1a7c7de0b268ddc6f75cb21
Author: Philip Langdale <philipl@overt.org>
Date:	2012-08-11

    MTP: Add conditional configuration against libmtp.

M	configure.ac
M	daemon/Makefile.am
M	monitor/Makefile.am

commit b06d12767598d8465f4345b049823bd2aa73c606
Author: Philip Langdale <philipl@cloudera.com>
Date:	2012-08-09

    MTP: Print error stack when push or pull fail.

M	daemon/gvfsbackendmtp.c

commit 32726f77f8e67aec4e0b5f6607f2313e3763d1d5
Author: Philip Langdale <philipl@cloudera.com>
Date:	2012-08-09

    MTP: Fix crash when called with no progress callback.

M	daemon/gvfsbackendmtp.c

commit 43e7c902d762a3930200124dd6f4b521151d1b5b
Author: Philip Langdale <philipl@overt.org>
Date:	2012-08-05

    MTP: Tidy up.

M	monitor/mtp/gmtpvolume.c
M	monitor/mtp/gmtpvolume.h
M	monitor/mtp/gmtpvolumemonitor.c
M	monitor/mtp/gmtpvolumemonitor.h
M	monitor/mtp/mtp-volume-monitor-daemon.c

commit fda46e82fe9f16ab7d8b2265c22bbca27ed930cd
Author: Philip Langdale <philipl@overt.org>
Date:	2012-08-05

    MTP: Update .gitignore

M	daemon/.gitignore
A	monitor/mtp/.gitignore

commit c9379c93c0cfa48145324dadc6e579864073a7d5
Author: Philip Langdale <philipl@overt.org>
Date:	2012-08-05

    MTP: Implement udev event handler to exit on unplug.

M	daemon/gvfsbackendmtp.c
M	daemon/gvfsbackendmtp.h

commit 41fa62ae9710fc19c71322872d9dd634a86868fa
Author: Philip Langdale <philipl@overt.org>
Date:	2012-08-04

    MTP: Rework backend to work with volume monitor.

    With the volume monitor in place, the backend is now one per device,
    so we can throw out all the device enumeration and tracking logic.

M	daemon/gvfsbackendmtp.c
M	daemon/gvfsbackendmtp.h

commit e660be080ce67a10c962ad416e215b71f575e820
Author: Philip Langdale <philipl@overt.org>
Date:	2012-08-04

    MTP: Initial MTP volume monitor implementation.

M	configure.ac
M	monitor/Makefile.am
A	monitor/mtp/Makefile.am
A	monitor/mtp/gmtpvolume.c
A	monitor/mtp/gmtpvolume.h
A	monitor/mtp/gmtpvolumemonitor.c
A	monitor/mtp/gmtpvolumemonitor.h
A	monitor/mtp/mtp-volume-monitor-daemon.c
A	monitor/mtp/mtp.monitor
A	monitor/mtp/org.gtk.Private.MTPVolumeMonitor.service.in

commit 382c9014f2dbcb9076568f3599a514608a3e1d0a
Author: Philip Langdale <philipl@overt.org>
Date:	2012-08-04

    MTP: Tidy up error handling in do_push.

M	daemon/gvfsbackendmtp.c

commit 9bd91bc0d480572543d0e3b0f909d2010ff30bae
Author: Philip Langdale <philipl@cloudera.com>
Date:	2012-08-03

    MTP: Restructure more error handling.

M	daemon/gvfsbackendmtp.c

commit 19c4aa5b2d86ada54703e39d93d477651ade8d4c
Author: Philip Langdale <philipl@cloudera.com>
Date:	2012-08-03

    MTP: Add missing mutex and free calls.

M	daemon/gvfsbackendmtp.c

commit 1bc4beb3e02b9da6379b1c9a39422705788c2db9
Author: Philip Langdale <philipl@cloudera.com>
Date:	2012-08-03

    MTP: Add stub gudev event handler.

    Will be used to detect device plug/unplug events.

M	daemon/Makefile.am
M	daemon/gvfsbackendmtp.c
M	daemon/gvfsbackendmtp.h

commit 6645adf71cca81ad59eef7bbcf47cfdab505fb9b
Author: Philip Langdale <philipl@cloudera.com>
Date:	2012-08-02

    MTP: Make gphoto2 monitor skip MTP devices.

M	monitor/gphoto2/ggphoto2volumemonitor.c

commit b6c475cd293f25138d96ad1f8c74e71fe7e20e7a
Author: Philip Langdale <philipl@overt.org>
Date:	2012-08-01

    MTP: More error handling cleanup.

M	daemon/gvfsbackendmtp.c
M	daemon/gvfsbackendmtp.h

commit f419ec49f5d7857e4bf2bb1188b82567be68f9c7
Author: Philip Langdale <philipl@cloudera.com>
Date:	2012-07-31

    MTP: Improve Error handling.

M	daemon/gvfsbackendmtp.c

commit bc3946845f33ec6eda830566780cd8e66827c737
Author: Philip Langdale <philipl@overt.org>
Date:	2012-07-31

    MTP: Basic implementation of all remaining calls.

M	daemon/gvfsbackendmtp.c

commit 1466d52ae03cbc5d0df4376de25ee7b0e71882e5
Author: Philip Langdale <philipl@cloudera.com>
Date:	2012-07-30

    MTP: Refactor query_info, implement do_pull. Clean up cruft.

M	daemon/gvfsbackendmtp.c

commit 46e0f1836a28b808661bfdcafc8dee90f044896c
Author: Philip Langdale <philipl@overt.org>
Date:	2012-07-30

    MTP: Initial implementation of MTP backend.

    Currently just does basic entity enumeration, but supports multiple
    devices and storages.

    Does not support download and upload yet.

M	daemon/Makefile.am
A	daemon/gvfsbackendmtp.c
A	daemon/gvfsbackendmtp.h
A	daemon/mtp.mount.in

commit 4cd213d4db7c77de6788cb8d790babcc0dd6daa0
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2013-01-10

    gvfs-test: Add system partition Drive test with Gio API

    This allows us to check further properties such as UUIDs.

M	test/gvfs-test

commit 552002b6e567399e837f343885ff40866364b50a
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2013-01-10

    gvfs-test Drive tests: Support more than one image

    Having only one iso9660 test image available for all Drive tests
    is too
    inflexible, as that is not writable, and has no UUID. Ship an ISO9660
    and a
    VFAT image in test/files (they compress to < 1 kB) and add a
    load_image()
    method so that every test can pick which kind of data it wants to
    see on the
    test device.

A	test/files/bogus-cd.iso.bz2
A	test/files/vfat.img.bz2
M	test/gvfs-test

commit 4ad43b9ff770860b26e8e15f5835004398ebaad7
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2013-01-09

    gvfs-test: Add Drive test using the Gio API

M	test/gvfs-test

commit 7232f1a6f9ec4637a07ea26751be986f4e019364
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2013-01-09

    Updated Kannada Translations

M	po/kn.po

commit 83cd3ae56f7ce3e605b4ea84205c3e0d34cfb2e1
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2013-01-09

    Updated Kannada Translations

M	po/kn.po

commit 822af700a39daf67d822cc5c3405e4dd2d1721ad
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2013-01-09

    Updated Kannada Translations

M	po/kn.po

commit 404dd15f925ac89f04fd1433bcfc27d546bda0c5
Author: ManojKumar Giri <mgiri@redhat.com>
Date:	2012-12-28

    Updated Odia Translation with FUEL implementation.

M	po/or.po

commit 8e63de65d2af91317adc162bae44290c8093211e
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-12-28

    Updated Hebrew translation.

M	po/he.po

commit ee2a6755b43c2d136ac937e65958bc8571afcea4
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-09-07

    Updated Hebrew translation.

M	po/he.po

commit 7a96da5b573cca2d46e7ccd8cd05ca5ef5f78038
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-12-23

    Updated Norwegian bokmål translation

M	po/nb.po

commit b3cb568644edde6e681b52b92a7b7d25bf33402b
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2012-12-19

    [l10n] Updated Estonian translation

M	po/et.po

commit 857e8326168f122c0de1d8a20ed747d0d9d2e48e
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-12-18

    Post release version bump

M	configure.ac

commit b267ff4ea02665c1056d408ce8ac1d695304ffb2
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-12-18

    Update NEWS for 1.15.1 release

M	NEWS

commit a8df997a5945ef8cb19558fbd2530f804ddfe42e
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-12-18

    build: Bump required libsoup version

M	configure.ac

commit 635c3b507e9082d8f8016f18cc14445a7493e456
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-12-18

    dav: Use application/octet-stream content type for uploading

    The content_type argument is required to be set for
    soup_message_set_request()
    if passing data in. Using "application/octet-stream" makes it work,
    though I'm not sure whether it's accepted by all dav servers.

    https://bugzilla.gnome.org/show_bug.cgi?id=687757

M	daemon/gvfsbackenddav.c

commit e0f03f9cd91a8f074cb905c8be8c3f5eabb2ff7c
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-12-18

    http: Set use-thread-context property on async SoupSession

    Apparently SoupRequester needs this to be set TRUE.

    https://bugzilla.gnome.org/show_bug.cgi?id=687757

M	daemon/gvfsbackendhttp.c

commit ed7fd5313ca8759e162c640b3de293489e359162
Author: Dan Winship <danw@gnome.org>
Date:	2012-12-18

    dav: kill SoupOutputStream

    SoupOutputStream was never particularly useful, since we ended up not
    doing chunked requests (since server support for them is mostly
    nonexistent). So kill SoupOutputStream off and just use a
    GMemoryOutputStream instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=687757

    Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>

M	daemon/Makefile.am
M	daemon/gvfsbackenddav.c
D	daemon/soup-output-stream.c
D	daemon/soup-output-stream.h

commit d751f968d65fa287a8cbfa6e2a28f8dd421deb66
Author: Dan Winship <danw@gnome.org>
Date:	2012-12-18

    http: Simplify job failure handling

    gvfsbackendhttp defined g_vfs_job_failed_from_http_status(), but
    didn't export this, so gvfsbackenddav was sort of forced to
    reimplement it. Fix that by exporting it as http_job_failed().

    https://bugzilla.gnome.org/show_bug.cgi?id=687757

    Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>

M	daemon/gvfsbackenddav.c
M	daemon/gvfsbackendhttp.c
M	daemon/gvfsbackendhttp.h

commit cac808508f1fcdb3c9c00cdb36ba6053a1f5dbbb
Author: Dan Winship <danw@gnome.org>
Date:	2012-12-18

    http: replace SoupInputStream with SoupRequest

    Replace the hacky SoupInputStream with a new GVfsHttpInputStream that
    is a wrapper around SoupRequest. (We need a wrapper stream rather than
    just using SoupRequest directly because we want the stream here to be
    seekable, which requires cancelling and re-sending the HTTP request
    and getting a new underlying stream.)

    The http and dav backends still use both a sync and an async
    SoupSession, even though this is no longer necessary, since changing
    this would require a lot of rewriting of code that currently works.

    https://bugzilla.gnome.org/show_bug.cgi?id=687757

    Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>

M	daemon/Makefile.am
M	daemon/gvfsbackenddav.c
M	daemon/gvfsbackendhttp.c
A	daemon/gvfshttpinputstream.c
A	daemon/gvfshttpinputstream.h
D	daemon/soup-input-stream.c
D	daemon/soup-input-stream.h
M	daemon/soup-output-stream.c

commit 333d9db1d52e61f690bd68bcd70c4affe446724a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-12-16

    Updated Polish translation

M	po/pl.po

commit 5dea5823a4adac54e14d6eb2db91a02c3188ecd6
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-12-15

    Updated Galician translations

M	po/gl.po

commit cc6d3d293cd90cb6ed11cb972cc1d931b493a80b
Author: David Zeuthen <zeuthen@gmail.com>
Date:	2012-12-11

    udisks2: don't set GDrive.can_stop to TRUE if drive has removable
    media

    If the drive is using removable media, we want the shell and file
    manager to eject the media, not turn the drive off.

    Signed-off-by: David Zeuthen <zeuthen@gmail.com>

M	monitor/udisks2/gvfsudisks2drive.c

commit b3f72baca687f81e7618d4b829ade2df2b59d2b8
Author: David Zeuthen <zeuthen@gmail.com>
Date:	2012-12-11

    If a drive is hotplugged and CanPowerOff is TRUE, set can_stop to TRUE

    With this change, USB-connected drives that appear *during* the user
    session will now be powered off when the user clicks the "Eject" icon
    in the GUI. This involves powering off the USB port typically
    resulting in LEDs and other user-visible features turning off. In
    particular, bus-powered HDDs will completely turn off by virtue of
    being, well, bus-powered.

    This is generally what users expect and should make them feel all
    cozy, warm inside and, most importantly, more confident removing the
    device now that the LED is off. Or something.

    Since we only do this for devices detected *during* the user session,
    we should not run into problems with internal USB devices such as
    laptop SD card readers or the various 4-in-1 flash card readers in
    many workstations. This is actually important because removing the
    power to the USB port of an "internal" device is generally a bad idea
    as it requires a system restart to make the laptop BIOS power the port
    up again (or the user to crack open the chassis).

    (No, unfortunately there is no *reliable* way to determine if a USB
    device is "internal" (e.g. reachable and/or servicable by the user) or
    not. There are a couple of mechanisms - one is to look at various USB
    device descriptors - but none of them seem very reliable. So instead
    we simply look at whether the device is hotplugged.)

    See also this udisks commit

     http://cgit.freedesktop.org/udisks/commit/?id=81dcb6eeaeceb6c6faae1a40a5b34a65cd5af653

    introducing the Drive:CanPowerOff property and the Drive.PowerOff()
    method.

    Signed-off-by: David Zeuthen <zeuthen@gmail.com>

M	monitor/udisks2/gvfsudisks2drive.c
M	monitor/udisks2/gvfsudisks2drive.h
M	monitor/udisks2/gvfsudisks2mount.c
M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit cdb8babf12c883b13f32c9adeaa8aab3feec3667
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-12-11

    udisks2: Initialize local variables to NULL

    We need to set initial value to local variables we're about to use
    later in the code.

    Found the volume monitor segfaulting on stable udisks-2.0.0

M	monitor/udisks2/gvfsudisks2volume.c

commit fc34a87b7d534a4becb6c9969adc19c1187bac42
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-12-10

    proxy volume monitor: Remove unnecessary goto

    A matter of developer's taste, but since the function has been
    simplified
    a lot, no need to keep the goto around.

M	monitor/proxy/gproxyvolumemonitor.c

commit 5a6d6ddc66a4bc32aef99f73c9e99a1c3ca91bff
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-12-10

    proxy volume monitor: Don't leak the_volume_monitors hash table

    The the_volume_monitors hash table is a shared global instance, make
    sure to only initialize it once.

    Based on a patch by Tim Lunn <tim@feathertop.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=689946

M	monitor/proxy/gproxyvolumemonitor.c

commit ee170849f84ecb09caf6dc49611db9db812f060c
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-12-10

    proxy volume monitor: Clarify when mutex is hold on construction

    Found by reviewing usage of the global lock, this place is not obvious
    whether is inside the lock or not. Let's add a simple comment to
    make it
    clear.

M	monitor/proxy/gproxyvolumemonitor.c

commit 3c08836f7f9cb61317298e85c1fe6adee01860aa
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-12-07

    afc: Add missing break statement

    Found by Coverity Scan analysis

M	daemon/gvfsbackendafc.c

commit 9088dbe0ed3a52f85ce4a87baa6ac4bfa8248c8f
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-12-07

    fuse: Make truncating more robust

    Don't try to seek if there was an error during padding. Also report
    seek errors.

M	client/gvfsfusedaemon.c

commit bf5493fc31ca6555390a076d7ce18872b7c0c0ec
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-12-07

    Fix use of uninitialized values

M	common/gmountspec.c
M	common/gvfsdaemonprotocol.c
M	daemon/gvfsafpconnection.c

commit 3c1b401670c7fbdf7ad8f3034b3d508ae719d6d3
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-12-07

    Fix some potential NULL dereferences

M	daemon/gvfsbackendgphoto2.c
M	daemon/gvfsbackendlocaltest.c

commit 3350ccfa0fbaacfd2ffc089399517d16a96abe48
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-12-07

    daemon: Add missing va_end() call

M	daemon/daemon-main.c

commit db9d1795582ad888b1653f5b43718bbe263ff369
Author: Jonathan Matthew <jonathan@d14n.org>
Date:	2012-12-06

    http: Provide edit-name whether display-name is also requested or not

    https://bugzilla.gnome.org/show_bug.cgi?id=625741

    Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>

M	daemon/gvfsbackendhttp.c

commit bb4e7ed0236855d2ced7cfd4445877822da8fe7b
Author: David Zeuthen <zeuthen@gmail.com>
Date:	2012-12-05

    udisks2: add support for mount option x-gvfs-symbolic-icon

    ... and also the new Block:HintSymbolicIcon icon just added to udisks
    master.

    Signed-off-by: David Zeuthen <zeuthen@gmail.com>

M	monitor/udisks2/gvfsudisks2volume.c
M	monitor/udisks2/what-is-shown.txt

commit 986f052f48aa87288ff4eb55fb7f8b9e157e33bc
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-12-05

    Updated Spanish translation

M	po/es.po

commit dff2d84d15b7a62a162031f2da3015e989c0eadc
Author: David Zeuthen <zeuthen@gmail.com>
Date:	2012-12-05

    udisks2: get icons via UDisksObjectInfo for block devices that are
    not drives

    Signed-off-by: David Zeuthen <zeuthen@gmail.com>

M	monitor/udisks2/gvfsudisks2volume.c

commit 82880411705bd7d4bc64a42756a50f2af582faf7
Author: David Zeuthen <zeuthen@gmail.com>
Date:	2012-12-05

    udisks2: don't leak GIcon when applying hints

    Signed-off-by: David Zeuthen <zeuthen@gmail.com>

M	monitor/udisks2/gvfsudisks2volume.c

commit acca15e159475dc9dad837651e0e3118c3fd5f0f
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-12-03

    gvfs-info: Print out symbolic-icon too

    https://bugzilla.gnome.org/show_bug.cgi?id=684328

    Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>

M	programs/gvfs-info.c

commit cf7f98995591f6c992467337469df41756c76b04
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-12-03

    smb: Report proper error on do_query_fs_info()

    We always reported success despite storing the smb call result.

    https://bugzilla.gnome.org/show_bug.cgi?id=687778

M	daemon/gvfsbackendsmb.c

commit c2b246c8e9ee67034aa0e0017516bc0f05448783
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-12-03

    client: Set default timeout to infinite for all GDaemonFile methods

    Certain operations may take a lot of time to complete, don't timeout
    on that. Use cancellable if you need to control the flow.

    https://bugzilla.gnome.org/show_bug.cgi?id=687534

M	client/gdaemonfile.c

commit 9044fc62eab9f10035bd914ed78bbcbc23220d49
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-11-29

    gvfs-test: Add tests for trash://

    This covers trashing a file from $HOME (both API and CLI), trying
    to trash
    a file from /tmp/, and handling trashing files with the same path.

M	test/gvfs-test

commit b1e7b70aa4db582743637fef4b2a00f19787d46f
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-11-28

    gvfs-test: Move temporary D-BUS setup from run-in-tree.sh

    For adding further tests such as for trash://, we want to be able
    to use a
    temporary private $XDG_DATA_HOME, and also ensure that we do not
    touch the
    user's configuration in any way by setting a temporary
    $XDG_CONFIG_HOME as
    well. (The latter needs to be in the actual $HOME until
    https://bugzilla.gnome.org/show_bug.cgi?id=142568 gets fixed)

    To achieve this, set up the temporary session D-BUS in gvfs-test
    itself (so
    that it sees our new XDG environment variables), and stop setting
    up a session
    D-BUS in run-in-tree.sh when running under make. Retain the
    funtionality in
    run-in-tree.sh for calling the script manually.

    This also allows us to capture the output of the D-BUS daemon and
    its attached
    processes. Show its stdout and stderr on test case failures for easier
    debugging, and enable general GLib and gvfs debug messages.

    In addition this simplifies the handling of $LIBSMB_PROG, as we can
    now set it
    in the test suite and can stop setting it in the Makefile.

M	test/Makefile.am
M	test/gvfs-test
M	test/run-in-tree.sh

commit 46b4898edc221eff6e1caffae894fc5a6f8d42ed
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-11-27

    gvfs-test: Skip Sftp.test_unknown_host when not in gvfs-testbed

    When running under the normal user account, the StrictHostKeyChecking
    option is
    client-configurable behaviour which cannot be temporarily
    changed. Skip the
    test entirely in this case instead of exfailing it, as it does
    not test
    anything meaningful then.

    Drop the exfail so that the test must succeed when running under
    gvfs-testbed.

M	test/gvfs-test

commit 56a11c77e5bbefcbb490e7e39a3f724f7f207509
Author: David Zeuthen <zeuthen@gmail.com>
Date:	2012-11-28

    udisks2: fix symbolic icons for devices without an UDisksDrive

    We were returning folder-remote-symbolic which is incorrect since that
    should only be used for network filesystems.

    Signed-off-by: David Zeuthen <zeuthen@gmail.com>

M	monitor/udisks2/gvfsudisks2mount.c
M	monitor/udisks2/gvfsudisks2utils.c
M	monitor/udisks2/gvfsudisks2utils.h
M	monitor/udisks2/gvfsudisks2volume.c

commit 765fa2635fc565453c42489c13825efa13434a70
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-11-26

    Updated Slovenian translation

M	po/sl.po

commit 40fb32bef39e5fa590c82dd8d5f18bd974ccac5c
Author: Alexandre Rostovtsev <tetromino@gmail.com>
Date:	2011-06-14

    Fix symlink target in query_info_reply() for sftp backend

    In SSH_FXP_NAME messages, the name field is preceded by a uint32
    count field. query_info_reply() in gvfsbackendsftp.c did not take
    the existence of the count field into account, and so set symlink
    targets incorrectly.

    For a simple demonstration, use gvfs-info to stat a symlink on an
    ssh mount.

    https://bugzilla.gnome.org/show_bug.cgi?id=652535

M	daemon/gvfsbackendsftp.c

commit 28f117d29163c79d60084cd74c1fd4e3a7b47694
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2012-11-26

    Assamese translation updated

M	po/as.po

commit e1aa9e862ea151ba4b73bf982e91ed54b65d8cc6
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-11-23

    gvfs-test: Skip Dav tests if http is disabled

    Skip the Dav tests instead of failing when running against the build
    tree and
    http support is disabled.

M	test/gvfs-test

commit 8ed2757a7e3bd396a50e866b0e8fcba83e1df510
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-11-22

    tests/run-in-tree.sh: Disable service activation for local D-BUS

    This tries to spawn gnome-keyring which can potentially mess up
    user's real
    keyrings. It also causes long timeouts during D-BUS activation which
    make the
    testsuite painfully slow.

M	test/session.conf.in

commit 8cae7af51bc7dacf6a196b95ba81a6a9886e7749
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-11-22

    gvfs-test: Add tests using the introspected Gio API

    So far we were only using the command line programs. This adds some
    tests that
    exercise the Gio API through gobject-introspection, covering archive
    mounts,
    and anonymous and authenticated FTP.

M	test/gvfs-test

commit 09c8be942506999490a0df74d4bcfa52de58a644
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2012-11-25

    Add a cmdline way to empty the trash

    Support gvfs-trash --empty to empty the trash.

M	man/gvfs-trash.xml
M	programs/gvfs-trash.c

commit 5fe24e3a42164b20795d653d4bb00316cedba3ab
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2012-11-23

    Assamese translation updated

M	po/as.po

commit 3023ce9c2f69d368a48064c7507e70742abdde42
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-11-22

    Updated Galician translations

M	po/gl.po

commit 535cc9d04a9b793b981773c597560216314cf2f9
Author: Wouter Bolsterlee <uws@xs4all.nl>
Date:	2012-11-22

    Updated Dutch translation

M	po/nl.po

commit d2273d404cb3e895ba67052dde4a3e85b1c084ba
Author: David Zeuthen <zeuthen@gmail.com>
Date:	2012-11-20

    Use UDisksObjectInfo API from udisks 2.0.90, if available, for
    symbolic icons

    Without this fix volumes would fall back to folder-remote-symbolic
    which is obviosly wrong. With this fix, it looks correct, see

     http://people.freedesktop.org/~david/gvfs-udisks2-symbolic-icons.png

    Right now we only use the API if it's available - things still work
    with udisks >= 1.97.

    Signed-off-by: David Zeuthen <zeuthen@gmail.com>

M	monitor/udisks2/gvfsudisks2drive.c
M	monitor/udisks2/gvfsudisks2mount.c
M	monitor/udisks2/gvfsudisks2volume.c

commit e4f2a031e0fbe1424e155a6c4dbed104dcf93155
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-11-20

    Updated Spanish translation

M	po/es.po

commit e5c4b5f2c951ff9271ac0e801eb1aaeff547c223
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-11-20

    gvfs-test: Fix logic error in waiting for prompt

    Do not try to check the prompt string if it is None (which can
    happen for
    non-blocking streams).

    Also add a (commented out) debug print to help with figuring out
    why some of
    the calls take a very long time.

M	test/gvfs-test

commit ffb341e9322b913161271abafc47d5c02700b572
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-11-18

    [l10n] Updated German translation

M	po/de.po

commit 419524fc7a702072f1355bffb05c75af1beeaa05
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2012-11-07

    Updated Korean translation

M	po/ko.po

commit f14dd5a3fc835e3ba29979c96bc5f62e7dd4e187
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-11-06

    gvfs-test: Fix Drive tests for Python 3.3

    Python 3.3 changed the behaviour of subprocess.Popen() with
    universal_newlines=True: now stdin is expected to be a str as well,
    which makes
    sense, but didn't work that way in Python 3.2.

    Change the code to explicitly recode and not use
    universal_newlines=True, so
    that this works for both Python versions.

M	test/gvfs-test

commit 9ebfe661e864d8d0dda41926dc57dcebb9634184
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-11-02

    Updated Slovenian translation

M	po/sl.po

commit 108168e6ecc0103f62b20531b9adf138935bb8a3
Author: cjl <cjlhomeaddress@gmail.com>
Date:	2012-11-02

    Capitalize acronyms

    https://bugzilla.gnome.org/show_bug.cgi?id=683763

    Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>

M	common/gvfsdnssdutils.c
M	daemon/gvfsbackendsftp.c

commit 10ca359c57eb6f5481a61bf1bf52996bd992aa09
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-11-01

    proxy volume monitor: Get session bus on demand

    Do not connect to session bus at module load, let proxies to get
    a bus when needed. No need to keep it active all the time. Proxies
    will return an error when a bus is unavailable.

    Also don't close the shared d-bus connection on module unload, let
    it be managed by proxies.

    https://bugzilla.gnome.org/show_bug.cgi?id=687074

M	monitor/proxy/gproxyvolumemonitor.c
M	monitor/proxy/gproxyvolumemonitor.h
M	monitor/proxy/remote-volume-monitor-module.c

commit f70800d655ca6b222625cd72af820f17404bdb4d
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-11-01

    proxy volume monitor: Don't disable exit_on_close on session bus

    We're on shared session bus, let's exit when connection closes
    (usually tied to running desktop session).

    https://bugzilla.gnome.org/show_bug.cgi?id=687074

M	monitor/proxy/gproxyvolumemonitor.c

commit ed24477ecdcf137276e9b7e89be70a819854a423
Author: Colin Walters <walters@verbum.org>
Date:	2012-10-30

    Remove calls to g_type_init(), bump GLib required version

    See
    http://git.gnome.org/browse/glib/commit/?id=2002479c02fa6e468fc3f67ddc663657a52ebde8

    https://bugzilla.gnome.org/show_bug.cgi?id=687236

M	client/gvfsfusedaemon.c
M	configure.ac
M	daemon/daemon-main.c
M	daemon/main.c
M	metadata/meta-daemon.c
M	metadata/meta-set.c
M	monitor/proxy/gvfsproxyvolumemonitordaemon.c
M	programs/gvfs-cat.c
M	programs/gvfs-copy.c
M	programs/gvfs-info.c
M	programs/gvfs-ls.c
M	programs/gvfs-mime.c
M	programs/gvfs-mkdir.c
M	programs/gvfs-monitor-dir.c
M	programs/gvfs-monitor-file.c
M	programs/gvfs-mount.c
M	programs/gvfs-move.c
M	programs/gvfs-open.c
M	programs/gvfs-rename.c
M	programs/gvfs-rm.c
M	programs/gvfs-save.c
M	programs/gvfs-set-attribute.c
M	programs/gvfs-trash.c
M	programs/gvfs-tree.c
M	test/benchmark-common.c
M	test/benchmark-gvfs-big-files.c
M	test/benchmark-gvfs-small-files.c
M	test/benchmark-posix-big-files.c
M	test/benchmark-posix-small-files.c
M	test/test-query-info-stream.c

commit 1aa6f731fa75535be856ea0ee2c112637becc22a
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2012-10-30

    [l10n] Updated Estonian translation

M	po/et.po

commit 7c1acbfed943c42ac2abd47f684e356a676b64a2
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-10-24

    Post release version bump

M	configure.ac

commit 31023f2216445dee9c9734d29d04349e80d98e8e
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-10-24

    Update NEWS for 1.15.0 release

M	NEWS

commit 89bfa5d443f1122392adeccab035f22af1aa9666
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-10-24

    Post branching version bump

M	configure.ac

commit 87d3bf53b57febcde46b8f951528e27dbe322822
Author: Debarshi Ray <debarshir@gnome.org>
Date:	2012-10-22

    gdaemonmount: Check for a NULL GMountOperation when unmounting

    https://bugzilla.gnome.org/show_bug.cgi?id=686637

M	client/gdaemonmount.c

commit 18c450425fe43c99470e19af0dfc25696cb1d8a1
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-10-17

    Ship test files

    Ship auxiliary test/files/* which are needed for the tests. Fixes
    distcheck.

M	test/Makefile.am

commit 7f12336703742e826c995a3b649af0786c43a595
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-10-17

    gvfs-test: Mark Sftp.test_unknown_host as expected failure for now

    This does not reliably work everywhere, see
    https://bugzilla.gnome.org/show_bug.cgi?id=686006#c38
    for how to fix it properly.

M	test/gvfs-test

commit 82d369758beba0c62f4e7d9d77b57784b38f6f9d
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-10-17

    Find libsmbclient with samba 4

    Samba 4 put libsmbclient.h in a subdir and added a smbclient.pc
    file to let us find it. Use it if it exists, falling back on
    the old code.

M	configure.ac

commit 228c7abbba8e4fe3a8d46bc4077b12232118a5ec
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-10-17

    Use port 22222, not 2222 for test sshd

    This is pure selfish motivation, i use port 2222 for something
    else on my machine.

M	test/gvfs-test

commit fbc059e0f43dfab3db0916992019eb955adfe1c8
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-10-16

    gvfs-test: Fix gvfs-mount waiting

    unmount() was missing an actual sleep() in the waiting loop, leading
    to way too
    intensive polling.

    Also, always wait() on the Popen'ed gvfs-mount, to ensure we don't
    get zombies.

    https://bugzilla.gnome.org/show_bug.cgi?id=686006

M	test/gvfs-test

commit fb3f5e0830d69b4e80b4e4b1ad48f41fcaef6001
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-10-16

    gvfs-test: Split "myfiles" share into public and private

    This behaves better under smbd running as user under different
    Samba versions
    and avoids artifacts like 0700 files being accessible as guest user,
    as smbd
    running as the user cannot change uid.

    https://bugzilla.gnome.org/show_bug.cgi?id=686006

M	test/gvfs-test

commit 996f0513897816130fd50377b8093b57fd47bb41
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-10-16

    gvfs-test: Make Smb tests run without gvfs-testbed

    When not running under gvfs-testbed, start smbd as normal user
    with temporary
    configuration and state files on a high port (1445).

    Set $LIBSMB_PROG to "netcat to port 1445" to convince libsmbclient
    and the smb
    gvfs backend to talk to this port instead (unfortunately libsmbclient
    has no
    API to set the port).

    As in this mode smbd cannot change to other users it does not prevent
    access to
    files which are only accessible to the test user, so adjust the
    test case
    accordingly. This should be cleaned up later on by using two separate
    shares.

    https://bugzilla.gnome.org/show_bug.cgi?id=686006

M	test/Makefile.am
M	test/gvfs-test

commit c144ca6aaac81c8b6f1982d9f241e2960b0e1f23
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-10-16

    Support running a subset of tests with make check

    With this you can run e. g.

      make check TEST_NAMES="Smb Dav.test_http_auth"

    to only run a subset of tests. Same for "make installcheck".

    https://bugzilla.gnome.org/show_bug.cgi?id=686006

M	test/Makefile.am

commit 4a71400a3ca74baee69f9e90f124fcfd2bcf10b6
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-10-16

    gvfs-test: Robustify Smb.test_anonymous

    gvfs-mount may hang indefinitely if it unexpectedly asks for
    credentials when
    trying to do an anoymous mount. Time out after 5 seconds instead.

M	test/gvfs-test

commit 9f80a98aeb422538500fba4ba73c8841fc361f28
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-10-16

    gvfs-test: Drop usershares

    We cannot rely on availability of usershares on all distros, so
    simplify the
    tests to expect that gvfs-testbed sets up the "myfiles" share by
    itself and
    then just use this.

    As the same share now allows both guest and authenticated access, call
    gvfs-mount with an "user@" prefix in the URI to tell it that we want
    authenticated access, and adjust wait_for_gvfs_mount_user_prompt()
    to also
    trigger on a Domain prompt (as gvfs-mount now does not ask for the
    user name
    any more).

M	test/gvfs-test

commit d534958ddce8c33189c42f697ec0483b5c6d9a93
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-10-15

    gvfs-test: Support running Sftp without gvfs-testbed

    We absolutely need to avoid touching ~/.ssh if we don't run under
    gvfs-testbed:
     - Require that an SSH key already exists. Current gvfs-testbed
     creates it now.
     - Tell our local sshd to look for authorized_keys in $XDG_RUNTIME_DIR
     instead
       of ~/.ssh/authorized_keys, as we need to modify it for the tests.

    Make two adjustments to the test which previously assumed English
    strings (in
    gvfs-testbed gvfs runs under no locale).

    Stop depending on $SSHD being set by gvfs-testbed and instead
    determine the
    sshd path with "which", requiring that it is in $PATH.

M	test/gvfs-test

commit ee7f7ebab9b1698d92fe27a85e4b85ef4a49250a
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-10-15

    gvfs-test: Stop using /var/log/sshd.log

    Just read sshd's output directly from the process' stderr pipe. With
    that we
    can stop relying on that part of gvfs-testbed and get the tests
    closer to being
    able to run without gvfs-testbed.

    https://bugzilla.gnome.org/show_bug.cgi?id=686006

M	test/gvfs-test

commit 582c311ed0ff0306e5be854e9d4f5a0761342d61
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-10-15

    gvfs-test: Use local sshd configuration and host keys

    Stop relying on the system sshd configuration and calling sshd-keygen
    on the
    fly, as this is not reliable across distributions. Just ship a local
    test host
    key and generate a complete (but minimal) sshd config on the fly.

A	test/files/ssh_host_rsa_key
A	test/files/ssh_host_rsa_key.pub
M	test/gvfs-test

commit 4546505e171b5b57f0ffb3e5bf0420d3be7163ff
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-10-15

    gvfs-test: Ship static SSL certificate, drop openssl dependency

    Stop generating an SSL certificate on the fly, it's too brittle across
    different distributions and unnecessary overhead. Instead, ship a
    static test
    SSL certificate.

    https://bugzilla.gnome.org/show_bug.cgi?id=686006

A	test/files/testcert.pem
M	test/gvfs-test

commit 10e3705ed5f74840a5d7e13afa1df18f196becce
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-10-12

    gvfs-test: Integrate into "make installcheck"

    This runs the tests against the system instead of the build tree,
    for system
    integration/package tests.

    https://bugzilla.gnome.org/show_bug.cgi?id=686006

M	test/Makefile.am

commit 5388836c5bd14474301301e170ee11cea51c6652
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2012-10-14

    Updated Kannada Translations

M	po/kn.po

commit f037c6239fdcfe9eee2c94a5206929e062b17761
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-10-12

    gvfs-test: Fix for Apache 2.4

    Adjust apache setup for the DAV tests to also work with Apache httpd
    2.4 on
    Fedora 18.

    Show the error_log file if it exists, and apachectl start fails.

M	test/gvfs-test

commit 5ab00893ea26a20d9b4073557a56bb2de37376c9
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-10-12

    test/run-in-tree.sh: Re-fix for distcheck

    distcheck does an out-of-tree build and thus the generated
    session.conf is not
    in the same directory as run-in-tree.sh. So handle this case
    separately.

M	test/run-in-tree.sh

commit 909f82902f6ca89290eba6f454e0b5b56d0d1408
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-10-12

    test/run-in-tree.sh: Search session.conf in test directory

    Allow users to call test/run-in-tree.sh from any directory, so that
    you can e.
    g. run "test/run-in-tree.sh gvfs-mount -li". Without this,
    run-in-tree.sh only
    finds its session.conf when running this in the tests/ directory.

M	test/run-in-tree.sh

commit 005fdd7da7593541fe5a6a16a4048b00b125ee84
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-10-12

    gvfs-test: Skip Dav tests if Apache httpd is not installed

    This is more friendly for eventually running this through "make check"
    when not
    all test dependencies are available.

    https://bugzilla.gnome.org/show_bug.cgi?id=686006

M	test/gvfs-test

commit a63c5a932c59bf61c74871736df941685ae3e96e
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-10-12

    tests: Fix distchecks

    We were not correctly handling srcdir != builddir, and
    we were not distcleaning some files.xg

M	daemon/Makefile.am
M	test/Makefile.am

commit ebcc67f826d27c71776b06e3ddd629e0056dd9e0
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-10-12

    tests: Disable smb usershare test if not in testbed

    This relies on usershares being set up which might not be true.

M	test/gvfs-test

commit caedd86fcb1a3d0c499fdf8b091b94f1764f8d61
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-10-12

    test: Fix test suit error due to dbus dying

    We need to pass in the dbus config file by absolute name, or
    it will exit when it re-reads the config file on inotify
    changes.

M	test/run-in-tree.sh

commit d013022a84b16c10628902d3f711eea98982269c
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-10-12

    More work on the test suite running

    We now also load the gio module and the gvfs
    monitor files from the build tree. Also
    fixes up make clean a bit more.

M	test/Makefile.am
M	test/run-in-tree.sh

commit b906a5ef2d395c59908d7aa954589e249a22993a
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-10-12

    Allow specifying the dir for .monitor files

    This will also be used for the test suite

M	monitor/proxy/gproxyvolumemonitor.c

commit 684a4961315012d577140cf07c4ad7b55b9d9618
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-10-12

    test/gvfs-test: Add missing copyright/license header

M	test/gvfs-test

commit 8e999efb4f617d01b876f9b9d41cea11385cf3f9
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-10-12

    Initial version of testing framework

    This is an initial import of the gvfs-test test frameworks
    from Martin Pitt, integrated into the gvfs tree.

    For now its only run if you make test in the tests subdir
    as some tests are failing. It also doesn't use the gvfs-testbed
    script to launch a fuller test environment

M	.gitignore
M	daemon/.gitignore
M	daemon/Makefile.am
A	test/.gitignore
M	test/Makefile.am
A	test/gvfs-test
A	test/run-in-tree.sh
A	test/session.conf.in

commit 7dfcc1d1fda1a9bd388ea0823e9b24807782b59e
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-10-12

    Allow specifying directory and extensions for mount files

    This will be used by the test framework to run tests against
    the in-tree build.

M	daemon/mount.c

commit 79a53dc1b86b35dfbeb377e13f760d6817f7597b
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-10-11

    Don't use gvfs in the daemons unless necessary

    Most backends don't need gvfs support, although they
    may use local GFiles. For these we enforce the use
    of the local file GVfs implementation to avoid weird
    complexity with backends depending on gvfs itself.

M	daemon/Makefile.am
M	daemon/daemon-main-generic.c

commit baa03b1333cf83cbb9618e0bebd8038df8cc50b2
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-10-11

    client: Don't disable exit_on_close on session bus

    We should *not* disable exit on close for the shared
    session bus connection, this means that apps won't
    properly exit with the session!

M	client/gdaemonvfs.c

commit c90f496faeb3451819c1d96f24abeb0d66013ef4
Author: Michael Terry <michael.terry@canonical.com>
Date:	2012-10-10

    gphoto2: make sure to not call g_mutex_clear twice, causing a crash

    https://bugzilla.gnome.org/show_bug.cgi?id=685909

M	daemon/gvfsbackendgphoto2.c

commit 4d39b17547648a6aa68d73c8d9ce9cbe23607cf8
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-10-04

    udisks2: Add appropriate content type for media players

    If a device has an ID_MEDIA_PLAYER udev property, add the
    x-content/audio-player content type so that gvfs clients like
    nautilus offer
    opening an audio player instead of a file browser.

    https://bugzilla.gnome.org/show_bug.cgi?id=619583

M	monitor/udisks2/gvfsudisks2mount.c

commit 867cd04972606757549c64f8407edbbbe49d9555
Author: Michael Terry <michael.terry@canonical.com>
Date:	2012-10-01

    fuse: don't crash on unmount

    https://bugzilla.gnome.org/show_bug.cgi?id=685248

M	client/gvfsfusedaemon.c

commit a5e21447be3c138969e80a3f779c8697b551db4f
Author: Antoine Jacoutot <ajacoutot@gnome.org>
Date:	2012-09-30

    portability: fix is_on_nfs on OpenBSD

    Under OpenBSD, the statfs structure does not support "f_type". So, use
    "f_fstypename" to check for NFS.

    https://bugzilla.gnome.org/show_bug.cgi?id=685126

M	metadata/metatree.c

commit f271c7fccfaf1e5cb25f06c85734991b2c07b673
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2012-09-29

    Updated Bulgarian translation

M	po/bg.po

commit ca7743a63721c3dd1c166006539e356412466dcc
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-23

    proxy: don't emit connected/added signals at object creation

    It's unnecessary to emit those signals when the object is created, and
    it can cause weird side-effects if applications e.g. play a sound on
    signal emission.

    https://bugzilla.gnome.org/show_bug.cgi?id=684677

M	monitor/proxy/gproxyvolumemonitor.c

commit 7c0308fdd096efa7fd946cd3a7fc32f3d33f5b1c
Author: Petr Kovar <pkovar@redhat.com>
Date:	2012-09-24

    Update Czech translation

M	po/cs.po

commit a83881cabdd26cc3810a9160b976d3713c537e11
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-09-24

    Post release version bump

M	configure.ac

commit 3f071be78bdb7543237480f2aa9cb005a8c4c4d2
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-09-24

    Update NEWS for 1.14.0 release

M	NEWS

commit 4cb8f7c203dfcfe552c13288d51642942afc5b36
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-09-24

    Pre release version bump

M	configure.ac

commit f7f7858869e6d501b6f497ecfdbf081dab307df6
Author: Peteris Krisjanis <pecisk@gmail.com>
Date:	2012-09-23

    Updated Latvian translation

M	po/lv.po

commit f7cec05dc80c5e86e11b8465ac045c280b8b75b7
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2012-09-23

    Updated Thai translation

M	po/th.po

commit 0dba893205420e9224788c1e9c98c6e66fb71f54
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2012-09-23

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 6d1426e23c29852f81f2da9a582e711dd8443674
Author: Gil Forcada <gforcada@gnome.org>
Date:	2012-09-23

    [l10n] Added Catalan translation

M	po/ca.po

commit c488e05e7a873be33b4ac5f8065cb85e0dc822fa
Author: tuhaihe <wangdianjin@linuxdeepin.com>
Date:	2012-09-23

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit 4327032e52efbcc1fe22a5db3966a2014120c46b
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2012-09-22

    Updated Russian translation

M	po/ru.po

commit d5a9157479a8e25812bbd9faeb0d8e1994542a4f
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:	2012-09-21

    hindi updated file

M	po/hi.po

commit 0f8535e989048b09b99e1d1f2315db6ca0bd74e8
Author: A S Alam <aalam@users.sf.net>
Date:	2012-09-19

    update Punjabi Translation

M	po/pa.po

commit 7a7974ca0064da5a81e378ca74c70bd3e65bb550
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-09-19

    updated Tamil translation

M	po/ta.po

commit 7d42f4eb92b7023ad05fdfd0a9f5e5536ac2ade2
Author: Ani Peter <apeter@redhat.com>
Date:	2012-09-18

    Updated Malayalam file

M	po/ml.po

commit 387b50659cd0c57bf386c5c774b76946b58db606
Author: Chris Leonard <cjl@laptop.org>
Date:	2012-09-17

    Updated British English translation

M	po/en_GB.po

commit c5a1a237a321f7ecffd5501d764d57cea5f7baab
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-09-17

    Post release version bump

M	configure.ac

commit 5f61964d7a72d6ca465971da9a8c2ed92a0b73ee
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-09-17

    Update NEWS for 1.13.9 release

M	NEWS

commit 1dc7bcb93e9464e826291ebceaa0973e3a7a7ab9
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2012-09-17

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit e48234302e15b80b76fce6cf26a8609b762f8d36
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2012-09-16

    Updated Danish translation

M	po/da.po

commit 35c0ce69203c8c73024492d7540d1f22e8c49a2c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-09-16

    Updated Spanish translation

M	po/es.po

commit 245057a4076bbed3656777f08ed09c11770efd6f
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:	2012-09-16

    Updated Korean translation

M	po/ko.po

commit dbfe3bb148eb6750491b3ffd91a4acca341774db
Author: Timo Jyrinki <timo@debian.org>
Date:	2012-09-15

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 60f0ed90b3fa4d70f7896096dd837dd2277a89ac
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-09-14

    gdu volume monitor: Don't unref possibly NULL object

M	monitor/gdu/ggduvolumemonitor.c

commit 3eb8533baba381e4c454b764692dea8ef5876ad1
Author: Michael Terry <michael.terry@canonical.com>
Date:	2012-09-14

    gdu volume monitor: Handle gdu_pool_new() returning NULL gracefully

    https://bugzilla.gnome.org/show_bug.cgi?id=582579

M	monitor/gdu/ggduvolumemonitor.c

commit 58ba8d331b4f1ae071f3fe016ad934cbfc836308
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-09-14

    hal: Bring gvfsdbusutils.c back and make it private

    ... in order to be able to compile.

    gvfsdbusutils.c was removed by commit 288e9153f1f though hal still
    needs it for compilation. Let's make it private to hal and strip
    unnecessary functions.

    https://bugzilla.gnome.org/show_bug.cgi?id=683367

M	monitor/hal/Makefile.am
A	monitor/hal/gvfsdbusutils.c
A	monitor/hal/gvfsdbusutils.h

commit 9f3de9c2b455ba7ddf9d706b5659a12c0e0e1be3
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2012-09-14

    Updated gujarati file

M	po/gu.po

commit 9014b0414aec212c42432142bf6da2c7832e3888
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2012-09-14

    Updated German translation

M	po/de.po

commit be11520b5f6ad1d4ac95b2ba0cde18fbbbc26db6
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-13

    Try to unsubscribe from the proxy used for subscription

    This makes cancel much cleaner and solves a problem
    where we were trying to use a previously disposed proxy.

    https://bugzilla.gnome.org/show_bug.cgi?id=683985

M	client/gdaemonfilemonitor.c

commit de93fcf03b7ca6f7a83e5a83cd1df05a83b7c2c7
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:	2012-09-13

    Updated Marathi Translations

M	po/mr.po

commit c3c9acbc1efa26da0ff3af1bdede057621d055ec
Author: Martin Srebotnjak <miles@filmsi.net>
Date:	2012-09-11

    Updated Slovenian translation

M	po/sl.po

commit 160bc5117f43320511ffd5cf282d97070dae60b2
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-09-11

    Assamese translation updated

M	po/as.po

commit 2dbfccc5e43583e152a156eeaf4210ffb1b959d8
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-11

    Fix some memory leaks

    https://bugzilla.gnome.org/show_bug.cgi?id=683770

M	client/gdaemonvfs.c
M	client/gvfsdaemondbus.c

commit 8a41d58863c77eb125a86cd073b7859e67e3d31c
Author: Claude Paroz <claude@2xlibre.net>
Date:	2012-09-10

    Updated French translation

    Thanks Bruno Brouard for the review.

M	po/fr.po

commit 18b6739436975b033a855c20ee3c1f858dc5c065
Author: Antoine Jacoutot <ajacoutot@gnome.org>
Date:	2012-09-10

    portability: use tar-ustar instead of tar-pax

    This allows extracting the source tarballs using BSD tar(1) without
    bogus PaxHeaders directories lying around.

    https://bugzilla.gnome.org/show_bug.cgi?id=683709

M	configure.ac

commit dcdc836a814dca550d56775eeeb4a8902eb06b9e
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2012-09-09

    Updated Portuguese translation

M	po/pt.po

commit 6b331ded92ae4341521a889b3e6bc86578cba58e
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-09-08

    Updated Belarusian translation.

M	po/be.po

commit 98a2601b143687cde2ed79deb85e86cf1a29ded4
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-09-08

    Updated Greek translation

M	po/el.po

commit 5b1306aace9c0ed425091bdbe8eae1535ff77c57
Author: Gil Forcada <gforcada@gnome.org>
Date:	2012-09-07

    Use typographic quotes just like the other strings

M	daemon/gvfsafpserver.c

commit d7449327584756c630a9ea06affeea6a4f11114c
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2012-09-07

    uk update

M	po/uk.po

commit b983605998c07253ed3577db10d09ccf8260c9dd
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-09-07

    Updated Lithuanian translation

M	po/lt.po

commit ff909269ab889e81f83d3c08a7c8b612306b4473
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-09-07

    proxydrive: Use proper object casting

    Just a little cleanup to be on a safe side.

    https://bugzilla.gnome.org/show_bug.cgi?id=683191

M	monitor/proxy/gproxydrive.c

commit df8c8e6e6ab427546ac1b6526a52722a65736492
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-09-06

    Updated Spanish translation

M	po/es.po

commit 413b7bf81d966f421567a6c97fe52cf02f3696f3
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-09-06

    Updated Hungarian translation

M	po/hu.po

commit c21dfdb740211dd87a304a086d54afc057882a48
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-09-06

    Updated Hungarian translation

M	po/hu.po

commit b4ab3ff3af6004a8b6d0edafda26c00671cca47d
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-09-06

    Updated Indonesian translation

M	po/id.po

commit 23ca958b5fa0ac78fd8c19469ba5ed3f82053a71
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:	2012-09-06

    Updated Indonesian translation

M	po/id.po

commit 34be89d32b3343b88325a0b3611d53e723c41260
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-09-05

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit a5f905611f6d44a720836515e0457ffdfe61369c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-09-05

    Updated Norwegian bokmål translation

M	po/nb.po

commit c457cfa4ddd4f34e48f4d20342eb3bb7a27daf3b
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-09-05

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit e2ad6fd85ac03a7fc3c6ec60ab173573c41ae403
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-09-04

    Updated Galician translations

M	po/gl.po

commit b7cd386a5c2c9c343a1331ce94e61a7724019f46
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-09-04

    Updated Polish translation

M	po/pl.po

commit 9a2a016744011be46d9d0b816735468f6bd787a6
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-09-04

    Post release version bump

M	configure.ac

commit 46ed9003b4624c896001a342af26e391ae2377a3
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-09-04

    Update NEWS for 1.13.8 release

M	NEWS

commit d724c8d07dd3dcb97b71d086562e7370caee16ee
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-09-04

    Bump glib version requirement

    ... for g_content_type_get_symbolic_icon()

M	configure.ac

commit 085c2885ff7f1acaf7a5238f85732d361ad55fc9
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-09-04

    gmountsource: Always use NULL-terminated arrays

    GDBus calls require NULL-terminated string arrays, let's use them
    internally instead of array + n_elements couple.

    Also fix all users of g_mount_source_ask_question() and
    g_mount_source_show_processes().

    This is a regression after gdbus port actually, the old code used
    to deal with string arrays differently.

    Related commit: 99d06e499f999459f1fc973c870415a004722d54

    https://bugzilla.gnome.org/show_bug.cgi?id=683118

M	common/gmountsource.c
M	common/gmountsource.h
M	daemon/gvfsbackend.c
M	daemon/gvfsbackendafc.c
M	daemon/gvfsbackendsftp.c

commit 37d3eef5489d4c0d4ed227008a0494a9f14743e3
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-04

    Improve the unknown authenticity question prompt

    https://bugzilla.gnome.org/show_bug.cgi?id=683341

    Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>

M	daemon/gvfsbackendsftp.c

commit 291b10ff030ec7448570ae52541e476c1532ca98
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-09-04

    dav: Don't use deprecated libsoup methods

    https://bugzilla.gnome.org/show_bug.cgi?id=682990

M	daemon/gvfsbackenddav.c

commit 6d98d20fdab36ec0e75d19f011e15adbd1d911d8
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:	2012-09-04

    http: Don't use deprecated libsoup methods

    soup_message_headers_get() has been deprecated in favor of
    soup_message_headers_get_one().

    https://bugzilla.gnome.org/show_bug.cgi?id=682990

    Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>

M	daemon/gvfsbackendhttp.c

commit 62b46167bf1ddafe20085a6478fb2660a42e9bbf
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:	2012-09-04

    afp: Fix error message (-Wformat-security)

    We need to supply an %s somewhere in here to be secure.

    https://bugzilla.gnome.org/show_bug.cgi?id=682990

    Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>

M	daemon/gvfsafpserver.c

commit 43e94e9bfc1b30b4da751ba40e831fc5a1988c1b
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2012-09-04

    Updated British English translation

M	po/en_GB.po

commit 9fd2cc71f48fbe97b9098a611a222d8f7ddeb900
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-09-04

    Updated Polish translation

M	po/pl.po

commit 27d7d1b8d1dc6a0aaade1233ed769efa3d76c93a
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-09-03

    Updated Spanish translation

M	po/es.po

commit a33ed4629e8c431a9415daa45616d1f66d3387fd
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-09-03

    updated Tamil translation

M	po/ta.po

commit 45461d43888f6c8e9c34ec7eb1822528731c759a
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-09-03

    updated Tamil translation

M	po/ta.po

commit 8a5faf2c5eb5fbb1ea60ee5ac844ac17144206ca
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-09-03

    updated Tamil translation

M	po/ta.po

commit e3c8871062aece38b9714a965a83a6a040583ecd
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-09-02

    Added ta translation

M	po/ta.po

commit 056469287fb4434bd2ffab3d436f4b0f60157394
Author: A S Alam <aalam@users.sf.net>
Date:	2012-09-03

    update Punjabi Translation

M	po/pa.po

commit b0b6e7a57081968be19837d866bc114e68ce0797
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-09-02

    Updated Lithuanian translation

M	po/lt.po

commit 4d9ffd53a41f3c65b6614c28263fa8c31c105b14
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-09-01

    Updated Vietnamese translation

M	po/vi.po

commit c594d8b228ce521369e2fb3b79770b4747d418dc
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-09-01

    po/vi: import from Damned Lies

M	po/vi.po

commit 99f0b2e951d15de08d03b802b3759cb511815f28
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-09-01

    Updated Galician translations

    Signed-off-by: Fran Diéguez <fran.dieguez@mabishu.com>

M	po/gl.po

commit 1e46d162a096b256230a161a170bf03df9e264f1
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-08-31

    Updated Galician translations

M	po/gl.po

commit 23f70d13f21a7d93b63e0dbd8742d1b1191023bc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-08-31

    Updated Polish translation

M	po/pl.po

commit 16d16c8a2abfc6ce2b90e58fae551f895d08b5dc
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-08-31

    Updated Greek translation

M	po/el.po

commit a1983951e725e511ae4cb901c19eb7c900cae23d
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-28

    Don't include jargon in mount display names and messages

    The backend protocol isn't necessary in the display name for a
    location. And having it there makes it much harder to actually
    find the user interesting part of the name. Once a mount is connected
    the user interesting part of the name is "what it is" and not
    "how it is accessed".

    This is possible now that we aren't using the display name
    to make a unique mount point.

    https://bugzilla.gnome.org/show_bug.cgi?id=682878

M	daemon/gvfsafpvolume.c
M	daemon/gvfsbackendafp.c
M	daemon/gvfsbackendafpbrowse.c
M	daemon/gvfsbackenddav.c
M	daemon/gvfsbackendftp.c
M	daemon/gvfsbackendsftp.c

commit 3ef1deba4a05597a8b2bba6222ce9d94b02d6312
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-30

    Don't use the display name to make the unique mount point

    https://bugzilla.gnome.org/show_bug.cgi?id=682878

M	client/gvfsfusedaemon.c
M	daemon/gvfsbackend.c
M	daemon/mount.c

commit 232a247b77fdf693cfccb3327712c85661f9fd9a
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-08-30

    monitor: Unused variables cleanup

M	monitor/proxy/gproxyvolumemonitor.c
M	monitor/proxy/gvfsproxyvolumemonitordaemon.c

commit 5e2d824527f6b6b8e456f1b717f9fd5d95b488ac
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-28

    Add symbolics support to the backends

    https://bugzilla.gnome.org/show_bug.cgi?id=681458

M	daemon/gvfsafpserver.c
M	daemon/gvfsbackendafc.c
M	daemon/gvfsbackendafp.c
M	daemon/gvfsbackendafpbrowse.c
M	daemon/gvfsbackendarchive.c
M	daemon/gvfsbackendburn.c
M	daemon/gvfsbackendcdda.c
M	daemon/gvfsbackendcomputer.c
M	daemon/gvfsbackenddav.c
M	daemon/gvfsbackenddnssd.c
M	daemon/gvfsbackendftp.c
M	daemon/gvfsbackendgphoto2.c
M	daemon/gvfsbackendhttp.c
M	daemon/gvfsbackendlocaltest.c
M	daemon/gvfsbackendnetwork.c
M	daemon/gvfsbackendobexftp-fl-parser.c
M	daemon/gvfsbackendobexftp.c
M	daemon/gvfsbackendrecent.c
M	daemon/gvfsbackendsftp.c
M	daemon/gvfsbackendsmb.c
M	daemon/gvfsbackendsmbbrowse.c
M	daemon/gvfsbackendtrash.c
M	daemon/gvfsdaemonutils.c
M	daemon/gvfsftpdircache.c

commit c47f093895ceb648429ef4ab85004b9c3941438d
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-28

    Add support for getting symbolic icons

    https://bugzilla.gnome.org/show_bug.cgi?id=681458

M	client/gdaemonmount.c
M	common/gmounttracker.c
M	common/gmounttracker.h
M	common/org.gtk.vfs.xml
M	daemon/gvfsbackend.c
M	daemon/gvfsbackend.h
M	daemon/mount.c
M	monitor/afc/afcvolume.c
M	monitor/proxy/dbus-interfaces.xml
M	monitor/proxy/gproxydrive.c
M	monitor/proxy/gproxymount.c
M	monitor/proxy/gproxyshadowmount.c
M	monitor/proxy/gproxyvolume.c
M	monitor/proxy/gvfsproxyvolumemonitordaemon.c
M	programs/gvfs-mount.c

commit 96daf6359e857818c3255d49c0c7d9375870aaa5
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-28

    Remove favicon support

    16px favicons aren't themable or resizable. They don't work very well
    as the default icons for files or mounts.

    https://bugzilla.gnome.org/show_bug.cgi?id=682892

M	daemon/gvfsbackendsftp.c

commit dca8b3e41bb1ff0c1dafe9e25c47dc5d1904597a
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2012-08-30

    Updated Russian translation

M	po/ru.po

commit a3461e6062cbab8971bda51bb3ebd6a22440480f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-08-29

    Updated Galician translations

M	po/gl.po

commit e7ea09a4ba13a1b14761a3804519282f4e35aa89
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-08-29

    Updated Indonesian translation

M	po/id.po

commit 351f67e6879b7effdacc9d463b50b7f59bf67723
Author: Colin Walters <walters@verbum.org>
Date:	2012-08-28

    gdaemonvfs: Don't warn when running against an older gvfs-daemon

    This happens in jhbuild.

    https://bugzilla.gnome.org/show_bug.cgi?id=682885

M	client/gdaemonvfs.c

commit a1ffbba7e4574aa43c356d80c4e139e8f3a36c4f
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-27

    recent: honor the private hint

    Don't display items that have been marked as private.

    https://bugzilla.gnome.org/show_bug.cgi?id=682835

M	daemon/gvfsbackendrecent.c

commit b6f7d8a73ab50522ab86ecf5ef0e2cfb4c21d88f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-08-28

    Updated Norwegian bokmål translation

M	po/nb.po

commit 167b54a7d42eac452b37a6e84c8fa34e33c6a68e
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-08-28

    Implemented FUEL entries to Assamese translation

M	po/as.po

commit d64a25029809b71d7a733d549e8ae7638544d143
Author: A S Alam <aalam@users.sf.net>
Date:	2012-08-27

    update Punjabi Translation

M	po/pa.po

commit 889e9532b792d15d19d3b0cb48bcc3df5452e3dd
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-08-27

    Assamese translation updated

M	po/as.po

commit 639afddbe72f6056ad30ca949af27067040af294
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-08-27

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 9a0ebc688c54f9d0d06666edd7e01229e144e59e
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:	2012-08-25

    gmountspec: Make sure to free the GVariantIter

    https://bugzilla.gnome.org/show_bug.cgi?id=682646

M	common/gmountspec.c

commit 7aba6b203db0892276c88a68a45438f6f008f8b6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-08-25

    Updated Spanish translation

M	po/es.po

commit 45c853adefac2025339bbfdfc8baac2b432279d0
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-08-24

    Updated Lithuanian translation

M	po/lt.po

commit f2128bac39c802120c675f0fc86a79470c12a5cc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-08-24

    Updated Polish translation

M	po/pl.po

commit f5ad957aff73c7b3675de67aef80af9da8e100db
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-08-24

    Updated Vietnamese translation

M	po/vi.po

commit 9a11c1b6f8a9fa3f84bac35766f6541424a99a34
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-08-24

    po/vi: import from Damned Lies

M	po/vi.po

commit 17ac45d8cfaaabf8707287bc3e1e2f2c8e26aed1
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-08-24

    Strip dbus error strings from GError after all dbus calls.

    https://bugzilla.gnome.org/show_bug.cgi?id=682384

M	daemon/daemon-main.c
M	daemon/gvfsbackendsftp.c
M	daemon/gvfsjobenumerate.c
M	daemon/gvfsjobmount.c
M	daemon/gvfsjobunmount.c
M	daemon/gvfsmonitor.c
M	daemon/mount.c

commit 30a2eacbfb83c128f1e3628c0346dcfab643f0fa
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-21

    Append the service name when needed to help differentiate

    https://bugzilla.gnome.org/show_bug.cgi?id=592885

M	daemon/gvfsbackendnetwork.c

commit e0aaf394d858ebdca25cb1a28d72fc746c151d6b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-08-23

    Updated Polish translation

M	po/pl.po

commit c57017da34eabc30b978567c706874f5a3a142ce
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-22

    Use human friendly error messages.

    https://bugzilla.gnome.org/show_bug.cgi?id=682507

M	daemon/gvfsafpserver.c

commit 9d4b1312a802fffb22696c54c9b7b96ff82f9161
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-08-23

    Fix races when mounting the same mount in parallel.

    Whenever we get ALREADY_MOUNTED during a mount we just treat
    it as a success.

    This fixes for instance multiple parallel calls to automounted
    mounts like http.

M	daemon/mount.c

commit c3309dfdf5c3d60c6666a8a8883990ccdab383ae
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-08-23

    Report back error_code on spawn fail due to bus name already owned

    We return the not-quite-right ALREADY_MOUNTED. Its not strictly right
    because just because the name is owned does not mean the mount
    has been registred yet.

M	common/org.gtk.vfs.xml
M	daemon/daemon-main.c

commit d54643d8e74dc80777f7cb279bd9c3e20b7d05b2
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-08-23

    Don't g_warn about getting the dbus name

    This breaks fatal warnings unnecessarily

M	daemon/daemon-main.c

commit 06f5d350266efeda9d26892561533e3daf9527aa
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-08-23

    Return correct error for invalid backends

M	daemon/gvfsdaemon.c

commit ff406583ad6bcc5d0273ab5cd17f129c8f02f158
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-08-23

    Updated Spanish translation

M	po/es.po

commit 3fb6e428593ad90904aa07531dd99d9d0cd5e5b2
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-23

    afc: use the correct choice index for "Cancel"

    Or pressing the button won't dismiss the dialog.

    https://bugzilla.gnome.org/show_bug.cgi?id=682496

M	daemon/gvfsbackendafc.c

commit 666764f4356cdeee89e8bfa80e1fd7fb6aacf861
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-22

    afc: use curly double quotes for dialog question

    https://bugzilla.gnome.org/show_bug.cgi?id=682496

M	daemon/gvfsbackendafc.c

commit 99d06e499f999459f1fc973c870415a004722d54
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-22

    afc: null-terminate choices string array

    Fixes extra buttons appearing in the dialog.

    The fact that we pass the array length doesn't guarantee that the
    function we are calling will actually work fine with a non
    null-terminated array; in fact it ultimately gets passed to the
    autogenerated GDBus code, which expects it to be null-terminated,
    causing memory access out of the array bounds, and into the
    content-types string array.

    https://bugzilla.gnome.org/show_bug.cgi?id=682496

M	daemon/gvfsbackendafc.c

commit 3babe9b7cb664185ef0a54ce55a9be07de20c661
Author: Felix Möller <mail@felixmoeller.de>
Date:	2012-08-01

    Improve translations a bit and add hint for etag

    Closes https://bugzilla.gnome.org/show_bug.cgi?id=595087

M	daemon/gvfsbackendcomputer.c
M	programs/gvfs-save.c

commit 6b169c89550793c1edd06ad9e245ab3ddce76669
Author: Felix Möller <mail@felixmoeller.de>
Date:	2012-08-01

    Adding a translator comment for misleading attribute name

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=595070

M	programs/gvfs-info.c

commit 1223c3ab4a35aa3ce4f5eca49355f470d69c3d7a
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-08-23

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 91fcd2e148fa66ea25e6eefd0eeda1f08047da8e
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-22

    Unpair an idevice if it was already paired and refuses to connect

    https://bugzilla.gnome.org/show_bug.cgi?id=676424

M	daemon/gvfsbackendafc.c

commit 3fbe3f2df5d27e1a35a9312998a0a9ff5f34e7a4
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-07-16

    Improve idevice error handling

    https://bugzilla.gnome.org/show_bug.cgi?id=676424

M	daemon/gvfsbackendafc.c

commit 607e194e0a6311612995a327077e9e19a4ff45f7
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-21

    Don't set a file size for the network:// shortcuts

    https://bugzilla.gnome.org/show_bug.cgi?id=682376

M	daemon/gvfsbackendnetwork.c

commit fb12a0d85372aa8e6fb92acffb6256244f0843e1
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-08-22

    Updated Norwegian bokmål translation

M	po/nb.po

commit 7d4bd61385cd56db5507ee31b14724244b637da4
Author: Colin Walters <walters@verbum.org>
Date:	2012-08-21

    daemon: Drop no-longer-necessary libdbus thread init bits

    Build regression introduced by
    288e9153f1f6efdb1243ad4d8589519326f3ec94

M	daemon/daemon-main.c

commit 603dc403bdced657dc5bd1bacb9da807cf692dcb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-08-21

    Updated POTFILES.in

M	po/POTFILES.in

commit 68ba0866c5212afa47f5ffad9c8dfcd3060bea7a
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-08-21

    Make the dnssd code non-shared

    This code is tiny, and only used by two backends.
    Having this code in a separate .so is likely a negative
    gain in both size and speed.

M	common/Makefile.am

commit 6cbe00dbfa5d4035918d5a2b28228dd5db915652
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-08-21

    Remove unused code from client libs

    The gvfsmountinfo.c (and its libbluray dependency) is unused by
    the client code, so we remove it from the common shared lib.

    We use a non-shared lib for this, as in practice only one of the
    monitors that use this code will be build/installed/used.

M	common/Makefile.am
M	monitor/gdu/Makefile.am
M	monitor/hal/Makefile.am
M	monitor/udisks2/Makefile.am

commit 9657df70f35d52e7fad5f2ddfc63efe910bb51ca
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-08-21

    Remove unused gsysutils files

M	client/gvfsdaemondbus.c
M	common/Makefile.am
D	common/gsysutils.c
D	common/gsysutils.h

commit 288e9153f1f6efdb1243ad4d8589519326f3ec94
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-08-21

    Remove final parts of libdbus

    Don't link to libdbus and remove libdbus utility functions.

M	client/Makefile.am
M	common/Makefile.am
D	common/gvfsdbusutils.c
D	common/gvfsdbusutils.h
M	daemon/Makefile.am
D	daemon/dbus-gmain.c
D	daemon/dbus-gmain.h

commit 6294de0ae00594c27527fbe22fd877254775fc9c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-20

    mount-op: adapt to guint64->gint64 API change

    https://bugzilla.gnome.org/show_bug.cgi?id=682284

M	common/gmountoperationdbus.c
M	common/gmountsource.c
M	common/gmountsource.h
M	common/org.gtk.vfs.xml
M	monitor/proxy/dbus-interfaces.xml
M	monitor/proxy/gproxymountoperation.c
M	monitor/proxy/gproxymountoperation.h
M	monitor/proxy/gproxyvolumemonitor.c
M	monitor/proxy/gvfsproxyvolumemonitordaemon.c

commit 9961654b7f24c0d6349946c9c79b62a770aafee2
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-08-20

    afp: fix g_vfs_afp_connection_get_max_request() not returning
    any value

    https://bugzilla.gnome.org/show_bug.cgi?id=682283

M	daemon/gvfsafpconnection.c

commit ef1578c9fef421a22c030d728fb5ef77bb7b86f6
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:	2012-08-08

    gphoto: support 2.5, but do not require it.

    Using GPHOTO2 for a 2nd PKG_CHECK_MODULE does not give the expected
    result, as the flag 'FOUND' is already set and the higher version
    requirement will not be honored.

    https://bugzilla.gnome.org/show_bug.cgi?id=681448

M	configure.ac

commit f911ba758eb778c6c5d272fbdf7196c6fd101985
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-08-20

    Fix build without libsecret

    Move compare_specificity into HAVE_KEYRING ifdef

M	daemon/gvfskeyring.c

commit e5699d8c93ce8a7b9d2390f13d6ad75d3832a23d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-08-20

    Updated Spanish translation

M	po/es.po

commit beae553e9719f47add0da859176ff34d196d237c
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-08-20

    Updated Belarusian translation.

M	po/be.po

commit af01fe8b5dda1a38d0a8da2b4e311ef173df57f4
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-08-20

    Post release version bump

M	configure.ac

commit 64831768c08029bfa9bf4be6600082e2c3b1110a
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-08-20

    Update NEWS for release

M	NEWS

commit 86830605aeb46e63385e9000d9a78e1aa9c035e3
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-08-20

    Port to libsecret instead of libgnome-keyring

    Based on an initial port by Stef Walter

    https://bugzilla.gnome.org/show_bug.cgi?id=679854

M	configure.ac
M	daemon/gvfskeyring.c
M	monitor/udisks2/gvfsudisks2volume.c

commit e580cd115f61e98055c3619c24fc2d5b3eb64c68
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-08-17

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit fe9e82d6fc5a5651411f7f1e9abab10dad57fd53
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:	2012-08-07

    cdda: Support libcdio 0.84 with changed API

    following CDIO changeset
    http://git.savannah.gnu.org/gitweb/?p=libcdio.git;a=commitdiff;h=abe5b8429573c9ac796c274c7abe7f76ef52dc76

    https://bugzilla.gnome.org/show_bug.cgi?id=678257

M	daemon/gvfsbackendcdda.c

commit 957ad9ed2778591a8edc8d4ac6eebd8f0a0f871b
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-08-14

    afp: fixup retrieval of user id and uuid.

    Seems like the afp server in OS X will give invalid replies to the
    FPGetUserInfo command when asking for the group id. Therefore we
    know try to
    retrieve the group id in a separate request so that we atleast are
    able to get
    the user id and uuid.

M	daemon/gvfsafpserver.c

commit 4d88358d69928cc5c9b1eaa0e082e80cfeb44237
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-08-14

    Updated Galician translations

M	po/gl.po

commit e113b85a90f3a0d12b51ee0f96dbefa9eb6b954e
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:	2012-08-14

    Updated Marathi Translations

M	po/mr.po

commit 54b485e02b18d33bdf7d1926c188244baa0828c1
Author: A S Alam <aalam@users.sf.net>
Date:	2012-08-13

    Update Punjabi Translation

M	po/pa.po

commit e9c2d8c3baad639bea0f62a8471a94a78969a0fa
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-08-12

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 46b25cb2d2261dd5986de70114aea552904c60d6
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:	2012-08-11

    Updated Indonesian translation

M	po/id.po

commit 245623edc95a88fc8e31ca506746ca2c634023d2
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2012-08-10

    Updated gujarati file

M	po/gu.po

commit 4462b1ad0ea782abb1f8a10e56a8f8f9d6441668
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-08-10

    Updated Spanish translation

M	po/es.po

commit eaec93538329f2895aec2b903b98f1accacefaee
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-08-10

    Assamese translation updated

M	po/as.po

commit dcb68914ca9464dc41af1e0f0262cd9582b3d4ec
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-08-09

    afp: use a separate request id counter for tickle requests

M	daemon/gvfsafpconnection.c

commit 8278677d5b8099b82e496830c71f5e00c166811a
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-08-09

    afp: Properly report range lock errors when writing to forks.

M	daemon/gvfsafpvolume.c

commit 1f35da46568ba5000bbb5426dae415cfa12224f7
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-08-09

    afp: Fix crasher in GVfsAfpConnection when sending tickle requests.

M	daemon/gvfsafpconnection.c

commit c32a0e300b4d1f66ba05a5c5ec83fc4027ace97a
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-08-09

    afp: Fix issues with closing a GVfsAfpConnection.

    We ended up running close_connection() multiple times due to
    g_main_loop_quit() dispatching
    other sources.

M	daemon/gvfsafpconnection.c

commit ab7d47bb3c4ff0ee9fccff813b05171dfa06c0c4
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-08-09

    afp: Fix invalid free in GVfsAfpConnection

M	daemon/gvfsafpconnection.c

commit 69592187e89e5757214fd2be5eb558e2dfc5d6da
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-08-09

    afp: Always close fork when doing close_write()

    Don't error out if we're unable to get the etag and just continue
    instead.

M	daemon/gvfsbackendafp.c

commit 01fd300d7a015031827ba947c6cf38416ed8dd1a
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-08-09

    afp: Don't create write requests bigger than the maximum request size.

M	daemon/gvfsafpconnection.c
M	daemon/gvfsafpconnection.h
M	daemon/gvfsafpserver.c
M	daemon/gvfsafpserver.h
M	daemon/gvfsafpvolume.c

commit f3763b24a33bbfb557ec32e1ef4e5e326b03d397
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-08-09

    afp: Error out when receiving invalid replies in GVfsAfpServer.

M	daemon/gvfsafpserver.c
M	daemon/gvfsafpserver.h
M	daemon/gvfsafputils.h
M	daemon/gvfsafpvolume.c

commit 342b2f846cb0171d2d96d7f22c36ea60959b5c53
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-08-08

    afp: use g_thread_new() instead of deprecated g_thread_create()

M	daemon/gvfsafpconnection.c

commit 319c19830c49f8b4c10f40f763db95fe402e38cb
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-04-22

    afp: move map_id function to GVfsAfpServer

    also rename the AfpMapIDFunction enum to GVfsAfpMapIDFunction and
    move it into
    gvfsafpserver.h.

M	daemon/gvfsafpconnection.h
M	daemon/gvfsafpserver.c
M	daemon/gvfsafpserver.h
M	daemon/gvfsafpvolume.c
M	daemon/gvfsafpvolume.h
M	daemon/gvfsbackendafp.c

commit 98752a60b30575bc22375626f2c226cfdca04adf
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-04-22

    afp: move definitions of GVfsAfp[Volume|Server] into gvfsafptypes.h

M	daemon/Makefile.am
M	daemon/gvfsafpserver.c
M	daemon/gvfsafpserver.h
A	daemon/gvfsafptypes.h
M	daemon/gvfsafpvolume.h
M	daemon/gvfsbackendafp.c

commit b355a34ca375c686f83279dfacd068607b35452a
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-03-12

    afp: make fields private in GVfsAfpServer

M	daemon/gvfsafpconnection.h
M	daemon/gvfsafpserver.c
M	daemon/gvfsafpserver.h
M	daemon/gvfsafpvolume.c
M	daemon/gvfsafpvolume.h
M	daemon/gvfsbackendafp.c
M	daemon/gvfsbackendafpbrowse.c

commit ef8d81602b01cecf0c9cab8b54c0f9e65486dc57
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-03-12

    afp: logout from server on unmount

M	daemon/gvfsafpconnection.h
M	daemon/gvfsafpserver.c
M	daemon/gvfsafpserver.h
M	daemon/gvfsafpvolume.c
M	daemon/gvfsbackendafp.c
M	daemon/gvfsbackendafpbrowse.c

commit c1b3b8a3e3d979a4857587b57026d91f56ff1627
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-01-29

    Use a worker thread in GVfsAfpConnection

M	daemon/gvfsafpconnection.c
M	daemon/gvfsafpconnection.h
M	daemon/gvfsafpserver.c
M	daemon/gvfsafpvolume.c

commit daa712e7a8848c923ce698e4296e21ab5fde6c68
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-01-29

    afp: append _sync to g_vfs_afp_connection_[open|close]

M	daemon/gvfsafpconnection.c
M	daemon/gvfsafpconnection.h
M	daemon/gvfsafpserver.c

commit 198c6c28b2adfe371a92aa5a9c14561173a98905
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-08-09

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 1e01fa703f0f0fc10d2502d868c3bce18664e2da
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-08

    Bump version

M	configure.ac

commit 7d57b99bea4e9e0f01975f6241413cf72757135c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-08

    1.13.6

M	NEWS

commit 8e57fc5ddfaf7c8001fa830fa99e5b664c9c0871
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-08

    build: fix distcheck

M	Makefile.am

commit 259a09183f7c96b5fb0f6453bb4b0bcf92e3eaa2
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-08

    gphoto: build with libgphoto 2.5 API

    Patch taken from the Fedora package
    Author: Jindrich Novy <jnovy@redhat.com>

    http://pkgs.fedoraproject.org/cgit/gvfs.git/commit/?id=cd0c6218df85bf3de101402c1aa9d79aae7c3019

M	configure.ac
M	daemon/gvfsbackendgphoto2.c

commit e8d687d2d571e4d18596110a1f5d2f41b80d465f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2012-08-07

    Bump version

M	configure.ac

commit 0d461da6bac6ead345d1a82315055d92aef7c5d0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2012-08-07

    1.13.5

M	NEWS

commit bc8a4b9c50d21293e871a559f359063cbd0af6c0
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-08-07

    Updated Spanish translation

M	po/es.po

commit d286f898cd689e85f0e50cd3503c4245bfc38afb
Author: Bastien Nocera <hadess@hadess.net>
Date:	2012-08-07

    cdda: Remove old TODO item

M	daemon/gvfsbackendcdda.c

commit 5624012821836136ad38abea00469865f6e7d616
Author: Pekka Vuorela <pvuorela@iki.fi>
Date:	2012-07-09

    cdda: Fix abort() with CD-Text outside ASCII

    CD-Text doesn't specify encoding, but in practice some discs have
    strings with extended characters. Using those directly will make D-Bus
    choke with invalid data. Fixed by assuming latin-1.

    This also fixes a memory leak in the cdtext_get() usage.

    https://bugzilla.gnome.org/show_bug.cgi?id=671259

M	daemon/gvfsbackendcdda.c

commit 68d4daadca1b6a3f50d98e356668534f88bae1b3
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-08-07

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 9813f564508e39a2f26f13943eb8243d96093fce
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-08-07

    Updated Slovenian translation

M	po/sl.po

commit bfb24671e6646cfbd6643233e05ba19aad6887f6
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-08-06

    Updated Greek translation

M	po/el.po

commit c055531025fb8bce05211b0b774bbada1b30a1f9
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2012-08-06

    Updated gujarati file

M	po/gu.po

commit 02cf6dae51b1dc9218f4396ddd06f9a0127059f5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2012-08-03

    man: Improve consistency of man pages

    To make the appearance of the man pages more consistent, add
    a refmiscinfo element for the title of the section. This text
    appears in the middle header of the generated man pages.

M	man/gvfs-cat.xml
M	man/gvfs-copy.xml
M	man/gvfs-info.xml
M	man/gvfs-ls.xml
M	man/gvfs-mime.xml
M	man/gvfs-mkdir.xml
M	man/gvfs-monitor-dir.xml
M	man/gvfs-monitor-file.xml
M	man/gvfs-mount.xml
M	man/gvfs-move.xml
M	man/gvfs-open.xml
M	man/gvfs-rename.xml
M	man/gvfs-rm.xml
M	man/gvfs-save.xml
M	man/gvfs-set-attribute.xml
M	man/gvfs-trash.xml
M	man/gvfs-tree.xml
M	man/gvfsd-fuse.xml
M	man/gvfsd-metadata.xml
M	man/gvfsd.xml

commit e66a2c1006e0a4de88eb154223015c73cfa5947c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2012-07-31

    Add more man pages

    This patch adds man pages for gvfsd, gvfsd-fuse, gvfsd-metadata,
    as well as a gvfs overview page in section 7.

M	man/Makefile.am
A	man/gvfs.xml
A	man/gvfsd-fuse.xml
A	man/gvfsd-metadata.xml
A	man/gvfsd.xml

commit dfba6a7d976a007a1c65120ab8332079269466e5
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-08-03

    Assamese translation updated

M	po/as.po

commit 70e3a3e5bdf61cb7379c6e41cabbee26a4f12c57
Author: Andre Klapper <a9016009@gmx.de>
Date:	2012-08-01

    Fix translator comments so they are actually picked up by gettext

M	daemon/gvfsbackendafc.c

commit a661e25445190fd694160ee57277403b93287824
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-31

    Post release version bump

M	configure.ac

commit c8db6e8a27701d9bc1d45f5579bdadbc33c971f9
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-31

    Update NEWS for 1.13.4 release

M	NEWS

commit fe7e66b5efbc0d2589e326c7ca10fd9451e4e894
Merge: 071e9b4 7a71fe8
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-31

    Merge branch 'gdbus-core'

commit 7a71fe8461ab3347b10a814b716323a50baed9e9
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-31

    gdbus: Use default timeout for keyring calls

M	daemon/gvfsbackendsftp.c

commit 071e9b40c9e0c464eb96e423e00177df1e2b3a6c
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-07-31

    Updated Galician translations

M	po/gl.po

commit 023f677e887120b5b4ae159108f94dd1d39fd821
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-31

    gdbus: Remove debug prints

M	client/gdaemonfile.c
M	client/gdaemonfileenumerator.c
M	client/gdaemonfilemonitor.c
M	client/gdaemonmount.c
M	client/gvfsdaemondbus.c
M	client/gvfsfusedaemon.c
M	client/gvfsiconloadable.c
M	common/gmountoperationdbus.c
M	common/gmountsource.c
M	daemon/daemon-main.c
M	daemon/gvfsbackend.c
M	daemon/gvfsdaemon.c
M	daemon/gvfsjobcopy.c
M	daemon/gvfsjobcreatemonitor.c
M	daemon/gvfsjobdbus.c
M	daemon/gvfsjobdelete.c
M	daemon/gvfsjobenumerate.c
M	daemon/gvfsjobmakedirectory.c
M	daemon/gvfsjobmakesymlink.c
M	daemon/gvfsjobmountmountable.c
M	daemon/gvfsjobmove.c
M	daemon/gvfsjobopenforread.c
M	daemon/gvfsjobopenforwrite.c
M	daemon/gvfsjobopeniconforread.c
M	daemon/gvfsjobpollmountable.c
M	daemon/gvfsjobpull.c
M	daemon/gvfsjobpush.c
M	daemon/gvfsjobqueryattributes.c
M	daemon/gvfsjobqueryfsinfo.c
M	daemon/gvfsjobqueryinfo.c
M	daemon/gvfsjobsetattribute.c
M	daemon/gvfsjobsetdisplayname.c
M	daemon/gvfsjobstartmountable.c
M	daemon/gvfsjobstopmountable.c
M	daemon/gvfsjobtrash.c
M	daemon/gvfsjobunmount.c
M	daemon/gvfsjobunmountmountable.c
M	daemon/gvfsmonitor.c
M	daemon/main.c
M	daemon/mount.c

commit ffd0031b6cce90332d744a7aad370e5cd694cbba
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-31

    gdbus: Use g_variant_is_of_type() instead of strcmp()

M	daemon/gvfsbackendsftp.c

commit 881ffc4130e199c95170df311a7b61d5da8a55dc
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-27

    gdbus: Gracefully handle monitoring unsubscribe on unmounted backend

    The mount may be already gone or monitoring cleanup is done too late;
    in that case handle this case gracefully since the monitoring doesn't
    exist anymore.

M	client/gdaemonfilemonitor.c

commit c0dd33f20d70c1c1dcb729bfef9a9541d5fc4cdf
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-27

    gdbus: Silence the G_IO_ERROR_NOT_MOUNTED error

    This is a valid error used to indicate that we should (auto)mount
    first
    and should not be presented to the user.

M	client/gdaemonvfs.c

commit 59cda52b8d5e067c4fbdab1943fc90859ed0b97f
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-27

    gdbus: Don't use NULL values on error with fd passing

    Found out that if the remote call fails, some variables are left
    uninitialized and causes assertion failures while we don't need them.

M	client/gdaemonfile.c
M	client/gvfsiconloadable.c

commit 6184b93b66d37ac101582eafb4dd39646811f54d
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-27

    gdbus: Fix leaks of GSimpleAsyncResult

M	client/gdaemonfile.c

commit 564b6556c93cb1bf36ccd02138c73df263c342cf
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-27

    gdbus: More errors to strip

M	common/gmountsource.c
M	daemon/gvfsbackend.c

commit 4a88ed63cfce1130698ee5241c95e532c7a7ad74
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-26

    gdbus: Strip unknown GError quark strings

    This hopefully covers all public methods.

    Seems like this fixes several memleaks as well.

M	client/gdaemonfile.c
M	client/gdaemonmount.c
M	client/gvfsdaemondbus.c
M	client/gvfsdaemondbus.h
M	client/gvfsiconloadable.c

commit 3986b62fba77af739399e737c4c8eb0354255bee
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-24

    gdbus: Rename common d-bus interface xml file

M	common/Makefile.am
R100	common/dbus-interfaces.xml	common/org.gtk.vfs.xml

commit fbec00979be67e23d4340342b9ec656455890340
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-24

    gdbus: Code style fixes

M	common/gvfsdaemonprotocol.c

commit 1d4481e504ea6251c2d2573efa2fb64104291aa6
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-24

    gdbus: Fix case of GDbusAttributeValue struct

M	common/gvfsdaemonprotocol.c
M	common/gvfsdaemonprotocol.h
M	daemon/gvfsjobsetattribute.c
M	daemon/gvfsjobsetattribute.h

commit fc26e52e4f7ddbd1a24ec9d02d76bd4c70d0b1f7
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-24

    gdbus: Use casting macros where possible

M	client/gdaemonfileenumerator.c
M	client/gdaemonfilemonitor.c
M	client/gvfsdaemondbus.c
M	common/gmountoperationdbus.c
M	common/gmounttracker.c
M	daemon/gvfsdaemon.c
M	daemon/mount.c

commit 6b5b2b4c1f28bdd61e8a2dc24b66191436378910
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-23

    gdbus: Use g_clear_error() where appropriate

M	client/gdaemonfile.c
M	client/gdaemonvfs.c
M	client/gvfsdaemondbus.c
M	daemon/gvfsdaemon.c
M	daemon/gvfsjobmount.c

commit 23535a0e56da1640f0d1d4ecd8f65f66880134cf
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-23

    gdbus: Use g_clear_object() where appropriate

M	client/gdaemonfile.c
M	client/gdaemonfileenumerator.c
M	client/gdaemonfilemonitor.c
M	client/gdaemonmount.c
M	client/gdaemonvfs.c
M	client/gvfsdaemondbus.c
M	client/gvfsfusedaemon.c
M	client/gvfsiconloadable.c
M	common/gmounttracker.c
M	daemon/daemon-main.c
M	daemon/gvfsbackend.c
M	daemon/gvfsjobdbus.c
M	daemon/gvfsjobmount.c
M	daemon/main.c
M	daemon/mount.c

commit 02f30b8058e61bd3dc6ab70fab1f3b13bd748043
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-23

    gdbus: Properly suffix functions doing sync proxy creation

    ...so that they are recognizable on a first sight.

M	common/gmountsource.c
M	common/gmounttracker.c

commit d5b392afc30cef82ec325a7e3af86a3ee181607e
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-23

    gdbus: Reword GVariant arguments

    and kill the iters.

M	common/gmountsource.c
M	common/gmountsource.h
M	common/gmountspec.c
M	common/gmountspec.h
M	common/gmounttracker.c
M	common/gmounttracker.h
M	common/gvfsdaemonprotocol.c
M	common/gvfsdaemonprotocol.h

commit 3b5991d2e3dd9cd0f9ed5d2fedef31b89207b228
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-23

    gdbus: gmountoperationdbus.c: Move referenced objects around

    Reorganize saved references for used objects, getting rid of
    some FIXMEs.

M	common/gmountoperationdbus.c

commit 58df9f28bd3d516231eeb6581e54b84d274be3f6
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-20

    gdbus: Construct proxies without connecting signals and properties

    Use G_DBUS_PROXY_FLAGS_DO_NOT_CONNECT_SIGNALS and
    G_DBUS_PROXY_FLAGS_DO_NOT_LOAD_PROPERTIES
    flags where applicable.

M	client/gdaemonfile.c
M	client/gdaemonvfs.c
M	common/gmountsource.c
M	common/gmounttracker.c
M	daemon/daemon-main.c
M	daemon/gvfsbackend.c
M	daemon/mount.c

commit 584c90ed0861440fd052a6090d132dd0859efd0d
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-20

    gdbus: Use G_VARIANT_TYPE_HANDLE for fd_id arguments

M	client/gdaemonfile.c
M	client/gvfsiconloadable.c
M	common/dbus-interfaces.xml
M	daemon/gvfsjobopenforread.c
M	daemon/gvfsjobopenforwrite.c

commit 6f16f975afa7da91291bd6a0ab30d16823951dde
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-20

    gdbus: Move annotations to the interface XML file

M	common/Makefile.am
M	common/dbus-interfaces.xml

commit 8702019ec946d3ade84efa4f7e42e39f73f7bf6a
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-20

    gdbus: Fix srcdir != builddir and make the build more quiet

M	client/Makefile.am
M	common/Makefile.am
M	daemon/Makefile.am
M	metadata/Makefile.am

commit a40ac13ba62e33030f2097aada9fa022acd0744d
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-13

    gdbus: Push new GVfsJobProgress class

    Forgotten from the 722ebaf0ab949ca5b844a387dc684b4e3185db75 commit

A	daemon/gvfsjobprogress.c
A	daemon/gvfsjobprogress.h

commit 71fcc2ee835cab71a481159de8b97ff412da6e49
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-03

    gdbus: Remove unused extra_fd stuff

M	client/gvfsdaemondbus.c
M	daemon/gvfsdaemon.c

commit 93c79e3111fb8f48203b56da419a4aefa48d2d72
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-03

    gdbus: Use private GMainContext for sync enumerator

    It's little messy due to shared code across sync calls with private
    main context and async calls that don't have it's mainloop and
    can't use
    private context.

M	client/gdaemonfile.c
M	client/gdaemonfileenumerator.c
M	client/gdaemonfileenumerator.h

commit 918cebfd9b96b22179b4685d94e72b6c97090eb3
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-29

    gdbus: Make copy progress work

    ...by turning sync copy calls async and running mainloop for progress
    interface skeleton be able to process incoming calls.

    Also, new class GVfsJobProgress has been introduced mostly for
    code sharing.

M	client/gdaemonfile.c
M	daemon/Makefile.am
M	daemon/gvfsbackendsftp.c
M	daemon/gvfsjobcopy.c
M	daemon/gvfsjobcopy.h
M	daemon/gvfsjobmove.c
M	daemon/gvfsjobmove.h
M	daemon/gvfsjobpull.c
M	daemon/gvfsjobpull.h
M	daemon/gvfsjobpush.c
M	daemon/gvfsjobpush.h

commit 17a008f395c438c0dad394523cc3d62261ceca4a
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-22

    gdbus: Fix mount tracker signals emitting

    This allows clients to react on GVfs mounts appearing and
    disappearing.

M	daemon/mount.c

commit 87a01d9658ad302d73bd22541183fa5e06cfd6f7
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-22

    gdbus: Fix mountable mounting with URI

M	daemon/gvfsjobmountmountable.c

commit 92d43f90747d359cd404e6043f754dde0bd69f5a
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-18

    gdbus: More signal handler disconnection

    Not really a problem in this case, but let's be on a safe side.

M	daemon/gvfsdaemon.c

commit 24c5f03c4469951c2b631f5daadd8292c7564850
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-15

    gdbus: Properly disconnect signal handlers

    ...not doing that leads to accessing freed memory

M	daemon/gvfsmonitor.c

commit 89a881c5bf8fcbaf027e276a302aefc11f8fca34
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-15

    gdbus: Make cancellation work

    This mimics the old behaviour and works for sync and async.

    Requires new glib for g_dbus_connection_get_last_serial().

M	client/gdaemonfile.c
M	client/gdaemonmount.c
M	client/gvfsdaemondbus.c
M	client/gvfsdaemondbus.h
M	client/gvfsiconloadable.c
M	daemon/gvfsdaemon.c
M	daemon/gvfsjobdbus.c
M	daemon/gvfsjobdbus.h

commit 36635d44502b5c4e8f7e1341ad9ec912bb822e0d
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-08

    gdbus: Fixup d-bus interface naming style

    And conform to usual GNOME naming conventions.

M	common/dbus-interfaces.xml

commit ec8f2fca20d36d51d8282281e9f701f855602f14
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-08

    gdbus: Treat empty non-NULL strings for the "ay" type as NULL

    A fallout of port away from convenient G_DBUS_TYPE_CSTRING type and
    _g_dbus_message_append_args() + _g_dbus_message_iter_get_args()
    functions
    that masked NULL strings as non-NULL empty strings ("") for
    transferring
    over d-bus and on the other side reconstructed the original value.

    Portions of other code treat non-NULL strings differently even if they
    were empty. This fixes e.g. opening http URLs via gvfs-open.

M	client/gdaemonfile.c
M	common/gmountspec.c
M	common/gmounttracker.c
M	daemon/gvfsbackend.c
M	daemon/mount.c

commit 54071afd025beb577e67d5ac1f662a5715a76903
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-04

    gdbus: Remove last traces of libdbus in metadata sources

M	metadata/Makefile.am
M	metadata/meta-daemon.c
M	metadata/meta-set.c

commit cef8d84ded806046019cd395706e460b43586044
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-19

    gdbus: Remove no longer valid comment

M	daemon/main.c

commit 050f18515a6719574a01b5ca667ad527f1333872
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-19

    gdbus: Enable daemon finalization

    The crasher may have been possibly fixed in bug 669211.

    It's hard to hit the code path as long as gvfsdaemon calls hard
    exit().

M	daemon/main.c

commit a2c2c52928cd85fabcb7bf41476400ec4bb43611
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-18

    gdbus: Silence unmount failures

    ...and fix wrong typecast due to using an object we haven't
    reff'ed. The
    failure we're making silent were coming from a failed d-bus call
    to mount
    tracker.

    Also turned out the org.gtk.vfs.MountTracker.unregisterMount()
    has never
    been implemented, daemon mounttracker is watching for clients
    disconnects
    anyway.

M	daemon/gvfsjobunmount.c
M	daemon/mount.c

commit 261ddae0c195a072c7d1928a9450cc81116fc340
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-18

    gdbus: Tweak mount finalization

M	daemon/main.c
M	daemon/mount.c
M	daemon/mount.h

commit c85c4a0459d70a7331a3beb2336c789a55dad595
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-18

    gdbus: Handle not yet spawned mountables

    This makes http backend working again.

M	daemon/mount.c

commit 838a1d9fb187fc759cb6a76303b2a754d427df5f
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-31

    gdbus: Remove unused daemon protocol defines

M	common/gvfsdaemonprotocol.h

commit 2ee87da9e37f973f1ebdade8c9646b60ba6cb2ae
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-17

    gdbus: Remove unused include

    So that nothing depends on gvfsdbusutils.h, which is full of old
    libdbus code.

M	client/gvfsdaemondbus.c

commit b0988eb4d6ec3f9ed202a6fd2214508ecd5b0b29
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-17

    gdbus: Port the fuse daemon

M	client/gvfsfusedaemon.c

commit aec6dccfabe3f93afad8698f18824ed323a96095
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-17

    gdbus: Port the sftp backend

    Traces of gnome-keyring GetEnvironment() call.

M	daemon/gvfsbackendsftp.c

commit 844e47f33da18ee8246c09adc70194cdb183d277
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-16

    gdbus: Port the OpenIconForRead operation

M	client/gvfsiconloadable.c
M	common/Makefile.am
M	common/dbus-interfaces.xml
M	daemon/gvfsbackend.c
M	daemon/gvfsjobopenforread.c
M	daemon/gvfsjobopenforread.h
M	daemon/gvfsjobopeniconforread.c
M	daemon/gvfsjobopeniconforread.h

commit 55f336c94f9a365e8dda4acae876073eb3ef3a2f
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-16

    gdbus: Bring libdbus threads initialization back

    I hate reverting things but this seems to be required for proper
    libdbus threads initialization, further used by gnome-keyring.

    This has actually been fixed in gnome-keyring recently (bug 659162)
    but gvfs can still be used with gnome-keyring-2.32.

M	daemon/daemon-main.c

commit 6c37ae628a794686618f01c718b359e94166aed5
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-13

    gdbus: Handle client connection dying during monitoring

    Handle a connection dying and unregister its subscription.

M	daemon/gvfsmonitor.c

commit 67b9adfe04ed5963fc9e37b01ac0ff36fba206f4
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-13

    gdbus: Monitoring port

M	client/gdaemonfilemonitor.c
M	common/dbus-interfaces.xml
M	daemon/gvfsmonitor.c

commit 594c36b2bfbbff1d70a0faf66de2671c906071f0
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-13

    gdbus: Improve registered paths activation on daemon side

    This changes the way registered paths (i.e. interface skeleton
    exports)
    are activated on daemon side. We're keeping a list of connections
    on which every
    registered path is exported so that if connection is closed or the
    path is
    unregistered we always free the right interface skeletons.

    We also keep track of active client (peer-to-peer) connections so
    that if a new
    path is registered, it's automatically exported to all active
    connections. Needed
    since client connections are usually shared.

    It also has a nice side-effect of reacting to dirty disconnects
    (e.g. the client
    dies).

    This whole registration machinery needs unique object paths (for
    the hash table)
    but that's not a problem in the current state.

M	daemon/gvfsbackend.c
M	daemon/gvfsdaemon.c
M	daemon/gvfsdaemon.h

commit 7ebe892e2c390963c322a09305f6aa5951913699
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-05

    gdbus: Handle NULL mount_info in create_proxy_for_file2()

M	client/gdaemonfile.c

commit f55ffc1135840380c761f2cbb776e0253ed6305d
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-05

    gdbus: Fix mismerged struct

M	daemon/mount.c

commit 622a5c0d167556188c38fcde40a42a0dfad9c625
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-31

    gdbus: Core daemon and client port

    Port of most of the gvfs core, few bits still missing. Lot of debug
    prints around,
    will be removed in further commits. Same amount of TODOs and FIXMEs.

    Notes:
     * kill serials?
     * get rid of mainloops where applicable (copy/move progress callback,
     enumerator)
     * fix keyring integration
     * use gdbus builtin fd passing within gvfsdaemon.c, kill the
     extra_fd stuff

M	.gitignore
M	client/gdaemonfile.c
M	client/gdaemonfileenumerator.c
M	client/gdaemonfileenumerator.h
M	client/gdaemonmount.c
M	client/gdaemonvfs.c
M	client/gdaemonvfs.h
M	client/gvfsdaemondbus.c
M	client/gvfsdaemondbus.h
M	common/Makefile.am
A	common/dbus-interfaces.xml
M	common/gmountoperationdbus.c
M	common/gmountoperationdbus.h
M	common/gmountsource.c
M	common/gmountsource.h
M	common/gmountspec.c
M	common/gmountspec.h
M	common/gmounttracker.c
M	common/gmounttracker.h
M	common/gvfsdaemonprotocol.c
M	common/gvfsdaemonprotocol.h
M	daemon/daemon-main.c
M	daemon/gvfsbackend.c
M	daemon/gvfsbackend.h
M	daemon/gvfsdaemon.c
M	daemon/gvfsdaemon.h
M	daemon/gvfsdaemonutils.c
M	daemon/gvfsdaemonutils.h
M	daemon/gvfsjob.c
M	daemon/gvfsjobcopy.c
M	daemon/gvfsjobcopy.h
M	daemon/gvfsjobcreatemonitor.c
M	daemon/gvfsjobcreatemonitor.h
M	daemon/gvfsjobdbus.c
M	daemon/gvfsjobdbus.h
M	daemon/gvfsjobdelete.c
M	daemon/gvfsjobdelete.h
M	daemon/gvfsjobenumerate.c
M	daemon/gvfsjobenumerate.h
M	daemon/gvfsjobmakedirectory.c
M	daemon/gvfsjobmakedirectory.h
M	daemon/gvfsjobmakesymlink.c
M	daemon/gvfsjobmakesymlink.h
M	daemon/gvfsjobmount.c
M	daemon/gvfsjobmount.h
M	daemon/gvfsjobmountmountable.c
M	daemon/gvfsjobmountmountable.h
M	daemon/gvfsjobmove.c
M	daemon/gvfsjobmove.h
M	daemon/gvfsjobopenforread.c
M	daemon/gvfsjobopenforread.h
M	daemon/gvfsjobopenforwrite.c
M	daemon/gvfsjobopenforwrite.h
M	daemon/gvfsjobpollmountable.c
M	daemon/gvfsjobpollmountable.h
M	daemon/gvfsjobpull.c
M	daemon/gvfsjobpull.h
M	daemon/gvfsjobpush.c
M	daemon/gvfsjobpush.h
M	daemon/gvfsjobqueryattributes.c
M	daemon/gvfsjobqueryattributes.h
M	daemon/gvfsjobqueryfsinfo.c
M	daemon/gvfsjobqueryfsinfo.h
M	daemon/gvfsjobqueryinfo.c
M	daemon/gvfsjobqueryinfo.h
M	daemon/gvfsjobsetattribute.c
M	daemon/gvfsjobsetattribute.h
M	daemon/gvfsjobsetdisplayname.c
M	daemon/gvfsjobsetdisplayname.h
M	daemon/gvfsjobstartmountable.c
M	daemon/gvfsjobstartmountable.h
M	daemon/gvfsjobstopmountable.c
M	daemon/gvfsjobstopmountable.h
M	daemon/gvfsjobtrash.c
M	daemon/gvfsjobtrash.h
M	daemon/gvfsjobunmount.c
M	daemon/gvfsjobunmount.h
M	daemon/gvfsjobunmountmountable.c
M	daemon/gvfsjobunmountmountable.h
M	daemon/main.c
M	daemon/mount.c

commit a494b809eaf82994108bfbbe5d950fed1a0a8c7c
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-31

    udisks2: Remove UDISKS_CHECK_VERSION ifdefs since we require 1.97 now

M	monitor/udisks2/gvfsudisks2utils.c
M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 76bbf5cfc3d98c2e6cbcf17d21f7900c9e28935a
Author: Chris Kühl <blixtra@gmail.com>
Date:	2012-07-31

    build: Update udisks2 requirement to version 1.97

    The use of udisks_loop_get_setup_by_uid,
    udisks_client_get_loop_for_block, udisks_loop_get_autoclear,
    udisks_loop_get_setup_by_uid, & udisks_loop_call_set_autoclear in
    gvfsudisks2volume.c cause the build to fail without a udisks2 version
    >= 1.97.

    https://bugzilla.gnome.org/show_bug.cgi?id=680863

    Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>

M	configure.ac

commit a7e673e5c3b190e00b8b443105ef9a0b6aa3fea7
Author: Felix Möller <mail@felixmoeller.de>
Date:	2012-07-31

    Spelling correction "filesystem" -> "file system"

    Unify the spelling. For the discussion see:
    https://bugzilla.gnome.org/show_bug.cgi?id=520902

    Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>

M	daemon/daemon-main.c
M	daemon/gvfsbackendcdda.c
M	daemon/gvfsbackendsmb.c
M	daemon/gvfsbackendsmbbrowse.c
M	daemon/gvfsjobunmount.c
M	monitor/udisks2/gvfsudisks2volume.c
M	programs/gvfs-info.c

commit b1fd82b01d24859707d40f19782c5ee02123d6cb
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-30

    Rename gvfs-fuse-daemon to gvfsd-fuse

    ...to stay consistent with the rest of the daemons.

    https://bugzilla.gnome.org/show_bug.cgi?id=680819

M	client/Makefile.am
M	daemon/main.c

commit 1e9c89eafaac6b3a759115df9981526fe9083461
Author: Felix Möller <mail@felixmoeller.de>
Date:	2012-07-30

    Update the Address of the FSF

    Updating the address of the FSF.
    This has been done by:

    while read file; do
      sed -i 's:59 Temple Place:51 Franklin Street:' $file
      sed -i 's:Suite 330:Fifth Floor:' $file
      sed -i 's:02111-1307:02110-1301:' $file
    done

    https://bugzilla.gnome.org/show_bug.cgi?id=656598

    Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>

M	COPYING
M	client/afpuri.c
M	client/gdaemonfile.c
M	client/gdaemonfile.h
M	client/gdaemonfileenumerator.c
M	client/gdaemonfileenumerator.h
M	client/gdaemonfileinputstream.c
M	client/gdaemonfileinputstream.h
M	client/gdaemonfilemonitor.c
M	client/gdaemonfilemonitor.h
M	client/gdaemonfileoutputstream.c
M	client/gdaemonfileoutputstream.h
M	client/gdaemonmount.c
M	client/gdaemonmount.h
M	client/gdaemonvfs.c
M	client/gdaemonvfs.h
M	client/gdaemonvolumemonitor.c
M	client/gdaemonvolumemonitor.h
M	client/gvfsdaemondbus.c
M	client/gvfsdaemondbus.h
M	client/gvfsfusedaemon.c
M	client/gvfsiconloadable.c
M	client/gvfsiconloadable.h
M	client/gvfsurimapper.c
M	client/gvfsurimapper.h
M	client/gvfsuriutils.c
M	client/gvfsuriutils.h
M	client/httpuri.c
M	client/smburi.c
M	common/gmountoperationdbus.c
M	common/gmountoperationdbus.h
M	common/gmountsource.c
M	common/gmountsource.h
M	common/gmountspec.c
M	common/gmountspec.h
M	common/gmounttracker.c
M	common/gmounttracker.h
M	common/gsysutils.c
M	common/gsysutils.h
M	common/gvfsdaemonprotocol.c
M	common/gvfsdbusutils.c
M	common/gvfsdbusutils.h
M	common/gvfsdnssdresolver.c
M	common/gvfsdnssdresolver.h
M	common/gvfsdnssdutils.c
M	common/gvfsdnssdutils.h
M	common/gvfsfileinfo.c
M	common/gvfsfileinfo.h
M	common/gvfsicon.c
M	common/gvfsicon.h
M	common/gvfsmountinfo.c
M	common/gvfsmountinfo.h
M	daemon/daemon-main-generic.c
M	daemon/daemon-main.c
M	daemon/daemon-main.h
M	daemon/dbus-gmain.c
M	daemon/dbus-gmain.h
M	daemon/gvfs-enums.h
M	daemon/gvfsafpconnection.c
M	daemon/gvfsafpconnection.h
M	daemon/gvfsafpserver.c
M	daemon/gvfsafpserver.h
M	daemon/gvfsafputils.c
M	daemon/gvfsafputils.h
M	daemon/gvfsafpvolume.c
M	daemon/gvfsafpvolume.h
M	daemon/gvfsbackend.c
M	daemon/gvfsbackend.h
M	daemon/gvfsbackendafp.c
M	daemon/gvfsbackendafp.h
M	daemon/gvfsbackendafpbrowse.c
M	daemon/gvfsbackendafpbrowse.h
M	daemon/gvfsbackendarchive.c
M	daemon/gvfsbackendarchive.h
M	daemon/gvfsbackendburn.c
M	daemon/gvfsbackendburn.h
M	daemon/gvfsbackendcdda.c
M	daemon/gvfsbackendcdda.h
M	daemon/gvfsbackendcomputer.c
M	daemon/gvfsbackendcomputer.h
M	daemon/gvfsbackenddav.c
M	daemon/gvfsbackenddav.h
M	daemon/gvfsbackenddnssd.c
M	daemon/gvfsbackenddnssd.h
M	daemon/gvfsbackendftp.c
M	daemon/gvfsbackendftp.h
M	daemon/gvfsbackendgphoto2.c
M	daemon/gvfsbackendgphoto2.h
M	daemon/gvfsbackendhttp.c
M	daemon/gvfsbackendhttp.h
M	daemon/gvfsbackendlocaltest.c
M	daemon/gvfsbackendlocaltest.h
M	daemon/gvfsbackendnetwork.c
M	daemon/gvfsbackendnetwork.h
M	daemon/gvfsbackendobexftp-cap-parser.c
M	daemon/gvfsbackendobexftp-cap-parser.h
M	daemon/gvfsbackendobexftp-fl-parser.c
M	daemon/gvfsbackendobexftp-fl-parser.h
M	daemon/gvfsbackendobexftp.c
M	daemon/gvfsbackendobexftp.h
M	daemon/gvfsbackendsftp.c
M	daemon/gvfsbackendsftp.h
M	daemon/gvfsbackendsmb.c
M	daemon/gvfsbackendsmb.h
M	daemon/gvfsbackendsmbbrowse.c
M	daemon/gvfsbackendsmbbrowse.h
M	daemon/gvfsbackendtest.c
M	daemon/gvfsbackendtest.h
M	daemon/gvfschannel.c
M	daemon/gvfschannel.h
M	daemon/gvfsdaemon.c
M	daemon/gvfsdaemon.h
M	daemon/gvfsdaemonutils.c
M	daemon/gvfsdaemonutils.h
M	daemon/gvfsftpconnection.c
M	daemon/gvfsftpconnection.h
M	daemon/gvfsftpdircache.c
M	daemon/gvfsftpdircache.h
M	daemon/gvfsftpfile.c
M	daemon/gvfsftpfile.h
M	daemon/gvfsftptask.c
M	daemon/gvfsftptask.h
M	daemon/gvfsjob.c
M	daemon/gvfsjob.h
M	daemon/gvfsjobcloseread.c
M	daemon/gvfsjobcloseread.h
M	daemon/gvfsjobclosewrite.c
M	daemon/gvfsjobclosewrite.h
M	daemon/gvfsjobcopy.c
M	daemon/gvfsjobcopy.h
M	daemon/gvfsjobcreatemonitor.c
M	daemon/gvfsjobcreatemonitor.h
M	daemon/gvfsjobdbus.c
M	daemon/gvfsjobdbus.h
M	daemon/gvfsjobdelete.c
M	daemon/gvfsjobdelete.h
M	daemon/gvfsjobenumerate.c
M	daemon/gvfsjobenumerate.h
M	daemon/gvfsjobmakedirectory.c
M	daemon/gvfsjobmakedirectory.h
M	daemon/gvfsjobmakesymlink.c
M	daemon/gvfsjobmakesymlink.h
M	daemon/gvfsjobmount.c
M	daemon/gvfsjobmount.h
M	daemon/gvfsjobmountmountable.c
M	daemon/gvfsjobmountmountable.h
M	daemon/gvfsjobmove.c
M	daemon/gvfsjobmove.h
M	daemon/gvfsjobopenforread.c
M	daemon/gvfsjobopenforread.h
M	daemon/gvfsjobopenforwrite.c
M	daemon/gvfsjobopenforwrite.h
M	daemon/gvfsjobopeniconforread.c
M	daemon/gvfsjobopeniconforread.h
M	daemon/gvfsjobpollmountable.c
M	daemon/gvfsjobpollmountable.h
M	daemon/gvfsjobpull.c
M	daemon/gvfsjobpull.h
M	daemon/gvfsjobpush.c
M	daemon/gvfsjobpush.h
M	daemon/gvfsjobqueryattributes.c
M	daemon/gvfsjobqueryattributes.h
M	daemon/gvfsjobqueryfsinfo.c
M	daemon/gvfsjobqueryfsinfo.h
M	daemon/gvfsjobqueryinfo.c
M	daemon/gvfsjobqueryinfo.h
M	daemon/gvfsjobqueryinforead.c
M	daemon/gvfsjobqueryinforead.h
M	daemon/gvfsjobqueryinfowrite.c
M	daemon/gvfsjobqueryinfowrite.h
M	daemon/gvfsjobread.c
M	daemon/gvfsjobread.h
M	daemon/gvfsjobseekread.c
M	daemon/gvfsjobseekread.h
M	daemon/gvfsjobseekwrite.c
M	daemon/gvfsjobseekwrite.h
M	daemon/gvfsjobsetattribute.c
M	daemon/gvfsjobsetattribute.h
M	daemon/gvfsjobsetdisplayname.c
M	daemon/gvfsjobsetdisplayname.h
M	daemon/gvfsjobsource.c
M	daemon/gvfsjobsource.h
M	daemon/gvfsjobstartmountable.c
M	daemon/gvfsjobstartmountable.h
M	daemon/gvfsjobstopmountable.c
M	daemon/gvfsjobstopmountable.h
M	daemon/gvfsjobtrash.c
M	daemon/gvfsjobtrash.h
M	daemon/gvfsjobunmount.c
M	daemon/gvfsjobunmount.h
M	daemon/gvfsjobunmountmountable.c
M	daemon/gvfsjobunmountmountable.h
M	daemon/gvfsjobwrite.c
M	daemon/gvfsjobwrite.h
M	daemon/gvfskeyring.c
M	daemon/gvfskeyring.h
M	daemon/gvfsmonitor.c
M	daemon/gvfsmonitor.h
M	daemon/gvfsreadchannel.c
M	daemon/gvfsreadchannel.h
M	daemon/gvfswritechannel.c
M	daemon/gvfswritechannel.h
M	daemon/libsmb-compat.h
M	daemon/main.c
M	daemon/mount.c
M	daemon/mount.h
M	daemon/pty_open.c
M	daemon/pty_open.h
M	daemon/sftp.h
M	daemon/soup-input-stream.c
M	daemon/soup-input-stream.h
M	daemon/soup-output-stream.c
M	daemon/soup-output-stream.h
M	metadata/dbus-interface.xml
M	metadata/meta-daemon.c
M	metadata/metabuilder.h
M	metadata/metatree.h
M	monitor/gdu/gdu-volume-monitor-daemon.c
M	monitor/gdu/ggdudrive.c
M	monitor/gdu/ggdudrive.h
M	monitor/gdu/ggdumount.c
M	monitor/gdu/ggdumount.h
M	monitor/gdu/ggduvolume.c
M	monitor/gdu/ggduvolume.h
M	monitor/gdu/ggduvolumemonitor.c
M	monitor/gdu/ggduvolumemonitor.h
M	monitor/gphoto2/ggphoto2volume.c
M	monitor/gphoto2/ggphoto2volume.h
M	monitor/gphoto2/ggphoto2volumemonitor.c
M	monitor/gphoto2/ggphoto2volumemonitor.h
M	monitor/gphoto2/gphoto2-volume-monitor-daemon.c
M	monitor/gphoto2/hal-device.c
M	monitor/gphoto2/hal-device.h
M	monitor/gphoto2/hal-pool.c
M	monitor/gphoto2/hal-pool.h
M	monitor/gphoto2/hal-utils.c
M	monitor/gphoto2/hal-utils.h
M	monitor/hal/ghaldrive.c
M	monitor/hal/ghaldrive.h
M	monitor/hal/ghalmount.c
M	monitor/hal/ghalmount.h
M	monitor/hal/ghalvolume.c
M	monitor/hal/ghalvolume.h
M	monitor/hal/ghalvolumemonitor.c
M	monitor/hal/ghalvolumemonitor.h
M	monitor/hal/hal-device.c
M	monitor/hal/hal-device.h
M	monitor/hal/hal-pool.c
M	monitor/hal/hal-pool.h
M	monitor/hal/hal-utils.c
M	monitor/hal/hal-utils.h
M	monitor/hal/hal-volume-monitor-daemon.c
M	monitor/proxy/dbus-interfaces.xml
M	monitor/proxy/gproxydrive.c
M	monitor/proxy/gproxydrive.h
M	monitor/proxy/gproxymount.c
M	monitor/proxy/gproxymount.h
M	monitor/proxy/gproxymountoperation.c
M	monitor/proxy/gproxymountoperation.h
M	monitor/proxy/gproxyshadowmount.c
M	monitor/proxy/gproxyshadowmount.h
M	monitor/proxy/gproxyvolume.c
M	monitor/proxy/gproxyvolume.h
M	monitor/proxy/gproxyvolumemonitor.c
M	monitor/proxy/gproxyvolumemonitor.h
M	monitor/proxy/gvfsproxyvolumemonitordaemon.c
M	monitor/proxy/gvfsproxyvolumemonitordaemon.h
M	monitor/proxy/remote-volume-monitor-module.c
M	monitor/udisks2/gvfsudisks2drive.c
M	monitor/udisks2/gvfsudisks2drive.h
M	monitor/udisks2/gvfsudisks2mount.c
M	monitor/udisks2/gvfsudisks2mount.h
M	monitor/udisks2/gvfsudisks2utils.c
M	monitor/udisks2/gvfsudisks2utils.h
M	monitor/udisks2/gvfsudisks2volume.c
M	monitor/udisks2/gvfsudisks2volume.h
M	monitor/udisks2/gvfsudisks2volumemonitor.c
M	monitor/udisks2/gvfsudisks2volumemonitor.h
M	monitor/udisks2/udisks2volumemonitordaemon.c
M	programs/completion/gvfs
M	programs/gvfs-cat.c
M	programs/gvfs-copy.c
M	programs/gvfs-info.c
M	programs/gvfs-less
M	programs/gvfs-ls.c
M	programs/gvfs-mime.c
M	programs/gvfs-mkdir.c
M	programs/gvfs-monitor-dir.c
M	programs/gvfs-monitor-file.c
M	programs/gvfs-mount.c
M	programs/gvfs-move.c
M	programs/gvfs-open.c
M	programs/gvfs-rename.c
M	programs/gvfs-rm.c
M	programs/gvfs-save.c
M	programs/gvfs-set-attribute.c
M	programs/gvfs-trash.c
M	programs/gvfs-tree.c
M	test/benchmark-common.c
M	test/benchmark-gvfs-big-files.c
M	test/benchmark-gvfs-small-files.c
M	test/benchmark-posix-big-files.c
M	test/benchmark-posix-small-files.c
M	test/test-query-info-stream.c

commit 713bd83a892b9fa021f323e9df0df8e149d6194e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2012-07-30

    afc: Use consistent debug env var

    All the other backend-specific env vars to trigger debugging
    spew are named GVFS_<foo>_DEBUG. Make afc follow this pattern, too.

    https://bugzilla.gnome.org/show_bug.cgi?id=680733

    Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>

M	daemon/gvfsbackendafc.c

commit 1650ec9a0271e0527309e708f5cfe43756396248
Author: Marcus Carlson <mdc@src.gnome.org>
Date:	2012-07-30

    computer: Mark items as not renamable

    https://bugzilla.gnome.org/show_bug.cgi?id=617056

M	daemon/gvfsbackendcomputer.c

commit ee29ebe3a7af92984ca395e8f1d110f5a52716a1
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-30

    proxyvolumemonitor: Use GDBusProxy's name owner change notification

    Some GVolumeMonitor users don't run mainloop thus we're not able
    to do any async I/O. Using GDBusProxy name owner monitoring should
    get us the same functionality as separate g_bus_watch_name() call
    with the benefit of not doing any async I/O in GProxyVolumeMonitor
    constructor. This way we could populate volume monitor objects
    during initialization.

    https://bugzilla.gnome.org/show_bug.cgi?id=679821

M	monitor/proxy/gproxyvolumemonitor.c

commit 094e49bb8e3ededefa19ab720758ef10ffd76905
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-07-30

    Updated Galician translations

M	po/gl.po

commit f13d8ac3ee0c0407d88d7266905b18e0d05d9b4f
Author: Åsmund Skjæveland <aasmunds@ulrik.uio.no>
Date:	2012-07-29

    Updated Norwegian Nynorsk translation

M	po/nn.po

commit b0bdbda5baf3ecd710f25515e2f37dd531491cf2
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2012-07-28

    Fix a comment typo

M	common/gvfsdaemonprotocol.h

commit 256e33d3c21c0b5b495078c901111eb872d6d36a
Author: David Zeuthen <zeuthen@gmail.com>
Date:	2012-07-26

    udisks2: ensure that encrypted loop devices also get padlock emblem

    Signed-off-by: David Zeuthen <zeuthen@gmail.com>

M	monitor/udisks2/gvfsudisks2volume.c

commit 88ffd85e73fec8611386530962fb35451e28571c
Author: David Zeuthen <zeuthen@gmail.com>
Date:	2012-07-26

    udisks2: set should_automount to TRUE for loop devices set up by
    the user

    Also set the Autoclear property after successfully mounting/unlocking
    devices on a loop device.

    Signed-off-by: David Zeuthen <zeuthen@gmail.com>

M	monitor/udisks2/gvfsudisks2volume.c

commit b16b1476da08dc63b98cc25eebfddb48f50a5e82
Author: David Zeuthen <zeuthen@gmail.com>
Date:	2012-07-26

    udisks2: move up loop device validation checks

    We also want these checks to apply to e.g. LUKS devices.

    Signed-off-by: David Zeuthen <zeuthen@gmail.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 5b09d7e4176998c642e7fdfec71c3c35993a01b2
Author: David Zeuthen <zeuthen@gmail.com>
Date:	2012-07-26

    udisks2: don't use object after unref

    Technically there's no problem here since UDisksClient still has a
    reference but it's pretty confusing. Fix it up by using
    g_clear_object().

    Signed-off-by: David Zeuthen <zeuthen@gmail.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 810c166e36489982b3b9d4905f2b89a9235cecb1
Author: David Zeuthen <zeuthen@gmail.com>
Date:	2012-07-26

    udisks2: work around Linux bug for lingering partitions of cleared
    loop device

    Signed-off-by: David Zeuthen <zeuthen@gmail.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit dc0e1d4ddd4c9d853c92d37da5633a680599cc37
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-07-25

    Updated Norwegian bokmål translation

M	po/nb.po

commit f3a18490240eacb879906d2a60b88702cb0862ac
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-07-24

    Updated Greek translation

M	po/el.po

commit 0d6c13ce089669ec30a98123814303315810eaf1
Author: Åsmund Skjæveland <aasmunds@ulrik.uio.no>
Date:	2012-07-22

    Updated Norwegian Nynorsk translation

M	po/nn.po

commit fa60a3dc687354a5299dcf8aa8e8f1e176104345
Author: Åsmund Skjæveland <aasmunds@ulrik.uio.no>
Date:	2012-07-22

    Updated Norwegian Nynorsk translation

M	po/nn.po

commit 4bc677ecd5e84d78979650ce34b3024c7b6b2e0d
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-07-22

    Updated Lithuanian translation

M	po/lt.po

commit ecf1aba3184fa46f870b87dce25a1e161b75f876
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-20

    gdbus: Construct proxies without connecting signals and properties

    Use G_DBUS_PROXY_FLAGS_DO_NOT_CONNECT_SIGNALS and
    G_DBUS_PROXY_FLAGS_DO_NOT_LOAD_PROPERTIES
    flags where applicable.

M	client/gdaemonvfs.c
M	metadata/meta-set.c
M	monitor/proxy/gproxyvolumemonitor.c

commit 0e43394e03efcb6f5cff048b0765771e9ea8e406
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-20

    programs: Return proper exit value when something fails

    The rule for the returning value and multiple arguments is to
    go through all of them and return non-zero exit code when one or more
    fails.

M	programs/gvfs-cat.c
M	programs/gvfs-info.c
M	programs/gvfs-ls.c
M	programs/gvfs-mount.c

commit 7f72e8780d955f61ff031355d83fc6ffcbad480e
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-07-18

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit e29f4c0285a075008e2de670129cf58c9640f8fa
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-16

    Post release version bump

M	configure.ac

commit 7bbf9a00816f42c43769cd28ffeca177af15a2b2
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-07-16

    Update NEWS for 1.13.3 release

M	NEWS

commit c9a90f45b79082bedfcd6a8bb82c6b013e22d708
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-07-16

    Updated Spanish translation

M	po/es.po

commit 39a92eb5ac5741b79832825f8408598aab83c52c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-07-09

    daemon: implement show-unmount-progress in GVfsJobUnmount

    https://bugzilla.gnome.org/show_bug.cgi?id=676111

M	daemon/gvfsjobunmount.c
M	daemon/gvfsjobunmount.h

commit 2b9132dcb7019bb9a6a3f05f0c951055dc62e2ed
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-07-16

    Assamese translation updated

M	po/as.po

commit 772aae7ae7f602b45f9d464fe286b3d0e00344cd
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-07-15

    Updated Belarusian translation.

M	po/be.po

commit c17b63a45988c49ee707b5cd0c685662735db51c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-07-13

    build: require GLib 2.33.4

    For the show-unmount-progress GMountOperation signal.

    https://bugzilla.gnome.org/show_bug.cgi?id=676111

M	configure.ac

commit 69bdea2a55b976322c9583eafcd51468ef953a30
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-07-09

    common: add support show-unmount-progress signal to
    GMountOperationDBus

    https://bugzilla.gnome.org/show_bug.cgi?id=676111

M	common/gmountoperationdbus.c
M	common/gmountsource.c
M	common/gmountsource.h
M	common/gvfsdaemonprotocol.h

commit 89d6253b08ae993dd23004c8c8f7f9ac4b7d1a2e
Author: Bastien Nocera <hadess@hadess.net>
Date:	2012-07-12

    trash: Make it possible to get to real URI

    So that the files can be poked direction, without the indirection.
    This makes it possible for Totem to play DVDs from the trash for
    example.

    https://bugzilla.gnome.org/show_bug.cgi?id=667794

M	daemon/gvfsbackendtrash.c

commit a5507e2e5cffd56926208364f8c7065f19eb4e26
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-07-13

    Updated POTFILES.in

M	po/POTFILES.in

commit 2fec402d6523e4cf416d754f69d012dc67a58a2e
Author: Martin Pieuchot <mpi@openbsd.org>
Date:	2012-07-13

    daemon: Support allocating PTYs through openpty on BSD

    Allows systems supporting the BSD openpty(3) utily function but not
    the Unix98 PTY function family (grantpt(3), unlockpt(3), ...) to
    allocate a pseudo-tty required for the ssh authentication.

    https://bugzilla.gnome.org/show_bug.cgi?id=679790

    Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>

M	configure.ac
M	daemon/gvfsbackendsftp.c
M	daemon/pty_open.c

commit e3890ddd806a7e2f89ac17d61a4aac0fa4eb7006
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-07-10

    Add a recent files backend

    https://bugzilla.gnome.org/show_bug.cgi?id=679719

M	configure.ac
M	daemon/Makefile.am
A	daemon/gvfsbackendrecent.c
A	daemon/gvfsbackendrecent.h
A	daemon/recent.mount.in

commit 86137e52d78b2a03b90964c090656f4820f77c78
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-07-10

    Enable more warnings with git

    https://bugzilla.gnome.org/show_bug.cgi?id=679719

M	configure.ac

commit 90e499e06040b5aa4adbefa20ccf78860ed67492
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-07-13

    Assamese translation updated

M	po/as.po

commit ff627caf013e71a19da24b9fbf188728993bc8a7
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-07-12

    Updated Galician translations

M	po/gl.po

commit 1592330c16dac5e3acbbcd1971c01055ff5cba2b
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-07-12

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 174f3044f0e741b9c376efe98d41f5f46592b957
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-07-09

    udisks2: implement show-unmount-progress

    https://bugzilla.gnome.org/show_bug.cgi?id=676111

M	monitor/udisks2/gvfsudisks2drive.c
M	monitor/udisks2/gvfsudisks2mount.c
M	monitor/udisks2/gvfsudisks2utils.c
M	monitor/udisks2/gvfsudisks2utils.h

commit 8c61a01d9b143842fceb641e9ee03cb30bebb4ef
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-07-09

    monitor: handle show-unmount-progress signal

    https://bugzilla.gnome.org/show_bug.cgi?id=676111

M	monitor/proxy/dbus-interfaces.xml
M	monitor/proxy/gproxymountoperation.c
M	monitor/proxy/gproxymountoperation.h
M	monitor/proxy/gproxyvolumemonitor.c
M	monitor/proxy/gvfsproxyvolumemonitordaemon.c

commit 8dcd2e3756632bca6ea12744ee02099ba8a7e1d4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-07-10

    udisks2: split a helper function

    We'll need to use this later.

    https://bugzilla.gnome.org/show_bug.cgi?id=676111

M	monitor/udisks2/gvfsudisks2mount.c

commit 4fccf40dfabbef277c3ae5c1652d4db24d0285ac
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-07-10

    udisks2: factor out a common function

    Factor out unmount_data_complete(), we'll use it later.

    https://bugzilla.gnome.org/show_bug.cgi?id=676111

M	monitor/udisks2/gvfsudisks2mount.c

commit 17f987f6b983b5f87f1317f4fd70ce4387ac458d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-07-10

    udisks2: simplify some code

    https://bugzilla.gnome.org/show_bug.cgi?id=676111

M	monitor/udisks2/gvfsudisks2drive.c

commit 9aec339e36e4047c74a1ebea8afac372234dd9e2
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-07-10

    trivial: remove unused defines

    https://bugzilla.gnome.org/show_bug.cgi?id=676111

M	monitor/gdu/ggdumount.c
M	monitor/udisks2/gvfsudisks2mount.c

commit 079c5ae819e9aba6e75a0b533ed5ff8308038c2d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-07-10

    udisks2: plug a memory leak

    We were not free-ing the UnmountMountsOp structure when there was an
    error in one mount. Fix that and use g_list_free_full to make
    code more
    concise.

    https://bugzilla.gnome.org/show_bug.cgi?id=676111

M	monitor/udisks2/gvfsudisks2drive.c

commit df4069ea879668981dc1984b59e4493f77928fd2
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-07-11

    Assamese translation reviewed

M	po/as.po

commit 839168f660866dc7e4c28b37246543d10ef43ee5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2012-07-09

    Make the build a bit more quiet

    Hide gdbus-codegen behind $(AM_V_GEN) to make things
    look nice and clean.

M	monitor/proxy/Makefile.am

commit 4e8603a9b15ac9f6d1c833cb0db51753451e8f60
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2012-07-09

    Avoid an uninitialized variable warning

M	monitor/udisks2/gvfsudisks2volume.c

commit 297bcc3ab93db6db2e869ecd81e318992d79760b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-07-09

    Updated Norwegian bokmål translation

M	po/nb.po

commit 95bfe781a3566024cd347af819f32489775c883b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-07-02

    Updated Spanish translation

M	po/es.po

commit 2fca4badf5899cf32a333ce0425a72ec21313896
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-07-02

    Updated Greek translation

M	po/el.po

commit f746c4488961851df9a0f11e04511693e427dd03
Author: Colin Walters <walters@verbum.org>
Date:	2012-06-30

    build: Add --disable-documentation option

    Some embedded users may not want it, and for gnome-ostree right now I
    don't have the Docbook infrastrucutre set up.

M	Makefile.am
M	configure.ac

commit 30b70bdd4113a3bb22e8ee98ecdfde5c5e5c165e
Author: Robert Ancell <robert.ancell@canonical.com>
Date:	2012-05-24

    udisks2: Fix error when compiling with -Werror=format-security

    https://bugzilla.gnome.org/show_bug.cgi?id=676693

M	monitor/udisks2/gvfsudisks2mount.c
M	monitor/udisks2/gvfsudisks2volume.c

commit 42afb1cff97489e67f57ebcb39ecd7ee30c4b61d
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-04-30

    Update to use XDG Cache Home for thumbnails

    https://bugzilla.gnome.org/show_bug.cgi?id=675170

M	daemon/gvfsbackend.c

commit 5e839711a36b4e145f3ba3033f2d0e3128df5f7a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2012-06-29

    Add man pages for all the utilities

M	Makefile.am
M	configure.ac
A	man/Makefile.am
A	man/gvfs-cat.xml
A	man/gvfs-copy.xml
A	man/gvfs-info.xml
A	man/gvfs-ls.xml
A	man/gvfs-mime.xml
A	man/gvfs-mkdir.xml
A	man/gvfs-monitor-dir.xml
A	man/gvfs-monitor-file.xml
A	man/gvfs-mount.xml
A	man/gvfs-move.xml
A	man/gvfs-open.xml
A	man/gvfs-rename.xml
A	man/gvfs-rm.xml
A	man/gvfs-save.xml
A	man/gvfs-set-attribute.xml
A	man/gvfs-trash.xml
A	man/gvfs-tree.xml

commit c070566d67c0059bce5e0d3484339c9547254ffe
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2012-06-29

    Improve wording

    One can trash directories too, thus use LOCATION instead of FILE.

M	programs/gvfs-trash.c

commit 265057d79fd05546236d2b93bb4a085833e408f6
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2012-06-29

    Reorder some options

    Move --detail to the end so it comes after the options that
    it affects, in help output.

M	programs/gvfs-mount.c

commit d5ad568d624162282ebfae741bb18011e907eb0b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2012-06-29

    gvfs-save: use - instead of _ in long options

    The option --print_etag was misnamed. Now it is --print-etag.

M	programs/gvfs-save.c

commit 1a20e31a1660b1e51efc3a1bb2bb9044af209d3d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2012-06-29

    Apply some love to the gvfs utilities

    This makes the --help output more consistent across the utilities.
    - Capitalize parameters
    - Make summaries full sentences
    - Shorten some overlong strings
    - Strip . off option descriptions
    - Make descriptions of identical options the same
    - Improve error handling for option parsing
    Also, do proper gettext setup in all utilities.

M	programs/gvfs-cat.c
M	programs/gvfs-copy.c
M	programs/gvfs-info.c
M	programs/gvfs-ls.c
M	programs/gvfs-mime.c
M	programs/gvfs-mkdir.c
M	programs/gvfs-monitor-dir.c
M	programs/gvfs-monitor-file.c
M	programs/gvfs-mount.c
M	programs/gvfs-move.c
M	programs/gvfs-open.c
M	programs/gvfs-rename.c
M	programs/gvfs-rm.c
M	programs/gvfs-save.c
M	programs/gvfs-set-attribute.c
M	programs/gvfs-trash.c
M	programs/gvfs-tree.c

commit 99051ad3a99fb4db0444362348b7421f2e01b93d
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-26

    Post release version bump

M	configure.ac

commit c15f353a741600a29660514b25a97845924d794e
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-26

    Update NEWS for 1.13.2 release

M	NEWS

commit a35863dd370b6c7a72ad161385507b9b2613bfa8
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-25

    gvfs-open: Construct full URI for local paths

    Apparently g_app_info_launch_default_for_uri() can't handle invalid
    URIs like the plain local path, returning G_IO_ERROR_NOT_SUPPORTED.
    Let's go through GFile to get a full URI as a fallback.

    https://bugzilla.gnome.org/show_bug.cgi?id=676313

M	programs/gvfs-open.c

commit ff748cd275fba9b6cc14f1efa94534fbf0f23caa
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-25

    fuse: Split padding size in blocks for ftruncate()

    Don't allocate whole padding block, write in smaller pieces instead.
    As an bonus, check for block write result and break if error occurred,
    passing it further up.

    Found by David Zeuthen.

M	client/gvfsfusedaemon.c

commit a1abfe3ea48e92ae96a6d867272c9cf31bece9f7
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-22

    afp: Add a comment for translators

    https://bugzilla.gnome.org/show_bug.cgi?id=670162

M	daemon/gvfsafpserver.c

commit 675768224bcea783cf65d2052d27c0e218e21f81
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-22

    build: Change GSettings schema paths to /org/gnome/system

    Rather controversial change but afaik these schemas are not used by
    foreign apps.

    https://bugzilla.gnome.org/show_bug.cgi?id=674922

M	daemon/org.gnome.system.dns_sd.gschema.xml
M	daemon/org.gnome.system.smb.gschema.xml

commit 6ff5e43a1155ac438d7fecb4d2c94318bfc12392
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-22

    build: Install bash completion files in /usr/share/

    bash-completion upstream has changed the preferred location for
    completion
    scripts, let's make it consistent across our stack.

    https://bugzilla.gnome.org/show_bug.cgi?id=678537

M	configure.ac
M	programs/Makefile.am
R100	programs/gvfs-bash-completion.sh	programs/completion/gvfs

commit e8b4b3309e3e9c85c37d5522a01f24a8914538fc
Author: Dan Winship <danw@gnome.org>
Date:	2012-05-18

    gvfs-open: use g_app_info_launch_default_for_uri()

    g_app_info_launch_default_for_uri() didn't exist when gvfs-open was
    first written, but now that it does, there's no reason not to use it.

    https://bugzilla.gnome.org/show_bug.cgi?id=676313

M	programs/gvfs-open.c

commit b6164bc173223ee726f3102e3c7ed2bb9d2aad5b
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-20

    fuse: Support ftruncate() where requested size > current size

    When ftruncate is called with a size greater than the current size
    of the file, the expected behavior is that the file size increases to
    the requested size, and the new space is zero-filled.  SQLite depends
    on this behavior when opening a database using 'write-ahead log'
    journaling.

    Based on original patch by Jeff Smith <whydoubt@yahoo.com>

M	client/gvfsfusedaemon.c

commit 872e874b9ee1bf326c6d436151a917f8f39e31ec
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-18

    gdbus: Use stable metadata proxy

    When GDBusProxy is constructed for a well-known name, it tracks
    the name
    owner itself and no recreation when it changes is necessary. When
    name owner
    is lost, an autostart attempt is made on a next call.

    This patch removes name watching completely but retains metadata
    proxy creation
    on a first use.

M	client/gdaemonfile.c
M	client/gdaemonvfs.c

commit 7b93a7f8486bad5886c75045aa4ec3806e8398f4
Author: Christian Kellner <gicmo@gnome.org>
Date:	2012-06-18

    dav: abort finding the root on error or auth info change

    The webdav root finding logic has been changed so it will not
    continue to check the parent directory if we did not get a
    webdav collection.
    Also if we successfully obtained the information for a directory
    we switch the auth handler to non-interactive so we don't try
    to ask for new credentials for parent dir. Fix bug #677753.

M	daemon/gvfsbackenddav.c

commit c12296f716102e83647d67017d418129c9cc22c7
Author: Christian Kellner <gicmo@gnome.org>
Date:	2012-06-18

    dav: ignore empty tags in multistatus responses

    The old logic in ms_response_to_file_info () assumed that all
    the tags that were present in the 200 status block of the
    multistatus response actually contain data. Of course some
    server will violate this assumption. We now make sure that tags
    really have content when parsing. Should fix bug 675506.

M	daemon/gvfsbackenddav.c

commit 042f06197ca72b4703116fc3fe29da7c4a7df352
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-06-10

    Updated Greek translation

M	po/el.po

commit 6c40a89b8d0ac53462a1039e3453b3833dc52718
Author: Κωσνταντίνος Χόρτης <cograss@yahoo.com>
Date:	2012-06-10

    Updated Greek translation

M	po/el.po

commit 6108c126bd4c2821474ce3091e54434401893fdd
Author: Colin Walters <walters@verbum.org>
Date:	2012-06-06

    build: More srcdir != builddir fixes

M	client/Makefile.am
M	monitor/proxy/Makefile.am

commit ba3f31b5296fa9de00d92e1deee17dc50760fe9f
Author: Colin Walters <walters@verbum.org>
Date:	2012-06-06

    build: Fix srcdir != builddir

M	metadata/Makefile.am

commit b7e22341c2eeef72b885639936531228e4456efc
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-04

    Post release version bump

M	configure.ac

commit 20f702c95df552edd8252abb12e288485a4bd20b
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-06-04

    Update NEWS for 1.13.1 release

M	NEWS

commit 8315eaf84e52c6a00a4905f1f6a73182db9e8015
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2011-05-18

    Port volume monitoring and metadata to GDBus

    This is a complete port of volume monitors and metadata to GDBus.
    The (private) d-bus API has been mostly preserved except of
    MountOp methods.

    No difference in functionality should be observed.

M	.gitignore
M	client/gdaemonfile.c
M	client/gdaemonvfs.c
M	client/gdaemonvfs.h
M	metadata/Makefile.am
A	metadata/dbus-interface.xml
M	metadata/meta-daemon.c
M	metadata/meta-set.c
M	monitor/afc/Makefile.am
M	monitor/gdu/Makefile.am
M	monitor/proxy/Makefile.am
A	monitor/proxy/dbus-interfaces.xml
M	monitor/proxy/gproxydrive.c
M	monitor/proxy/gproxydrive.h
M	monitor/proxy/gproxymount.c
M	monitor/proxy/gproxymount.h
M	monitor/proxy/gproxymountoperation.c
M	monitor/proxy/gproxymountoperation.h
M	monitor/proxy/gproxyshadowmount.c
M	monitor/proxy/gproxyvolume.c
M	monitor/proxy/gproxyvolume.h
M	monitor/proxy/gproxyvolumemonitor.c
M	monitor/proxy/gproxyvolumemonitor.h
M	monitor/proxy/gvfsproxyvolumemonitordaemon.c

commit cc34b3774e6ce80551babf20c7d5dfabd9d2ed24
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-05-30

    Updated Norwegian bokmål translation

M	po/nb.po

commit 4152083676a7ea16e574f0c20e3c7dc09fe5bb88
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-05-28

    Updated Slovenian translation

M	po/sl.po

commit 0a939b85ae643939d3e270f277c1dcdeedb89464
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-05-25

    Updated Hebrew translation.

M	po/he.po

commit 82b0d8e47487a99ce649459cf7098c0c297a03ff
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2012-05-23

    Update French translation

M	po/fr.po

commit b86597410d804353075326cfb5a1404ad03c262e
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-05-20

    Updated Galician translations

M	po/gl.po

commit b55955849cbff6ab14e8b77ab989041f0a433d45
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-05-16

    Updated Spanish translation

M	po/es.po

commit 3ac0a803e4fe58a4ac1b82a5770468c6801e93ab
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-05-15

    udisks2: Show "Eject Anyway" (not "Unmount Anyway") if ejecting

    ... instead of unmounting.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2drive.c
M	monitor/udisks2/gvfsudisks2mount.c

commit ffc6b5a3175259bca65f96e15c7501a6fa2570bb
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-05-15

    udisks2: set can_eject correctly

    Yes, can_eject can be TRUE even if the media is not removable.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2drive.c

commit d44ebed4590fc19b41e88d00fe7c598b9eaac832
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-05-15

    gvfs-mount: add new -e option to eject a mount

    Like the rest of gvfs-mount(1), this is mostly useful for debugging.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	programs/gvfs-mount.c

commit 817d82da698910b45f2809175653d671190b939f
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-05-14

    udisks2: set timeout to INTMAX when unmounting a filesystem

    It may indeed take more than 25 seconds if there's a lot of data to
    write. Related to https://bugzilla.redhat.com/show_bug.cgi?id=819492

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2mount.c

commit 4f89d930d3eb8414dc301262d7db448d257843bc
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-05-08

    udisks2: also check for umount(8) saying "target is busy"

    Same as
    http://cgit.freedesktop.org/udisks/commit/?id=d8fa361eec2706091e9d7f166f63bb5c0f663f4b

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2mount.c

commit 253d78c25af2f527015834ab5edb1780028998c2
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-05-08

    udisks2: don't call g_simple_async_result_take_error() twice

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2mount.c

commit 7ef4140c6eb484b8aabf36a86fe070ef634dab05
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-05-03

    udisks2: don't show loop devices set up by other users

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 9b449288f63b6a6be45c8cee14bfa8f1c0b37024
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-04-30

    udisks2: Remove support for ID_SEAT=all

    We might bring this back in one shape or the other, but remove it for
    now until I get a chance to talk to Kay and Lennart some more.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2utils.c
M	monitor/udisks2/gvfsudisks2utils.h
M	monitor/udisks2/gvfsudisks2volume.c
M	monitor/udisks2/gvfsudisks2volumemonitor.c
M	monitor/udisks2/what-is-shown.txt

commit 5eec133eb758acebeba29aaeae9dd7fad04fd30b
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-30

    Post release version bump

M	configure.ac

commit f12414e5ce154365cebf49394ef25d4193b728b1
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-30

    Update NEWS for 1.13.0 release

M	NEWS

commit 7d0127ee181c0b282b8f99f461d26fce1c3a27b0
Author: Arun Raghavan <arun@accosted.net>
Date:	2012-04-30

    build: Bail if gphoto support is requested but not available

    https://bugzilla.gnome.org/show_bug.cgi?id=578027

M	configure.ac

commit 7fe5deeae25f2396027f667d8960d2ec84c64716
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2012-04-30

    afp: Use g_clear_object properly

    g_clear_object expects the address of a pointer. A recent
    change in its definition makes gcc complain about this.

M	daemon/gvfsafpvolume.c

commit 2a8f1961397aff1be895a651e34bf93643fcfaf8
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-04-30

    Updated Norwegian bokmål translation

M	po/nb.po

commit efcb93f81969b636a7b5783c54f0b9f107662644
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-04-27

    Updated Galician translations

M	po/gl.po

commit 52ee6c94ed96c0d9f04864dc75bef120d83b157d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-04-27

    Updated Spanish translation

M	po/es.po

commit 22dfdc9e381aaf0df76798dcf612d11ae14721c8
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-27

    build: Include udisks2/what-is-shown.txt in the tarball

M	monitor/udisks2/Makefile.am

commit 00877f760e6e1088a598201bbf804b502a0ec33d
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-27

    build: Fix typo

M	configure.ac

commit 5efba5e2da487099fa8fa6f619df969004fe44d1
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-27

    Post branching version bump

M	configure.ac

commit bb92a5d7c6f9a590bd9a9da83fcf5aef8ab56317
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-04-27

    Updated Hebrew translation.

M	po/he.po

commit 79f0ea7c0d5cb39cf1ab40afaea0e485aeb4bc49
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-04-26

    udisks2: Support getting/storing LUKS encryption passphrase from
    keyring

    Also use a nicer message when asking for the passphrase, e.g. use
    strings like

     'SD04G (SD Card Reader)'
     'WD 2500JB External (250 GB Hard Disk)'

    instead of /dev/mmcblk0p1 or /dev/sdb1. If stored in the keyring, we
    also use the following display name

     'Encryption passphrase for $DRIVE'

    where $DRIVE is of the above form. This makes it easy for the user to
    manage (for example, delete) pass-phrases using seahorse(1).

    This was discussed in bug 674161.

     https://bugzilla.gnome.org/show_bug.cgi?id=674161

    This commit adds/changes translatable strings but Tomas said he would
    soon branch gvfs for gnome-3-at a point before this patch.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/Makefile.am
M	monitor/udisks2/gvfsudisks2volume.c

commit 76cdae2a576fa4c2a4b27aa5240fdb651040ad2b
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-04-23

    udisks2: update the what-is-shown.txt file to mention multi-seat
    systems

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/what-is-shown.txt

commit 495bf23f972cb14aa55d15b7c9fe53bd610a0590
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-04-23

    udisks2: don't automount if drive is shared across all seats

    If we automount media in a drive assigned to all seats, then all
    sessions on all seats will be notified of the new media... which is
    definitely going to be annoying. Instead, just disable automounting on
    such drives so the user manually have to mount it.

    Of course, this depends on the shell doing the right thing. Which is:
    only notifying the user when successfully auto-mounting in response to
    a hotplug event. This is not currently the case, see

     https://bugzilla.gnome.org/show_bug.cgi?id=660595#c19

    for details about this bug.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2utils.c
M	monitor/udisks2/gvfsudisks2utils.h
M	monitor/udisks2/gvfsudisks2volume.c
M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit c241b86cc74ce8ca13d9ee2b8d0b7cf15850cf71
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-04-22

    udisks2: don't show drives from other seats and special-case seat
    "all"

    If Drive:seat is "all" it means the drive is available on all seats.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2utils.c
M	monitor/udisks2/gvfsudisks2utils.h
M	monitor/udisks2/gvfsudisks2volume.c
M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit a1f285ff0b5583b56b349303f42579f84add6c78
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-04-21

    afp: use the UTF-8 server name for password dialogs when it's
    available

    https://bugzilla.gnome.org/show_bug.cgi?id=674528

M	daemon/gvfsafpserver.c

commit dee21fb98bfa5d0c9024d084458f69b1dd08154a
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-04-21

    afp: convert pascal strings into utf-8

    pascal strings are in the macintosh-roman character set and therefore
    need to
    be converted into utf-8.

    https://bugzilla.gnome.org/show_bug.cgi?id=674528

M	daemon/gvfsafpconnection.c

commit 5c9ffd7bf5d08c3fe57e235d8001e0b9c23a2730
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-04-21

    Don't set should_automount to TRUE for devices on other seats

    This change uses the libsystemd-login library to obtain the seat we're
    on and compares it against the Seat property on the D-Bus interface
    org.freedesktop.UDisks2.Drive. This property is available in udisks
    1.95.0, see

     http://cgit.freedesktop.org/udisks/commit/?id=91106cdc7622d9674f6083dcb524407f026a36c7

    Also, since we're still on the stable branch and not everyone may be
    using systemd, make this work without hard-requiring either
    libsystemd-login or udisks 1.95.0.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	configure.ac
M	monitor/udisks2/Makefile.am
M	monitor/udisks2/gvfsudisks2volume.c

commit b51b55b8a7e66cabecec972c96513edce6237193
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	2012-04-21

    [l10n] Update Japanese translation

    Fix format errors
    https://bugzilla.gnome.org/show_bug.cgi?id=674514

M	po/ja.po

commit e30a67f3215d829e95ee7e358c67af7d67635fe8
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-04-18

    udisks2: Set should_automount correctly when starting up

    This bug caused volumes to not automount at session startup. While it
    can be argued that we should or shouldn't at least this is

	1. a change from earlier versions of GNOME; and

	2. rather disruptive for some non-GUI users

    Basically the problem is this: We need to take into account that on
    coldplug, the heuristic of just looking at whether the volume has
    appeared within the last five seconds won't work.

    This bug report that triggered this bug fix was this one

     https://bugzilla.redhat.com/show_bug.cgi?id=813069

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volume.c
M	monitor/udisks2/gvfsudisks2volume.h
M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 071ef32304258de70404f1e897724361f2dfbca6
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-16

    Post release version bump

M	configure.ac

commit ebe43f878b6ba3bda001b75068b57a30caefd04c
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-04-16

    Update NEWS for 1.12.1 release

M	NEWS

commit 90cd7fc84efa5bd8cdcb725cf3f4a1590cb72cd9
Author: Antoine Jacoutot <ajacoutot@gnome.org>
Date:	2012-04-16

    afp: Prevent redefinition of GVfsAfpServer.

    GVfsAfpServer is already included in gvfsafpvolume.h which
    gvfsafpserver.h
    includes; so no need to declare GVfsAfpServer here.

    http://bugzilla-attachments.gnome.org/attachment.cgi?id=210456

    Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>

M	daemon/gvfsafpserver.h

commit 0ce5ef308df86f5fef412f14b59fa46bee494e81
Author: Hajime Taira <htaira@redhat.com>
Date:	2012-04-16

    [l10n] Update Japanese translation

M	po/ja.po

commit a4cfc92d4cb0bfd0590d4f0dc177faa2a03b344c
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:	2012-04-12

    Updated Persian translation

M	po/fa.po

commit 2a7341cf0e6d29a49b7ba11a0a327688ea3ee7fe
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:	2012-04-12

    Updated Persian translation

M	po/fa.po

commit 31b80beeb44a69d227f9420d69cdf1780f6191bf
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2012-04-11

    gphoto2: Initialize mutex early enough

    Initializing the lock mutex in do_mount() is too late, as there are
    a lot of
    code paths that call release_device() and thus g_mutex_clear()
    that run before
    a successful do_mount(). For example, when you run gvfsd-gphoto2
    with wrong
    arguments, or gp_camera_init() fails in do_mount().

    Now initialize it in g_vfs_backend_gphoto2_init().

    https://bugzilla.gnome.org/show_bug.cgi?id=673893

M	daemon/gvfsbackendgphoto2.c

commit a6026f07b32dd9543b05af7b039d73029b166aa4
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2012-04-10

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 87cd894c32745c3e8b8163e966e2a1406ab40e5b
Author: Jordi Serratosa <jordis@softcatala.cat>
Date:	2012-04-10

    [l10n] Fixes on Catalan translation

M	po/ca.po

commit 846752e8bdab6c25570796848db4118c634411a1
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:	2012-04-10

    Updated Persian translation

M	po/fa.po

commit 1d4de8fd3010d21734c16c8912b125b222051e0e
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:	2012-04-10

    Updated Persian translation

M	po/fa.po

commit 31eaee9cd7609b961d683bc6220fb15cb95b1372
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-04-09

    udisks2: Update link to fstab/crypttab editing in Disks

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/what-is-shown.txt

commit d870015bff4eb8f34f465f4c45d91ca326f52a43
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-04-09

    udisks2: Fix some memory leaks

    https://bugzilla.redhat.com/show_bug.cgi?id=790062

    This was done using the following rather simple script

     #!/bin/bash
     while true; do
	 losetup -f
	 /home/davidz/Downloads/Fedora-16-x86_64-Live-Desktop.iso
	 losetup -D
     done

    and then running it as root.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 54b1069f0f21d3d748ef5d2daa3e78ac0ab6e0aa
Author: Chandan Kumar <chandankumar.093047@gmail.com>
Date:	2012-04-05

    Updated hindi translation

M	po/hi.po

commit d6f14e2fcf126af8f41159148946b6b5ae2c3819
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:	2012-04-05

    Added Persian translations

M	po/LINGUAS
A	po/fa.po

commit c9f840192312c23f7eea666f964e7eab4c2e680e
Author: Alexandre Rostovtsev <tetromino@gentoo.org>
Date:	2012-04-02

    afc: Fix building against libimobiledevice-1.1.2

    In 1.1.2, the struct idevice_event_t uuid field was renamed to udid.
    Since libimobiledevice lacks a library version macro, we are forced
    to check for the pkgconfig version in configure.

    https://bugzilla.gnome.org/show_bug.cgi?id=672693

    Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>

M	configure.ac
M	daemon/gvfsbackendafc.c
M	monitor/afc/afcvolumemonitor.c

commit 2bc8621f86c6ce2d9f8bde666a0055ed88e99dda
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-03-31

    [l10n] Updated German translation

M	po/de.po

commit 7512c0e90c3455eaaf73368109636fd9d7422bdb
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-03-27

    Updated Spanish translation

M	po/es.po

commit bfe0c6730adddc7da856268aed1284ba21e9e6d9
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-03-26

    Updated Lithuanian translation

M	po/lt.po

commit 23c9e81e7aaf9883479fc5e31e0f4d3826964780
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-03-26

    Post release version bump

M	configure.ac

commit a4c5695c726358a3a64106e22f3f9f46f1f6ced7
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-03-26

    Update NEWS for 1.12.0 release

M	NEWS
M	configure.ac

commit 97389274b093787a772c24f925f223710ed38594
Author: Marek Černocký <marek@manet.cz>
Date:	2012-03-26

    Updated Czech translation

M	po/cs.po

commit 9619b0ec942efae45a6f0b7ba5998777953dd5f6
Author: Petr Kovar <pkovar@redhat.com>
Date:	2012-03-26

    Updated Czech translation

M	po/cs.po

commit cd3e6d11e3f83ed254b5946e46a3ad5fe7bc40e8
Author: Funda Wang <fundawang@gmail.com>
Date:	2012-03-21

    Updated zh_CN translation.

M	po/ChangeLog
M	po/zh_CN.po

commit 618ff2f778212ff2459108de2f4ca4731e082788
Author: Sasi Bhushan <sasi@swecha.net>
Date:	2012-03-20

    Updated Telugu Translations

M	po/te.po

commit b43ac18df12e8f9e7a899001cf33851f4c214220
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-03-19

    Post release version bump

M	configure.ac

commit 4de85271d345762042c9a0d11f1f9f9dda3b9565
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-03-19

    Update NEWS for 1.11.5 release

M	NEWS

commit 514944b023e95634a44bb511c80221722835a387
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2012-03-17

    Updated French translation

M	po/fr.po

commit eb79ba77b3b6b2ce7328f259a35d82c6a16172b4
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2012-03-16

    Updated Gujarati Translations

M	po/gu.po

commit 390fa80bbddc36317b73405e7eb7a54bad24a676
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2012-03-15

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit d0a99e9330b4eb065a9df28ecc8247c1e1a31e4e
Author: Gil Forcada <gforcada@gnome.org>
Date:	2012-03-15

    [l10n]Updated Catalan translation

M	po/ca.po

commit 09dfd003a4825eb8667ba521fae64f12bd551bce
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-03-15

    Keep using ~/.gvfs as fallback

    If runtime dir is not specifically set we don't fall back to
    ~/.cache/gvfs, as that unnecessarily invalidates all existing
    documentation and scripts using ~/.gvfs.

    However, if it is set, we still use it.

M	client/gdaemonvfs.c
M	daemon/main.c
M	daemon/mount.c

commit bbb61d820ea319b6468e6b78c0b2f007c0338881
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2012-03-15

    Updated Portuguese translation

M	po/pt.po

commit 2e511fb47e7aa76c0eb7fc2083f8f615399f9c26
Author: Anita Reitere <nitalynx@gmail.com>
Date:	2012-03-15

    Updated Latvian translation.

M	po/lv.po

commit b8e663e716ac85e6aef781083b8b17845f4781e7
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2012-03-13

    Updated British English translation

M	po/en_GB.po

commit 6b0f553b4f05d6433f41af4a42b1e75f405ed2f1
Author: Timo Jyrinki <timo@debian.org>
Date:	2012-03-12

    Finnish translation update from
    http://l10n.laxstrom.name/wiki/Gnome_3.4 translation sprint

M	po/fi.po

commit 3c20c3e0da697e223cfd3e8dfbb454942332b01b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-03-10

    Updated Polish translation

M	po/pl.po

commit cdcbd83ae7b03bb441c2b6d2481f64bb302668bb
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:	2012-03-10

    Updated Korean translation

M	po/ko.po

commit f1ba26c5d471ec93c9c5d7c83c1459da909bf2c1
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2012-03-08

    Uploaded Ukranian

M	po/uk.po

commit 5ba3d7f5bd6be91e10d7e2bd9f40a8a19fb713cd
Author: Djavan Fagundes <djavanf@gnome.org>
Date:	2012-03-02

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit e276d82179b88f271c98cc4897ce14e4d2777bd8
Author: Djavan Fagundes <djavanf@gnome.org>
Date:	2012-03-02

    Reverting wrong commit "Updated Brazilian Portuguese translation by
    Fábio Nogueira <fnogueira@gnome.org> and Myself"

    This reverts commit 5b3a81f1a94c5cdaa9b44dd07f6f0d736662449c.

A	po/pt_BR.po

commit 5b3a81f1a94c5cdaa9b44dd07f6f0d736662449c
Author: Djavan Fagundes <djavanf@gnome.org>
Date:	2012-03-02

    Updated Brazilian Portuguese translation by Fábio Nogueira
    <fnogueira@gnome.org> and Myself

D	po/pt_BR.po

commit 2a79e684d73e58fe197fcd1ab7ffb52372167945
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2012-03-06

    Updated Basque language

M	po/eu.po

commit 6d4870484dbd3e6ce2ea0c2cef84649f9d8a1df8
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-03-05

    Assamese translation completed

M	po/as.po

commit 27d7825a218cbc2d1dd12063770539eca0035bcc
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-03-04

    Updated Vietnamese translation

M	po/vi.po

commit 0972f4fdd275e727d60c58357d0354c94d118ed5
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-03-04

    po/vi: import from Damned Lies

M	po/vi.po

commit 31f24aa3bdfa7f53e74d4e24fcb79a3b7ed0d0ce
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-03-01

    udisks2: Set G_VOLUME_IDENTIFIER_KIND_CLASS identifier for volumes

    This identifier was discussed in

     https://bugzilla.gnome.org/show_bug.cgi?id=668295

    and added to GLib with this commit

     http://git.gnome.org/browse/glib/commit/?id=10fbfcf09010e423cfc79c54e8da50b62a0f4b8a

    For now, we do the ifndef dance instead of hard-requiring GLib master.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volume.c

commit cd0f2d9865a508e7c1bcee52ef0d1b5394ffb406
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-03-01

    Updated Hungarian translation

M	po/hu.po

commit ae9ed88a5f0492df449e0729283a09da420651c7
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2012-02-28

    [l10n] Updated Estonian translation

M	po/et.po

commit ce9c862519f2bc338cf14927a2093019ea399d8c
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-02-27

    updated Tamil translation

M	po/ta.po

commit f65e82b4bc066a4c5a10572493eff2c8d029fbd2
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-02-26

    Updated Belarusian translation.

M	po/be.po

commit a6ae644b0e56a3ae7e154a25fcf597d499ee7eea
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-02-24

    Post release version bump

M	configure.ac

commit fecbfb334e05ed25423febc993ff4ff22b8b7f90
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-02-24

    Update NEWS for 1.11.4 release

M	NEWS

commit d61d5d0094305a9a6bfdec2f5831fd1617635faf
Author: A S Alam <aalam@users.sf.net>
Date:	2012-02-24

    update Punjabi Translation

M	po/pa.po

commit 05fa75f4040a94660b8491ff33c225658930cd0a
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2012-02-24

    Updated Russian translation

M	po/ru.po

commit 711c180a6d8400e2e2752eae41296882a60d1dd3
Author: YunQiang Su <yqsu@src.gnome.org>
Date:	2012-02-23

    fix an zh_CN translation problem

M	po/zh_CN.po

commit 6307d017a12642e71ba2f04e82fc3781425a3eb6
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-02-22

    Use /run/media/$USER instead of $XDG_RUNTIME_DIR/media

    This is because of security concerns - it is way too dangerous to let
    a system-daemon such as udisks manage directories in a user-controlled
    location such as $XDG_RUNTIME_DIR. So now udisks2 is using
    /run/media/$USER instead, see

     http://cgit.freedesktop.org/udisks/commit/?id=aa02e5fc53efdeaf66047d2ad437ed543178965b

    These bugs are related

     https://bugzilla.gnome.org/show_bug.cgi?id=669797
     https://bugzilla.gnome.org/show_bug.cgi?id=646391

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c
M	monitor/udisks2/what-is-shown.txt

commit eea3b84bdf8d68c7d5127468b77607fad66c4af3
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2012-02-21

    Updated Bulgarian translation

M	po/bg.po

commit 0ca728345a1dd9875b5959019ffefa4b389ee385
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2012-02-20

    Updated Danish translation

M	po/da.po

commit 177eed9119fe00301e9a36bedfa9f00b7b8427ff
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-02-20

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit fd2fdc0417d03f26ecfc6a76a7d5d22b808545ad
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2012-02-19

    Updated Uyghur translation

M	po/ug.po

commit 5ae367cc6ae3746f70a13f9db7881fd6db0861bd
Author: Daniel Nylander <po@danielnylander.se>
Date:	2012-02-19

    Updated Swedish translation

M	po/sv.po

commit 60968576962f10212caf9e59a41ef0a9f77e6165
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-02-18

    udisks2: Only show $XDG_RUNTIME_DIR mounts if they are in media dir

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c
M	monitor/udisks2/what-is-shown.txt

commit 184ecff8482c06ea59c7b0a176b890acc3fa8083
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2012-02-17

    l10n: Updated Italian translation

M	po/it.po

commit fdecf1901712bb40705dbc2d5136d7550b6c7a56
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-02-15

    Updated Belarusian translation.

M	po/be.po

commit 909441fb15c0daf14604cc57a88b74caaa2621a5
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2012-02-11

    Updated Russian translation

M	po/ru.po

commit 99ae116200691c1dc67ea3fb74060e0d90bf482d
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-02-08

    dav: Fix free space reporting

    Based on patch by Gareth Bult
    https://bugzilla.gnome.org/show_bug.cgi?id=669258

M	daemon/gvfsbackenddav.c

commit cbee78fdf13541f01de3078244c56c84af8477c0
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-02-07

    Post release version bump

M	configure.ac

commit 8350026da9e291c7dbb2257a990f8358c05e222d
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-02-07

    Update NEWS for 1.11.3 release

M	NEWS

commit e523572e14a9042696e1c5ccd4f30cb3240fa0df
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2012-02-07

    GVfsJobUnmount: check that vfunc is implemented before calling it

    GVfsBackend::try_unmount is optional (like all the other try_*
    vfuncs),
    and in fact many backends don't implement it.
    In case it's NULL, returing FALSE does the right thing and schedules
    a thread for calling ->unmount.

    https://bugzilla.gnome.org/show_bug.cgi?id=669211

M	daemon/gvfsjobunmount.c

commit 989d0889afe34a0ce072edf9840b6d18314a00b3
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-02-07

    burn: Use user runtime dir instead of /tmp

    https://bugzilla.gnome.org/show_bug.cgi?id=646391

    Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>

M	daemon/gvfsbackendburn.c

commit f81e381b58bf4dc8ea42ceb50311d4ef92677f72
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-02-07

    Use user runtime dir for gvfs mounts

    https://bugzilla.gnome.org/show_bug.cgi?id=646391

    Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>

M	client/gdaemonvfs.c
M	daemon/main.c
M	daemon/mount.c

commit 87b5115aa18bc13858ef0d5041855658a22822be
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:	2012-02-04

    Updated Dutch translation

M	po/nl.po

commit fa53cd373efb22e427a329650ebb5c076ef3171b
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-01-29

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 50ac84a753286ad37ce84b9ece034b4dbb69132e
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-01-28

    Updated Hebrew translation.

M	po/he.po

commit e7d0f9ece1379b68f6d3ec22795782beefc5e600
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-01-25

    Updated Slovenian translation

M	po/sl.po

commit e5002669770af3d79aeeebd846f8638874d727d8
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-01-25

    Updated Slovenian translation

M	po/sl.po

commit 37d4bf323a05a0b46fa3cb2b4cc96aa4ceca598e
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-24

    For mount options, switch from comment=gvfs to x-gvfs

    Recent util-linux (2.21+) supports any x-* option.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volume.c
M	monitor/udisks2/gvfsudisks2volumemonitor.c
M	monitor/udisks2/what-is-shown.txt

commit ce3bda236c2c85517260fc138669acf91af1092f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-01-23

    Updated Norwegian bokmål translation

M	po/nb.po

commit f47d4b10fa148972f9ff6d1d44645fd8ab4974d5
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-01-23

    Updated Galician translations

M	po/gl.po

commit f5238a19f5115d63fd482a5341449c5c67ed2df1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-01-22

    Updated Spanish translation

M	po/es.po

commit 74bb0801b3d81e861be87ab5e146563875c24ab5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-01-22

    Updated POTFILES.in

M	po/POTFILES.in

commit dec478831e0444e922ab8cd0e3336449fa1a743a
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-01-22

    afpvolume: s/afp_conn/conn/

M	daemon/gvfsafpvolume.c

commit f30a3c75f0102c69502edff77c6dba3775d90569
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2012-01-22

    afp: fix potential leak in g_vfs_afp_volume_enumerate

M	daemon/gvfsafpvolume.c

commit fa288893d51478daa7190bbb554779404a205157
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2011-11-23

    afp: split out volume specific functions into a GVfsAfpVolume object.

M	daemon/Makefile.am
M	daemon/gvfsafpconnection.c
M	daemon/gvfsafpconnection.h
M	daemon/gvfsafpserver.c
M	daemon/gvfsafpserver.h
M	daemon/gvfsafputils.c
M	daemon/gvfsafputils.h
A	daemon/gvfsafpvolume.c
A	daemon/gvfsafpvolume.h
M	daemon/gvfsbackendafp.c
M	daemon/gvfsbackendafpbrowse.c

commit a1af02aee5d076e042502569d59d350d03839baf
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2011-11-22

    afp: Add support for making backups when server has support for
    FPExchangeFiles

    Instead of deleting the temporary file after doing the FPExchangeFiles
    call we
    rename the temporary file to "~filename" since it holds the old
    contents of the
    file.

M	daemon/gvfsbackendafp.c

commit 35cf2feab74059065b23073b8bb3bcd8a3786bbf
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2011-11-22

    afp: fix leak of AfpHandle::tmp_filename

M	daemon/gvfsbackendafp.c

commit 86cca680ec185d0a74fa948485d221bc9efe9181
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2011-11-06

    afp: change g_vfs_afp_connection_get_server_info to
    g_vfs_afp_query_server_info

    It's unnecessary to create a GVfsAfpConnection to retreive the
    server info

M	daemon/gvfsafpconnection.c
M	daemon/gvfsafpconnection.h
M	daemon/gvfsafpserver.c

commit 88866fdc3c34e8b9ce2d4435098885e67212ac40
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2011-09-26

    afp: move retrieval of volumes into GVfsAfpServer

    GVfsAfpServer now has a g_vfs_afp_server_get_volumes to retrieve
    the available
    volumes asynchronously.

M	daemon/gvfsafpserver.c
M	daemon/gvfsafpserver.h
M	daemon/gvfsbackendafpbrowse.c

commit 5207f0102fb3bad1505f70fed37435537905c46a
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2011-09-18

    afp: more string fixes after André's review

M	daemon/gvfsafpserver.c
M	daemon/gvfsbackendafp.c

commit 612ef0a3facb8473b5812f2f4e79942ed32b8473
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2011-09-01

    afp: move get_vol_parms to GVfsAfpServer

M	daemon/gvfsafpserver.c
M	daemon/gvfsafpserver.h
M	daemon/gvfsbackendafp.c

commit f0a4fe7e7cde9da102caa3a36eb417165499f768
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2011-09-01

    afp: move retrieval of server parameters into GVfsAfpServer

    add function g_vfs_afp_server_time_to_local_time to do the
    server time -> local time conversion

M	daemon/gvfsafpserver.c
M	daemon/gvfsafpserver.h
M	daemon/gvfsbackendafp.c

commit 4e7e87dec90fdfa936d21e7ef208213f53a78c35
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2011-08-31

    afp: do some string fixes and add some translator comments

M	daemon/gvfsafpconnection.c
M	daemon/gvfsbackendafp.c
M	daemon/gvfsbackendafpbrowse.c

commit 948b8bbd2b926a1b8da58afd93d568c713f85319
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2011-08-30

    afp: make GVfsAfpName an opaque type

M	daemon/gvfsafpconnection.c
M	daemon/gvfsafpconnection.h

commit 199973156a5b1975fa8ecccedf4fb93a32cac7b4
Author: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
Date:	2011-08-30

    afp: output the textual representation of undhandled error codes

    add a new function afp_result_to_gerror which does a generic
    AfpResultCode
    to GError mapping

M	daemon/Makefile.am
M	daemon/gvfsafpconnection.h
M	daemon/gvfsafpserver.c
A	daemon/gvfsafputils.c
A	daemon/gvfsafputils.h
M	daemon/gvfsbackendafp.c
M	daemon/gvfsbackendafpbrowse.c

commit ca382dd370cdeaac0d73f74db54eb5a90626798c
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-01-21

    Updated Slovenian translation

M	po/sl.po

commit 4accc5c3896abae61df646e836ffbb02160e113b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-01-21

    Updated Spanish translation

M	po/es.po

commit 8d64f9034e67aaad522533697eaf1361ae8e4031
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2012-01-21

    Don't forget to dist the udisks2 monitor

M	monitor/Makefile.am

commit 4460066746dd20415203354917da1e3568efddc8
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-20

    Add a link to the latest copy of udisks(8) man page

    e.g. http://udisks.freedesktop.org/docs/latest/udisks.8.html

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/what-is-shown.txt

commit 7b3fc203f779bf36bd901615b0806d6de78cbdf7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-01-20

    Updated POTFILES.in

M	po/POTFILES.in

commit 300f9c5040cc80654325a84b8e082241c135ade7
Merge: 23701b0 3f7f3da
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-20

    Merge branch 'master' into wip/udisks2

commit 23701b02d1fa87619fbba804f9a6529919ca05a1
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-20

    Update copyrights

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2drive.c
M	monitor/udisks2/gvfsudisks2drive.h
M	monitor/udisks2/gvfsudisks2mount.c
M	monitor/udisks2/gvfsudisks2mount.h
M	monitor/udisks2/gvfsudisks2utils.c
M	monitor/udisks2/gvfsudisks2utils.h
M	monitor/udisks2/gvfsudisks2volume.c
M	monitor/udisks2/gvfsudisks2volume.h
M	monitor/udisks2/gvfsudisks2volumemonitor.c
M	monitor/udisks2/gvfsudisks2volumemonitor.h
M	monitor/udisks2/udisks2volumemonitordaemon.c

commit 5f1a8f9d7144e07916c9fe3dab685715ad568eb8
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-20

    No need to handle force_rescan since we don't cache anything

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2mount.c

commit aacccf64f7042143a7ec1a4baad03d5dbddca174
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-20

    Reword a couple of comments

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volume.c
M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 5876debe8c4e9f3b035e50155cb0630168252f25
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-20

    s/TODO/Idea/

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 003b45d3e5d7fc12f82481f7ee0268444db3a0c6
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-20

    Add a note explaining why we don't offer to save LUKS passphrases

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volume.c

commit 8310b421d7e61f0ee14f7766ff5aac3813f37731
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-20

    Expand TODO item pontificating whether a GDrive should be added or not

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 71176998d938759cb0b4933ef1fe37158d572d54
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-20

    Also add UDISKS_IGNORE example

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/what-is-shown.txt

commit 44802979a1aa004407ba81d7166569c6fc20f436
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-20

    Mention that certain udev properties also influence what is shown

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/what-is-shown.txt

commit 02d42f3cd85a0475470163ab3c6bedae905c4b4a
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-20

    Respect Block:HintIgnore property

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit e3abfad8bfcecedf266ab878e20455929215929b
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-20

    Use Block:HintAuto instead of Drive:Removable to determine automount

    This makes it possible to override with the UDISKS_AUTO property.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volume.c

commit 10e26fc2697cb01490803bd9f93df6db8149ce03
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-19

    Don't prompt for passphrase if it's already in the /etc/crypttab file

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volume.c

commit 65058d3597ecc6329b3b9234f42b3d7e899feac6
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-18

    Fix typo in fstab example

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/what-is-shown.txt

commit 9f2ff580a9995e764076d3702538c465d7d687e4
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-18

    Fix typo

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/what-is-shown.txt

commit 861bfc5b900c620e85752f047bc76739c1f8af9c
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-18

    Clarify a couple of things in the what-is-shown.txt doc

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/what-is-shown.txt

commit 9cd1261803302c6122e2847ed12ca8439078d870
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-18

    Add text file describing how to influence what mounts are shown

    Signed-off-by: David Zeuthen <davidz@redhat.com>

A	monitor/udisks2/what-is-shown.txt

commit ea1360d6ce8eee37f0290011eb9f47cf10fcccc9
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-18

    Use comment=gvfs-show and -hide instead of -show=1|True|0|False

    This is also easier to express in the UI

     http://people.freedesktop.org/~david/palimpsest-fstab-gvfs-show-option.png

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2utils.c
M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 3f7f3da7a2dbac68ef2692c445c3a5afa17aaa8d
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-01-18

    Post release version bump

M	configure.ac

commit 6e8b7f5977d0faa50a51fe5dd3aecdf36f01b73c
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-01-18

    Update NEWS for 1.11.2 release

M	NEWS

commit ac597c44a52a5fc4c3e20ee75e7d82f691722feb
Author: Antoine Jacoutot <ajacoutot@openbsd.org>
Date:	2012-01-18

    build: Check for util.h to prevent implicit declaration

    https://bugzilla.gnome.org/show_bug.cgi?id=652623

    Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>

M	configure.ac

commit a99b98567b888ea07123c9ecfcaec87826533232
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-01-18

    fuse: Remove the unused sys/vfs.h include

    https://bugzilla.gnome.org/show_bug.cgi?id=583927

M	client/gvfsfusedaemon.c

commit b2957d45cc41b2d9cec021ac4296c90e5fe61e17
Author: Daniel Nylander <po@danielnylander.se>
Date:	2012-01-18

    Updated Swedish translation

M	po/sv.po

commit c38ef360222489b564336c7a969255465445e968
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-17

    Rework and simplify code for determining if a volume/mount is to
    be shown

    In the process, start supporting the fstab option
    comment=gvfs-show=<val> with <val>=0|1|False|True

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 1c75aff19b7fb06e1d49de3fb108c648da4428be
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-17

    Fix off-by-one when parsing mount options with a value of length 1

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2utils.c

commit 1ec0d29ff43d7d35ed40f2887dcc1743084ba681
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-17

    Add a TODO item with a reference to bug 668132

    See https://bugzilla.gnome.org/show_bug.cgi?id=668132

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 97199fd9e85d0eab56bc72543a84ab99a2e30819
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-01-16

    Updated Norwegian bokmål translation

M	po/nb.po

commit 6e75275d82aea3e568e914179ee505961a731c97
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-01-15

    Updated Slovenian translation

M	po/sl.po

commit 9c8242aeb18e2609d4b47f72aa6b5561b88fef6c
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-01-15

    Updated Slovenian translation

M	po/sl.po

commit 7c83ffb9885713b4364407eec477bd50ce9fc88c
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-01-15

    Updated Galician translations

M	po/gl.po

commit da5cb512b4d230bdd6b173ebf31e050bb43aaab5
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-01-13

    Updated Hebrew translation.

M	po/he.po

commit 032e3d5dd8b81912d1494e7d68086fce60fd6af5
Author: Timo Jyrinki <timo.jyrinki@iki.fi>
Date:	2012-01-12

    Updated Finnish translation by Jiri Grönroos

M	po/fi.po

commit aea3065fab2ef8513b1e1cb3dbf6d0035df05bdb
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-10

    Use Drive:Ejectable to determine if a drive is ejectable

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2drive.c

commit d8cd1711a100fdd6553a8b243c3392a6e427f38c
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-10

    Use Drive:SortKey for sorting drive objects

    This ensures the drive sorting order defined by udisks is used.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2drive.c

commit fb479cf0559c91bc0abd550e96f7aa9b156ba5e3
Author: Jean-Christian de Rivaz <jc@eclis.ch>
Date:	2011-12-22

    Make ftp.mount no longer conditionally built

    It doesn't require libsoup anymore after all.
    This was missing in the ff120f07aa8807b96ba79b2415715205a92db2ae
    commit.

    Signed-off-by: Jean-Christian de Rivaz <jc@eclis.ch>

M	daemon/Makefile.am

commit 9e2363b85534c2b3043f9ba1e78824b29ecc9957
Author: Jean-Christian de Rivaz <jc@eclis.ch>
Date:	2011-12-22

    The -f (foreground) option prevent libfuse to call daemon(). First,
    this is not required as g_spawn_async() already detach the
    process. Secondly, calling daemon() and then pthread_create() produce
    an undefined result accoring to Opengroup. On system with the uClibc
    library this will badly hang the process.

    Signed-off-by: Jean-Christian de Rivaz <jc@eclis.ch>

M	daemon/main.c

commit 5b46daeae964754f4938bebc8d91aebede3250c6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-01-09

    Updated Spanish translation

M	po/es.po

commit 6d19c641e56ec6d07d1c6a87e92c9a437fcfab28
Author: Bastien Nocera <hadess@hadess.net>
Date:	2012-01-09

    programs: Print something when no recommended apps

M	programs/gvfs-mime.c

commit 2bb882b09538f0eb5e974de8c1d1db79c16230ae
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2012-01-08

    Updated Bulgarian translation

M	po/bg.po

commit 6ef786c37cda80dfb7855a2c3bd98de358832a57
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-01-06

    Updated Norwegian bokmål translation

M	po/nb.po

commit a076fd290ddd2ce0e844b33fbd433acaaf86c6d3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-01-06

    Updated Spanish translation

M	po/es.po

commit b4800b987b4a8423a52306c9aef35b3777464cc5
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-06

    Set should_automount and can_mount properties to make automounting
    work

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volume.c

commit 0ba3edd76e0065f6a4229a3d4577698bbf252abf
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-06

    Use simpler version of g_unix_mount_should_display()

    The version in GIO tries to be helpful and returns FALSE for mount
    points the user
    cannot access. We don't want that behavior since it makes the whole
    thing act
    unpredictable especially if using multiple systems with various
    user ids.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 6f485b42a7172e3604ea0eec937bbe0553a76db5
Author: Bastien Nocera <hadess@hadess.net>
Date:	2012-01-06

    programs: List recommended applications too

    As used by the app chooser button

M	programs/gvfs-mime.c

commit a78dee15d6c96e9cb608c4169da4ec2e82190691
Author: David Zeuthen <davidz@redhat.com>
Date:	2012-01-05

    Properly handle LABEL= and UUID= fstab entries

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit c99b8f22d7aa0273acb4a8a4094a01920839234c
Author: Hideki Yamane <henrich@debian.org>
Date:	2012-01-04

    Updated Japanese translation

M	po/ja.po

commit d4beb8fbd3451a2e89c0ce17c44fec53d40563a6
Author: Jovan Naumovski <jovan3.14@gmail.com>
Date:	2012-01-02

    Updated Macedonian translation.

M	po/mk.po

commit efbee48cb754ba67d2723b8d216187c0b6f05e34
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:	2011-12-24

    [l10n]Updated Turkish translation

M	po/tr.po

commit b6f13596478ddf234ae814cd007ab806a80cb5c1
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-12-22

    Use a timeout of ten seconds when spawning commands

    This is helpful in the presence of e.g. unreachable NFS servers etc.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2mount.c
M	monitor/udisks2/gvfsudisks2utils.c
M	monitor/udisks2/gvfsudisks2utils.h
M	monitor/udisks2/gvfsudisks2volume.c

commit b9ccc6617f230a96938642ecb0aa65da3530e5d8
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-12-22

    Spawn helpers asynchronously, not synchronously

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2mount.c
M	monitor/udisks2/gvfsudisks2utils.c
M	monitor/udisks2/gvfsudisks2utils.h
M	monitor/udisks2/gvfsudisks2volume.c

commit c9826804e9cce6f5d82efbb626274fdadc9a2ce9
Author: Xandru Armesto <xandru@softastur.org>
Date:	2011-12-22

    Updated asturian translation

M	po/ast.po

commit d13e4275c1780f7fa5a57a9ea93eae5186aa192d
Merge: 08e3b0b 86f5eda
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-12-22

    Merge branch 'master' into wip/udisks2

commit 86f5edac9015ac0376a9be3b7816623613f6f130
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2011-12-19

    Post release version bump

M	configure.ac

commit aaa65135d15fa771e33eb5295d6233af5932dd40
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2011-12-19

    Update NEWS for 1.11.1 release

M	NEWS

commit 19fff869d83df145d7ee360c83001d6b86c736db
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-12-14

    Updated Norwegian bokmål translation

M	po/nb.po

commit 08e3b0b98c6c52b802b78405dfe9553e6af8396f
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-12-12

    Use comment=gvfs-name=VALUE and comment=gvfs-icon=VALUE

    We really just want to use x-gvfs-name and x-gvfs-icon that a future
    util-linux release is guaranteed to support. But it doesn't look like
    this is supported right now.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volume.c

commit 78468ff2e3e7ebef085e532a66acfcab8501603f
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-12-10

    Updated Hebrew translation.

M	po/he.po

commit fd26affc5a300a9f5b9fa3155ba15507451824af
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-12-08

    Updated Slovenian translation

M	po/sl.po

commit 9b0742bdf4d76604f2c019dbe8ec93324c643f5f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-12-02

    Updated Spanish translation

M	po/es.po

commit 4611c47fb8b74be20b8cb2a33141f0ef54b0b566
Author: Bastien Nocera <hadess@hadess.net>
Date:	2011-12-01

    afc: Add support for iOS5 thumbnails

M	daemon/gvfsbackendafc.c

commit 4c0236e0580d1f6f5184791783bf25251b105b0f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-12-01

    afc: tweak the text used to report a device locked error

    https://bugzilla.gnome.org/show_bug.cgi?id=665328

M	daemon/gvfsbackendafc.c

commit f952d7c1cac59d47679049f544e44eb0d25d0ccd
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-12-01

    afc: invert the choices order for the device passcode dialog

    Buttons are layed out in reverse order, and the positive action is on
    the right hand side.

    https://bugzilla.gnome.org/show_bug.cgi?id=665328

M	daemon/gvfsbackendafc.c

commit edda2efe789bbc40666119b3e6aea9fdf5a13efa
Merge: 90e8e59 b19d6cf
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-11-29

    Merge branch 'master' into wip/udisks2

commit b19d6cf9e7424fcdc2f47caa70d678a07bee1304
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2011-11-26

    Updated Korean translation

M	po/ko.po

commit 1ad17d073cc75d28a26d8e5f46403dcfc9ed3627
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-11-24

    Updated Hungarian translation

M	po/hu.po

commit 6929e9f9661b4d1e68f8912d8e60107366255a47
Author: Bastien Nocera <hadess@hadess.net>
Date:	2011-11-16

    http: Automatically decompress gzip'ed streams

    The content-encoding of served files was completely ignored and
    application,
    even though they were getting a content-type of "text/xml" for
    example,
    were served gzip'ed data.

    Enable the content decoder. Fixes parsing of multiple RSS feeds
    in totem-pl-parser.

    https://bugzilla.gnome.org/show_bug.cgi?id=664200

M	daemon/gvfsbackendhttp.c

commit 47a61b04fe209fc76b92de874c446d0a3f44c276
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2011-11-14

    Explicitly intialize mutexes on stack

    Turned out zeroing memory is not enough in some cases so let's be
    on the safe side and properly initialize all non-static mutexes.
    Also, don't initialize/clear the static ones.

M	client/gvfsfusedaemon.c
M	common/gmountsource.c
M	common/gmounttracker.c
M	daemon/gvfsbackendafc.c
M	daemon/gvfsbackendftp.c
M	daemon/gvfsbackendgphoto2.c
M	daemon/gvfsbackendnetwork.c
M	daemon/gvfsbackendobexftp.c
M	daemon/gvfsbackendsmbbrowse.c
M	daemon/gvfsdaemon.c
M	daemon/gvfsftpdircache.c
M	daemon/trashlib/trashexpunge.c

commit 200fe6ee11a2bdc244d7ee9335940079756fb66b
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2011-11-14

    daemon: Do not unref NULL mount spec

    This is going away with GDBus port, but still...

M	daemon/mount.c

commit 90e8e5989558fdb481946da46de86d8d29f27237
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-10-30

    Catch up with udisks change from major/minor to dev_t

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2drive.c
M	monitor/udisks2/gvfsudisks2volume.c

commit da3ca12ab830f58c527cb8e8e4193647300cef12
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-10-27

    Updated Hebrew translation.

M	po/he.po

commit ea4e18b0f452ca8058a28a2202ef858df57b837d
Merge: 5dda97b a76da48
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-10-26

    Merge branch 'master' into wip/udisks2

commit a76da485ceb30cc67ad63513d1e3272879c67722
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2011-10-26

    Post release version bump

M	configure.ac

commit f0a29de7b7d2d51119d50686d314ac6a7e406313
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2011-10-26

    Update NEWS for 1.11.0 release

M	NEWS

commit 008031adbe2fd118a4e9a3c7219a9777cab1bb75
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2011-10-26

    Adapt to glib thread API changes

    Last piece in order to fix
    https://bugzilla.gnome.org/show_bug.cgi?id=661148

M	client/gvfsfusedaemon.c
M	daemon/trashlib/trashexpunge.c

commit 185c4ac9c83aac035d2b49ecd95130aa5167e7c2
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2011-10-25

    Adapt to glib mutex API changes

    A continuation to https://bugzilla.gnome.org/show_bug.cgi?id=661148

M	client/gvfsfusedaemon.c
M	common/gmountsource.c
M	daemon/gvfsbackendafc.c
M	daemon/gvfsbackendftp.c
M	daemon/gvfsbackendftp.h
M	daemon/gvfsbackendgphoto2.c
M	daemon/gvfsbackendnetwork.c
M	daemon/gvfsbackendobexftp.c
M	daemon/gvfsbackendsmbbrowse.c
M	daemon/gvfsdaemon.c
M	daemon/gvfsftpdircache.c
M	daemon/gvfsftptask.c
M	daemon/trashlib/trashexpunge.c
M	daemon/trashlib/trashitem.c

commit 4fc2443a9003c14e08da6002d8dd4a50efc1202f
Author: krishnababu k <kkrothap@redhat.ocm>
Date:	2011-10-25

    Updated Telugu translations

M	po/te.po

commit 091af5f0498fe0c3eb1bc933d2728f6d65b5c1ce
Author: krishnababu k <kkrothap@redhat.ocm>
Date:	2011-10-18

    Updated Telugu translations

M	po/te.po

commit 5dda97bde88f6fc667f8522837591255f0e0301b
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-10-24

    udisks2: catch up with latest udisks changes

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volume.c

commit ce2415fef8ed031317b23044894a940e01f39d3b
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-10-22

    udisks2: fix check for whether the umount(8) command should be used

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2mount.c

commit 0e3f4aafae7b7353c83775cca6ae25d17770968d
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-10-22

    Updated Hebrew translation.

M	po/he.po

commit bd014bd8a442cae12aace7deb6e6a4d21ac3dd0e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2011-10-21

    Adapt to GLib 2.31 deprecations and thread API changes

    GStaticMutex and GStaticRWLock have been replaced by GMutex
    and GRWLock, and g_thread_init() is no longer needed.

    https://bugzilla.gnome.org/show_bug.cgi?id=661148

M	client/gdaemonvfs.c
M	client/gvfsdaemondbus.c
M	client/gvfsfusedaemon.c
M	common/gmounttracker.c
M	configure.ac
M	daemon/daemon-main.c
M	daemon/gvfsdaemonutils.c
M	daemon/main.c
M	metadata/metatree.c
M	monitor/proxy/gvfsproxyvolumemonitordaemon.c

commit 90372ae6344398beaca9ef8c37ba2704014a5c39
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-10-21

    Use g_atomic_int_add instead of deprecated
    g_atomic_int_exchange_and_add.

    https://bugzilla.gnome.org/show_bug.cgi?id=659815

M	client/gdaemonfileenumerator.c
M	client/gdaemonfilemonitor.c
M	daemon/gvfsftpconnection.c
M	daemon/gvfsmonitor.c
M	metadata/metatree.c

commit 94489e37b70992961c7afddbb2b875a907a4f35f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-10-19

    build: require GLib 2.31.0

    Last commit uses new API in GIO, which is only available in GLib
    master
    (2.31.0).

M	configure.ac

commit b8ab85bc14d6df1febaaad90359141a4905aeb27
Merge: 981b950 2b5e26a
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-10-18

    Merge branch 'master' into wip/udisks2

commit 2b5e26a0ca1f9a38fe981f431ee6fc29180d8fff
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-10-13

    Support get_sort_key() in out-of-process volume monitors and
    gvfs-mount(1)

    This is detailed in this bug

     https://bugzilla.gnome.org/show_bug.cgi?id=661711

    Also extend the private D-Bus protocol used between the client- and
    service-side for out-of-process volume monitors. In particular,
    introduce a new a{sv} member that we can use in the future to for
    expansion without breaking ABI.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/proxy/gproxydrive.c
M	monitor/proxy/gproxymount.c
M	monitor/proxy/gproxyshadowmount.c
M	monitor/proxy/gproxyvolume.c
M	monitor/proxy/gproxyvolumemonitor.c
M	monitor/proxy/gvfsproxyvolumemonitordaemon.c
M	programs/gvfs-mount.c

commit c3a401f8314588e0d16d7eecf2ad8a9c815645eb
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2011-10-17

    Post branching version bump

M	configure.ac

commit edab3fe25027cbf24c24b81dc1e05077cec4c7dc
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-10-17

    Updated Vietnamese translation

M	po/vi.po

commit c73f0019c6cb225fd8bb215c138494fd7673ba2a
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2011-10-17

    po/vi: import from Damned Lies

M	po/vi.po

commit 981b95035a94e1f4d8aa0cf0c387d4be04ef01f4
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-10-14

    udisks2: update volume monitor when the volume changes

    Otherwise we may not associated the GMount with the GVolume.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volume.c

commit 62b8df0bc915149f8c64a04423453ee4f0109d2f
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-10-14

    udisks2: Check for NULL volume when unmounting

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2mount.c

commit 3347b1f9a4aedb8235542b7b4ccc5306dc8b6650
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-10-14

    udisks2: implement get_sort_key() methods

    This depends on the GIO patch in
    https://bugzilla.gnome.org/show_bug.cgi?id=661711

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2drive.c
M	monitor/udisks2/gvfsudisks2mount.c
M	monitor/udisks2/gvfsudisks2volume.c

commit 0d8d5b678dcdb67b95c5863dcab8463842529e66
Merge: e56eb56 42d800f
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-10-14

    Merge branch 'master' into wip/udisks2

commit 42d800f377dfa4e7338c516d286aef0b76bb1f72
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2011-10-13

    Drop an unneeded include

    GLib recently became less forgiving about single includes
    like this.

M	client/gvfsfusedaemon.c

commit 36f5ca6c59024363169f82642596e791b3733cd6
Author: Colin Walters <walters@verbum.org>
Date:	2011-10-12

    Purge hardcoded -DG_DISABLE_DEPRECATED

    Especially now that deprecations are proper gcc warnings, no need
    to hardcode this.

M	client/Makefile.am
M	common/Makefile.am
M	daemon/Makefile.am
M	metadata/Makefile.am
M	monitor/afc/Makefile.am
M	monitor/gdu/Makefile.am
M	monitor/gphoto2/Makefile.am
M	monitor/hal/Makefile.am
M	monitor/proxy/Makefile.am
M	programs/Makefile.am
M	test/Makefile.am

commit 80fb85055d06805d5b67c24be5047f7cad44798c
Author: Colin Walters <walters@verbum.org>
Date:	2011-10-12

    autogen.sh: Conform to build-api.txt

    http://people.gnome.org/~walters/docs/build-api.txt

M	autogen.sh

commit e56eb56d445afc87f49971234736144d54e25bb6
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-10-10

    Support floppy drives

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2drive.c
M	monitor/udisks2/gvfsudisks2volume.c
M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 51101993ea9c5cb7dabab4ae6cab8621abc8a038
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-10-07

    udisks2: handle when g_dbus_interface_get_object() returns NULL

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2mount.c
M	monitor/udisks2/gvfsudisks2volume.c
M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit ee87351c572adf82fc142e489a49f2b2458d1c90
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-10-06

    udisks2: nuke even more debug spew

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 9c58e408bbb0cb08891f48ce5496897a806aa6f5
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-10-06

    udisks2: nuke debug spew

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 62ebe3061f5693ad24a22d7e2230ea9bb9945305
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-10-06

    udisks2: handle when a mount is added before its containing volume

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2mount.c
M	monitor/udisks2/gvfsudisks2mount.h
M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 89784d4493a9d482ec3fd6559a5fa4c30958180d
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-10-06

    udisks2: also use comment=gvfs.{name,icon_name} in the udisks case

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2utils.c
M	monitor/udisks2/gvfsudisks2utils.h
M	monitor/udisks2/gvfsudisks2volume.c

commit cd109212308285d32c6db52599dfb9d1fcc480c2
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-10-06

    udisks2: don't show fstab volume if the ref device exists but has
    no media

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 5c2fc336ee9aaeb339b05b568ca5e8a3e415a390
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-10-05

    udisks2: handle display, unlock/mount and unmount/lock of LUKS devices

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2mount.c
M	monitor/udisks2/gvfsudisks2volume.c
M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 0d47c8cf3b15a5787f569ec3326836038d20d880
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-10-04

    udisks2: URI unescape mount options read from /etc/fstab

    For example, if the /etc/fstab file contains this line

     defaults,users,comment=gvfs.name=Photos%2C%20Media%20and%20Stuff,comment=gvfs.icon_name=folder-videos

    then this call

     lookup_mount_option_value(mount_point, "comment=gvfs.name=")

    will return the string

     'Photos, Media and Stuff'

    as expected.

    See https://bugzilla.gnome.org/show_bug.cgi?id=660536#c11 for details.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volume.c

commit 00ddbbb507406fa295c1e9c8540d2c69c5f7aa00
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-30

    udisks2: use udisks hints for name and icon

    For example, these two udev rules matches a) disk; and b) first
    partition on my HP usb stick:

     SUBSYSTEMS=="block", ID_SERIAL=="HP_v125w_3S0208300278-0:0",
     ENV{DEVTYPE}=="disk", ENV{UDISKS_NAME}="Overriden Name",
     ENV{UDISKS_ICON_NAME}="gnome-help"
     SUBSYSTEMS=="block", ID_SERIAL=="HP_v125w_3S0208300278-0:0",
     ENV{DEVTYPE}=="partition", ENV{UDISKS_NAME}="Overriden Volume",
     ENV{UDISKS_ICON_NAME}="calc"

    and gives this result

     Drive(1): Overriden Name
       Type: GProxyDrive (GProxyVolumeMonitorUDisks2)
       ids:
	unix-device: '/dev/sdb'
       themed icons:  [gnome-help]  [gnome]
       is_media_removable=1
       has_media=1
       is_media_check_automatic=1
       can_poll_for_media=0
       can_eject=1
       can_start=0
       can_stop=0
       start_stop_type=unknown
       Volume(0): Overriden Volume
	 Type: GProxyVolume (GProxyVolumeMonitorUDisks2)
	 ids:
	  unix-device: '/dev/sdb1'
	  uuid: '3919-1907'
	  label: 'DOS'
	 themed icons:	[calc]
	 can_mount=0
	 can_eject=1
	 should_automount=0

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volume.c

commit 3a7df6f425cf96e1a09845513f1f5c4edfb57343
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-30

    udisks2: Catch up with udisks changes

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2drive.c
M	monitor/udisks2/gvfsudisks2volume.c

commit 9c2a9b4da43edf22d24fb7b9f349cba9a83bdc5c
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-29

    udisks2: support fstab comments to set name and icon

    For example, for this /etc/fstab entry

     nfs-server:/path/to/dir  /media/somewhere	nfs4
     defaults,users,comment=gvfs.name=Foo\040Bar,comment=gvfs.icon_name=gnome-help
     0 0

    the name "Foo Bar" and the icon gnome-help is used.

    This depends on the glib2 patch from this bug

     https://bugzilla.gnome.org/show_bug.cgi?id=660536

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volume.c

commit 9766cbf2194a5c3ed63b782db1da1b54758ff8c7
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-29

    udisks2: prefer udisks volume to fstab mount point if both exist

    Also, for device fstab mount points, only show it in the file chooser
    if we actually have a device for it.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 8a06bc172b66857c41ec08eb91815a9b8e380bf8
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-29

    udisks2: generate volume objects from /etc/fstab entries

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2mount.c
M	monitor/udisks2/gvfsudisks2mount.h
M	monitor/udisks2/gvfsudisks2utils.c
M	monitor/udisks2/gvfsudisks2utils.h
M	monitor/udisks2/gvfsudisks2volume.c
M	monitor/udisks2/gvfsudisks2volume.h
M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 4f37ff4df75c9a8e80f06b9da2498d0e409923b0
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-29

    udisks2: support unmounting non-udisks mounts using the /bin/umount
    command

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2mount.c
M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 330216775fbf22baa7089834f78d9a3d20e4f677
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-29

    udisks2: don't leak the processes array

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2mount.c

commit 330f457f6b6b4cc34b17094efc73326b1d50aa5e
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-29

    udisks2: report x-content/blank-* type for blank discs

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2mount.c

commit 02ca61f8dbbebbdb4ec6a17527daf6035af2a110
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-29

    udisks2: handle blank and audio discs

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2mount.c
M	monitor/udisks2/gvfsudisks2volume.c
M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 1f5c16b8ac679b322f2bed33c8e6cc5ed6096ff3
Author: Michael Terry <michael.terry@canonical.com>
Date:	2011-09-29

    daemon: Grab a pointer to the GvfsBackend before unref'ing a job
    source, preventing a crash.

    https://bugzilla.gnome.org/show_bug.cgi?id=654999

M	daemon/gvfsjobunmount.c

commit 9dd0f5afc61d9f10b183ab7b6d3dd5b1e6aaf81e
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-28

    udisks2: nuke debug spew

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2drive.c
M	monitor/udisks2/gvfsudisks2volume.c
M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit f3f6a9a10ce427001805849e6e74959154cf27dc
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-28

    Map UDisksError to GIOError and use FAILED_HANDLED for dismissed
    polkit dialogs

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/Makefile.am
M	monitor/udisks2/gvfsudisks2drive.c
M	monitor/udisks2/gvfsudisks2mount.c
A	monitor/udisks2/gvfsudisks2utils.c
A	monitor/udisks2/gvfsudisks2utils.h
M	monitor/udisks2/gvfsudisks2volume.c

commit d10afcce3ca1f90e860eae8c8ab64a32daef8d0f
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-28

    udisks2: (partially) implement guess_content_type() methods

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2mount.c
M	monitor/udisks2/gvfsudisks2volumemonitor.c
M	monitor/udisks2/gvfsudisks2volumemonitor.h

commit a120992e117fea554055aceb52bc8377583dc754
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-28

    udisks2: implement eject methods

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2drive.c
M	monitor/udisks2/gvfsudisks2mount.c
M	monitor/udisks2/gvfsudisks2volume.c

commit c5df9130880549f29bd183860b6fe32640898ccc
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-28

    udisks2: implement mount and unmount methods

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2drive.c
M	monitor/udisks2/gvfsudisks2mount.c
M	monitor/udisks2/gvfsudisks2mount.h
M	monitor/udisks2/gvfsudisks2volume.c
M	monitor/udisks2/gvfsudisks2volumemonitor.c
M	monitor/udisks2/gvfsudisks2volumemonitor.h

commit 02e39c7071f6066c41d591b482fcc03cf7002c7b
Merge: 1185586 7f97637
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-28

    Merge branch 'master' into wip/udisks2

commit 7f976371da249ef587925145c0eedf9f86f4696d
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-27

    Keep remote volume monitor proxies alive forever

    Once constructed, it's a) more efficient; and b) simplifies the code;
    if we keep the proxy for a remote volume monitor process around.

    More importantly, this change sidesteps some thorny bugs in the
    current implementation where the remote volume monitor proxy has been
    disposed but not yet finalized - for some volume monitors, this can
    happen not only pathological situations but also when running
    e.g. gvfs-mount(1) to mount a volume.

    https://bugzilla.gnome.org/show_bug.cgi?id=660295

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/proxy/gproxyvolumemonitor.c

commit 4bcca91a712a51f44eecd7de40faaae14318fcbe
Author: YunQiang Su <yqsu@src.gnome.org>
Date:	2011-09-28

    update zh_CN translation

M	po/zh_CN.po

commit 11855863742f7c3ac9a83a8d22fc824d29e2fd17
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-27

    Implement rudimentary parts of the udisks2 volume monitor

    Still a lot of stuff missing.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/Makefile.am
A	monitor/udisks2/gvfsudisks2drive.c
A	monitor/udisks2/gvfsudisks2drive.h
A	monitor/udisks2/gvfsudisks2mount.c
A	monitor/udisks2/gvfsudisks2mount.h
A	monitor/udisks2/gvfsudisks2volume.c
A	monitor/udisks2/gvfsudisks2volume.h
M	monitor/udisks2/gvfsudisks2volumemonitor.c
M	monitor/udisks2/gvfsudisks2volumemonitor.h

commit 415040a4fb81a75e659d1f224d0cf9ebe8f5f274
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2011-09-27

    Updated Korean translation

M	po/ko.po

commit c1eb0b14afe55a7934da552a7d6a9060650837c8
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-26

    Clean up constructor

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 842c0d3e4a0ca1b6045cf36177ff93463ea53249
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-26

    Initialize udisks client

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	monitor/udisks2/gvfsudisks2volumemonitor.c

commit 1b9ffa0e23dfcbd58ad2711dfd94d2234607f3a9
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-26

    udisks2: Add empty volume monitor skeleton

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	configure.ac
M	monitor/Makefile.am
A	monitor/udisks2/Makefile.am
A	monitor/udisks2/gvfsudisks2volumemonitor.c
A	monitor/udisks2/gvfsudisks2volumemonitor.h
A	monitor/udisks2/org.gtk.Private.UDisks2VolumeMonitor.service.in
A	monitor/udisks2/udisks2.monitor
A	monitor/udisks2/udisks2volumemonitordaemon.c

commit d746ba5b4251c0818e8a52cde1699b94a01a2755
Author: David Zeuthen <davidz@redhat.com>
Date:	2011-09-26

    Add autofoo goo for whether we should build udisks2-related bits

    Signed-off-by: David Zeuthen <davidz@redhat.com>

M	configure.ac

commit b67ee1c12a18c02802a87d1120654658a65bf0e3
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2011-09-26

    Post release version bump

M	configure.ac

